Welcome to the Agilent N5970A Help

Welcome to the Agilent Technologies N5970A UMTS
Interactive Functional Test Software Help

This help describes how to use the Interactive Functional Test Software for revision A.08.00.

Last Updated: 2011-06-02

Notices

The Interactive Functional Test Software is a unique tool designed to control Agilent's 8960 Series 10 wireless communications test set for quick and easy integration into development and validation testing of wireless devices. The Interactive Functional Test Software provides a fast and efficient method of testing new feature implementation with an interactive user interface capable of customizing the test parameters to work with virtually any wireless device.

The purpose of this help file is to assist you in using the Interactive Functional Test Software. For help specific to the 8960, please refer to the 8960 help files which can be accessed from www.agilent.com/find/8960manuals.

Also, for assistance specific to the E6584A Wireless Protocol Advisor (WPA), please refer to the WPA help file which can be accessed from the product page at http://www.agilent.com/find/E6584A under Technical Support >> Manuals. WPA version A.10.00 or above must be installed in order for the Interactive Functional Software to perform protocol logging.

The Interactive Functional Test Software help is organized into the following sections:

  • Getting Started

  • Introduction

  • Interactive Testing

  • Stress Testing

  • Configuration

  • View Activity Log

  • View WPA Log

  • How To...

  • Troubleshooting

Additional information for the Interactive Functional Test Software can be found on the product web page at http://www.agilent.com/find/N5970A.

© 2008 – 2011 Agilent Technologies, Inc.


Release Notes

N5970A UMTS Interactive Functional Test Software

N5970A UMTS Interactive Functional Test Software Revision Information

Last Updated: 2011-06-02

Release Notes document features and functionality that are part of the N5970A UMTS Interactive Functional Test Software releases, including enhancements that have been added over time.

To access all versions of release notes, visit the N5970A product webpage at: http://www.agilent.com/find/N5970A and select the Technical Support tab on the right, then Drivers & Software.

Contact Information

To find technical support information, visit the N5970A product webpage at http://www.agilent.com/find/N5970A.

For Agilent contact information, visit http://www.agilent.com/find/contactus.

© 2008 – 2011 Agilent Technologies, Inc.


Getting Started

N5970A Interactive Functional Test Software Installation and Getting Started Guide

Last Updated: 2011-06-02

The N5970A Interactive Functional Test Software along with the 8960 Series 10 (E5515C) wireless communications test set provides a complete solution for performing real-world functional tests on cellular mobile devices. The N5970A software facilitates real-world testing because it is designed to allow simultaneous testing of the various activities that are available in a device. This solution includes a simplified means of setting up the various server applications (FTP, HTTP, SMS, etc.) that enable you to perform and test these activities.

To get started using the N5970A software and to ensure that it works properly, there are certain system requirements that must be met and some setting that must be configured. This guide lists these requirements as well as provides step-by-step instructions on installing and configuring Agilent’s N5970A software so you can get started using it as quickly as possible.

  • Interactive Functional Test System Requirements

    • Server PC System Requirements

    • Application Workstation System Requirements

    • Other Hardware and Software Requirements

  • How to Install the N597X Server Software (on the server PC)

    • NowSMS

    • Apache

    • Filezilla

    • hMailServer

    • Starting the N597X Application Servers

  • How to Install the N5970A UMTS Interactive Functional Test Software (on the application workstation)

  • How to Get Started with the N5970A UMTS Interactive Functional Test Software

Interactive Functional Test System Requirements

Server PC System Requirements

  • An IBM® (or compatible) PC with at least:

  • 1.8 GHz Pentium® Dual Core Processor or better

  • Microsoft® Windows® XP Professional Service Pack 3 (English version only) or Window 7 Professional

  • 2 GB RAM minimum

  • 2 GB of available hard disk space

  • LAN Port

Application Workstation System Requirements

  • An IBM® (or compatible) PC with at least:

  • 1.8 GHz Pentium® Dual Core Processor or better

  • Microsoft® Windows® XP Professional Service Pack 3 (English version only) or Window 7 Professional

  • 2 GB RAM minimum

  • 2 GB of available hard disk space

  • LAN Port (a second LAN Port is required for remote operation of the Interactive Functional Test Software) Note: USB to LAN adapters are not currently supported by the Interactive Functional Test software.

  • Microsoft Internet Explorer® version 6.0 or later

  • An installed, configured, and tested Agilent Technologies or National Instruments IEEE 488.2 GPIB interface

  • The latest version of VISA (Virtual Instrument Software Architecture) from the manufacturer of your GPIB card

  • At least one USB 1.1 or later port
    Activities or components that require additional and perhaps 2.0 compatible USB ports are battery profile and testing your device as a modem.

  • Note: USB license keys are only required for software versions prior to this release (A.08.00).

Other Hardware and Software Requirements

N5970A Specific Hardware and Software Requirements | N5971A Specific Hardware and Software Requirements
Linksys BEFSR81 8-port Cable/DSL Router | Linksys BEFSR81 8-port Cable/DSL Router
4 or 5 LAN Cables (number varies depending on which LAN topology you choose) | 4 or 5 LAN Cables (number varies depending on which LAN topology you choose)
N5970A-1TP UMTS IFT Transportable, perpetual license (To obtain your license, follow the instructions on the Software Entitlement Certificate you received upon ordering your software.) | N5971A-1TP CDMA IFT Transportable, perpetual license (To obtain your license, follow the instructions on the Software Entitlement Certificate you received upon ordering your software.)
N5970A UMTS Interactive Functional Test Software (You will need to access the web: http://www.agilent.com/find/IFT) | N5971A CDMA Interactive Functional Test Software (You will need to access the web: http://www.agilent.com/find/IFT)
N597X Interactive Functional Test Software (You will need to access the web: http://www.agilent.com/find/8960downloads) | N597X Interactive Functional Test Software (You will need to access the web: http://www.agilent.com/find/8960downloads)
An Agilent 8960 Series 10 Wireless Communications Test Set with one of the following Lab Applications: E6701G Revision G.00.18 or later E6703F Revision F.00.19 or later E6785F Revision F.00.21 or later | An Agilent 8960 Series 10 Wireless Communications Test Set with one of the following Lab Applications: E6702B Revision B.07.14 or later E6702T Revision T.04.00 or later E6706B Revision B.01.13 or later E6706U Revision U.01.00 or later E6785E Revision E.01.14 or later E6785U Revision U.01.00 or later

Installing the N597X Server Software (on the server PC)

This section assumes that you have acquired all the items listed in the Interactive Functional Test System Requirements section. The N5970A and N5971A can share the same server if it is the correct revision of the server. Therefore if the correct version of the server is already installed, then this section can be skipped. (See the release notes for the version compatibility.)

  1. Close any applications currently running.

  2. Obtain the N597X Interactive Functional Test Software Server at this location: http://www.agilent.com/find/8960downloads. Note: The server software must be installed on the C: drive. Follow the step-by-step instructions during the software installation.

    • NowSMS

The NowSMS server will now be installed. It must be installed in the default installation directory. Do NOT change the installation directory during the install. Once the next screen is selected, these instructions will no longer be available so it would be advisable to copy or print them for future reference. The NowSMS server requires an activation code which you will need to load. When the wizard starts the NowSMS installation, respond in the method below to the questions so you can install the activation code. It is important that you respond to these questions in a timely manner. If you are delayed in responding to these questions, you will be prompted to start the Apache Server installation. Please complete the NowSMS installation before continuing with the Apache Server installation. You may have to move the Apache Server installation window to access the NowSMS windows.

      1. If prompted that "xx days remain in your NowSMS2006 trial period", push OK.

      2. If prompted to "Select Installation Option", press "Install with a purchased serial number", or if prompted "Do you have a new activation code to install, or wish to request an activation code?", push OK.

      3. Click Yes, when asked "Do you already have this activation code?"

      4. Select "Load from File" when asked to "Enter NowSMS Activation Code".

      5. When the open dialog box appears, navigate to the location where the installer files were extracted and select the file called "NowSMS-Serial-Number-89600050.txt".

      6. Click Open.

    • Apache

The Apache Server will now be installed and configured. If your security software prompts you that it has blocked the Apache HTTP Server, please Unblock the Apache HTTP Server.

    • Filezilla

The Filezilla server will now be installed. When the Connect to Server information appears, check the "Always connect to this server" check box and then select OK.

  • hMailServer

The hMailServer will now be installed. You will prompted to enter a password and multiple mail accounts will be set up.

During the hMailServer Installation you will be prompted with an error message which says “The two passwords must match and be at least 5 characters long”. Press OK and proceed to the hMailServer Security screen where you need to add the password ‘ift08’ where 0 is a zero. Press OK and you will be prompted with a ‘Completing the hMailServer Setup Wizard’ dialog box. Do NOT close or push the ‘Finish’ button at this time.

After the Server installation has finished, do the following to complete the hMailServer installation:

The hMailServer dialog box should still be open. Find the dialog box with the title Completing the hMailServer Setup Wizard. If the dialog box has been closed, then select Start>Programs>hMailServer>hMailServer Administrator.

1) On the hMailServer Administrator screen, make sure the Run hMailServer Administrator box is checked, the click the Finish button.

2) You will be prompted to connect to the hMailServer Administrator. Select the Automatically connect on start-up check box then press the ‘Connect’ button.

3) You will be prompted to enter the password. Enter the password ‘ift08’ where 0 is a zero.

4) Click the OK button.

5) The hMailServer administrator will start. It is through the administrator that you enter new email accounts for the email activities. A default account is already configured for the IFT client. However, you will need to create an additional account for each phone you are using.

Starting the N597X Application Servers

The applications servers start automatically once they have been installed. Ensure that the following:

  • Apache is running as a service

  • FileZilla is running as a service

  • UDPServer is running

  • NowSMS is running as a service

  • hMailServer is running as a service

Installing the N5970A UMTS Interactive Functional Test Software (on the application workstation)

This section assumes that you have acquired all the items listed in the Interactive Functional Test System Requirements section and have finished Installing the N597X Server Software (on the server PC).

  1. Install the GPIB interface and set up the GPIB VISA drivers.

  2. Close any Microsoft Windows® applications that are running.

  3. Download the N5970A Software from: http://www.agilent.com/find/8960downloads and follow the directions for installation.

Note: The E6584A Wireless Protocol Advisor (WPA) is not included when you download the N5970A UMTS Interactive Functional Test Software. At the end of the Interactive Functional Test Software installation, you will need to download WPA revision A.10.00 or above, which can be accessed via the WPA product page located at www.agilent.com/find/E6584A under the tab Downloads & Trials.

Getting Started with the N5970A UMTS Interactive Functional Test Software

This section assumes that you have acquired all the items listed in the Interactive Functional Test System Requirements section, have finished Installing the N597X Server Software (on the server PC), and have finished Installing the N5970A UMTS Interactive Functional Test Software (on the application workstation).

Important: If you already have the N5970A installed and are adding the N5971A to the application workstation (or vice versa), please note the following:

  • Ensure that you have the correct N597X IFT server revision installed on the server PC.

  • On the application workstation, it is highly recommended that you do not run both the N5970A and the N5971A at the same time.

  • It is not necessary to re-run the LAN topology wizard.

  1. Connect a GPIB cable between the workstation GPIB interface and the 8960 test set. A power supply is required to analyze the battery profile of the DUT and can be added at any time. The power supplies that are currently supported are Agilent's 66311B, 66311D, 66321B, 66321D, 66319B, 66319D, 66309B, and 66309D.

    Note: The 14565B Battery Profile activity requires a dedicated GPIB bus (separate from the GPIB bus used by the test set) and also requires a 66319/21 B or D.

    Note: If you plan to use a second test set, you should connect the GPIB cable of the second test set at this time.

  2. If you want your workstation to access the Internet, configure your LAN interface device and your LAN settings to provide access to your company intranet and Internet. Verify that the workstation can access the Internet. (See Proxy Server Settings) Note, at this point it is assumed that the router is not being used, and that, if an Internet connection through the workstation is desired, the workstation is connected directly to your company Internet.

  3. Start the N5970A UMTS Interactive Functional Test Software. (Ignore any error messages that are displayed the first time you start the Interactive Functional Test Software.)

  4. Select the Configuration tab.

  5. In the list of Available configurations, select Instrument Control.

  6. In the Instrument Control screen, select the proper GPIB interface and GPIB address for test set 1 (and the power supply, if applicable - again, the 14565B Battery Profile activity requires a 2nd GPIB cable and configured properly in the Instrument Control screen). Click the *IDN? button to test if you have set up the GPIB settings correctly. The *IDN? results are displayed in the *IDN? results field. Note, if you do not want the Interactive Functional Test Software to check the test set for the correct lab application and prefer to use the lab application that is currently installed, check the Use Current LA box.

    Note: If you plan to use a second test set, you should select the GPIB address for the second test set in the Instrument Control screen at this time.

  7. Right-click the test set connection Status Monitor located at the bottom left corner of the screen. The first time the Interactive Functional Test Software is started, this field will display an error message with a red background. In the right-click menu select "Enable Status Monitor".

    Note    : When the Status Monitor is enabled, the connection status is monitored periodically based on the Repeat Time. To configure the 8960 via the front panel, disable the status monitor to prevent IFT from putting the 8960 in Remote mode.

  8. Wait for the test set connection Status Monitor to update and Test Set Application status to update. Once they have, right-click again on the test set connection Status Monitor and select "Disable Status Monitor". Verify that the instrument error message goes away.

  9. In the Available configurations list, select LAN Topologies. Use the “Selected LAN topology trade-offs” information to determine the topology that best meets your needs.

  10. Once you have chosen a topology (click on the link), press the Pre-Wizard Tasks button. Ensure that the title bar in the pre-wizard tasks matches the LAN topology you have selected.

  11. The Pre-Wizards tasks must be completed before you run the wizard. It is recommended that you print them so that you can mark the tasks that you have completed.

  12. Once you have completed all the Pre-Wizard tasks, press the LAN Topology Setup Wizard button. Note: There are several steps in the LAN Topology Setup Wizard (the number of steps varies depending on which topology you choose) and therefore can take over an hour to complete. You must complete the wizard before any of the settings are saved.

  13. The wizard will guide you through the process of setting up the LAN Topology. IMPORTANT: Read and follow the directions on each step of the wizard carefully. Most setup issues are due to incorrect settings/connections done in the wizard. The wizard will instruct you to connect the rest of the necessary LAN connections, so that when it completes, your setup should be connected as shown in the figure below.

  14. When the wizard has been successfully completed, you will be taken to the Connections Integrity screen within the Configuration tab.

  15. On the Connections Integrity page, press each Check button to test the configuration to ensure that the wizard has configured all the settings correctly.

  16. If all the Connections Integrity fields show OK, then you are ready to add a Device Under Test (DUT) to the Interactive Functional Test Software.

  17. Once the DUT is properly configured and connected as in the figure below, you can perform any of the various interactive testing activities that are available under in the Interactive Testing tab.

  18. To learn more about the Interactive Functional Test Software Interface, click here.


Introduction

Last Updated: 2011-06-02

Interactive Functional Test Software Overview

The Interactive Functional Test Software is a software application designed to run on a workstation that is connected via LAN to a Server PC. Each workstation in the network uses the Interactive Functional Test Software to communicate an 8960 Wireless Communications Test Set which is connected via GPIB. There are several different LAN topologies that can be used to create a Interactive Functional Test system, however the basic components of every Interactive Functional Test system consists of a Server PC, Client workstation (PC), 8960 and wireless device.

The server PC is used to run server applications that the Interactive Functional Test Software (that is installed on the client workstation) accesses for data transfers. The applications on the server PC include a NowSMS server (specifically for the Interactive Functional Test Software) for SMS messages sent via the server PC, a UDPFlood server for UDP download flooding, Filezilla for FTP transfers from the server, and Appache for an http server to facilitate web browsing. Important: Ensure that the server applications have been installed and are running on the server PC before attempting to perform any activities from the client workstation.

The client workstation must have the Interactive Functional Test Software installed and must be connected both via GPIB to the 8960 and via LAN or wireless router to the server PC. Note:For N5970A software versions < A.08.00, a USB security key must be inserted into a USB port on your workstation to allow complete functionality.

See the getting started topic for step-by-step instructions to set up your Interactive Functional Test system.

The Interactive Functional Test Software's User Interface

  • Main Menu and Toolbar (top of the Interactive Functional Test Software interface)

  • Main Tabs and Screens

  • Activities, SCPI Errors, and User Action tabs

  • Status Bar (bottom of the Interactive Functional Test Software interface)

  • Blue Arrows (Send to Scripting Tool Icon)

  • Green Arrows (Minimize/Restore)

Main Menu and Toolbar (top of the Interactive Functional Test Software interface)

The main menu and toolbar are located at the top of the Interactive Functional Test Software. The main menu provides access to the same features that are available in the toolbar icons. The figure below shows all the items that are on the tool bar (some items must be configured before they appear on the toolbar, see the descriptions below).

Figure 1: Main Menu and Toolbar

Main Menu:

  • File - Contains the option to exit the program.

  • View - This menu item contains the following options:

  • DUT Control - Shows the DUT Control window.

  • Scripting Tool - Opens the scripting tool.

  • Test Set Screens - This option allows you to select which screen you want the 8960 to display. These include: Data Throughput, SMS, Call Setup.

  • Data Monitor - Opens the Data Rate Monitor.

  • Activity Logging - Contains On and Off selections for controlling the state of the activity logging.

  • Help - This menu item contains the following items:

  • Contents - Opens the help file.

  • Current Page - Opens the help file to the page relevant to the selected tab.

  • About N5970A - Opens a window for the N5970A that contains information such as the revision number.

  • Read Me - Opens the Read Me file for the N5970A.

  • Release Notes - Opens the Release Notes for the N5970A.

  • Getting Started Guide - Opens the Getting Started Guide. Read this guide for instruction on the proper way to set up your Interactive Functional Test system.

Toolbar:

  • Current DUT - This field allows you to select which wireless device is connected to your Interactive Functional Test system. In order to select a wireless device, you must first add it to the Interactive Functional Test system. See How to Add a DUT for more information.

  • Cell formats - This field allows you to select the formats (of the Formats supported by your wireless device) in which you want to test your wireless device. You can set the Active Cell Format and the Neighbor Cell Format (if your system includes a second 8960 test set).

  • Power supply - This parameter allows you turn on the power supply to the Voltage setting and apply the Min and Max Voltage setting limits that are set in the Configuration >> DUT Configuration screen. This field is only visible in the toolbar if the power supply has been configured in the Configuration >> Instrument Control screen. Note: This parameter is automatically set to "Off" when the Interactive Functional Test Software is started, when a new wireless device is selected for Current DUT, or any time you change the power supply settings in the Configuration >> DUT Configuration screen.

  • Open Help File - This opens the help file for the Interactive Functional Test Software. This contains topics to help you understand how to set up and use the features that the Interactive Functional Test Software provides.

  • Open Help File to selected page - This provides context sensitive help. That is, when you click this icon, the help file is opened to the topic that is relevant to the screen that is currently displayed in the Interactive Functional Test Software.

  • Show/hide DUT Control - This toggles between showing and hiding the DUT Control, which allows you to remotely control your wireless device (when the DUT interface type is correctly set) using predefined functions. These predefined functions may need altered slightly according to how your wireless device was programmed or you may want to add new function. For these reasons, this portion of the code is open to changes.

  • Show/hide Scripting Tool - This toggles between displaying and hiding the Scripting Tool, which is used to create automated stress test steps.

  • Start/stop Activity Logging - This toggles between starting and stopping Activity Logging, which allows you to capture the protocol messages exchanged between the 8960 and the wireless device.

  • Show/hide Data Rate Monitor - toggles between displaying and hiding the Data Rate Monitor, which allows you to easily analyze sent and received data rates.

  • Show remote LAN configuration - This displays the Configuration >> Remote LAN Control screen.

Main Tabs and Screens

There are five main tabs in the Interactive Functional Test Software, these are shown in the figure below.

Note: Throughout the contents of this Interactive Functional Test Software Help, instructions are given on where to access certain activity settings in the following notation 'main tab' >> 'screen'. For example, in the figure below, the screen for the SMS to DUT activity is displayed. To get to the SMS to DUT screen, you must click the Interactive Testing main tab and then select SMS to DUT from the list of available activity screens. Rather than explaining that each time, for this example, the contents of this help would refer to the same screen as: "In the Interactive Testing >> SMS to DUT screen...". Interactive Testing and Configuration are the only two main tabs that provide access to additional screens.

  1. Interactive Testing - This tab provides access to all the available stress testing activities in the Interactive Functional Test Software. This tab provides a manual means for setting up and testing applications from the perspective of a real end user. See Interactive Testing for more information on each the available activities. All activities in the Interactive Functional Test Software can be run simultaneously as long as both the wireless device and the test set support capability of running the selected activities in parallel.

  2. Stress Testing - This tab allows you to create, run, and manage your automated test plans. Test plans are created using test steps that are created using the scripting tool. See Stress Testing for more information.

  3. Configuration - This tab provides access to all the configuration screens. These include DUT (wireless device) Configuration, Connections Integrity, LAN Topologies, Robot Calibration, Remote LAN Control Instrument Control, and E-mail Configuration. (See Configuration for more information.)

  4. View Activity Log - This tab allows you to view and manage any existing activity logs. (See View Activity Log)

  5. View WPA Log - This tab allows you to view Wireless Protocol Advisor logs in the Interactive Functional Test Software. (See View WPA Log)

Fields in yellow indicate status areas, available ranges, and result. These fields do not allow text entry.

Activities, SCPI Errors, and User Action tabs

The following tabs are displayed under all the main tabs except for the Configuration tab.

  • Activities

This tab displays all the current and pending activities that the Interactive Functional Test Software is performing. As soon as an activity is complete, it is removed from the list of current or pending activities. The Interactive Functional Test Software allows you to log these activities, for more information see How to use Activity Logging for Interactive Testing or How to use Activity Logging for Stress Testing.

  • SCPI Errors

This tab displays any SCPI errors or warnings that are returned from the test set as a result of a GPIB command that was sent from the Interactive Functional Test Software, if the Error check enabled parameter is checked. When the Error check enabled parameter is checked the Interactive Functional Test Software sends the GPIB query CALL:ERRor? after each GPIB command that it sends the test set. To clear all errors and warnings that are posted in the SCPI Errors window, click Clear Results.

  • User Action

There are several situations where the Interactive Functional Test Software requires user action before proceeding to the next action or activity. When this occurs, the Interactive Functional Test Software automatically brings the User Action tab to focus and displays the letter "i" with a white circle around it. The User Action displays instructions to the user when user action is required. One example of when user action is required is when there is a "wait for continue before proceeding"selected in the attributes of a particular activity. The figure below shows the User Action tab when the Interactive Functional Test Software requires the user to press continue in order proceed to the next activity.

Status Bar (bottom of the Interactive Functional Test Software interface)

The status bar located at the bottom of the Interactive Functional Test Software allows you quickly verify several things including:

  1. Test set connection status - you can control this field by right-clicking on the status bar and selecting one of the following:

    • Enable status monitor - When this setting is selected, the Interactive Functional Test Software queries test set 1 or test set 2's voice and data connection status and displays them in the test set connection status field. The voice connection status is displayed first, then the data, so the format is <Voice Status>/<Data Status>. How often the Interactive Functional Test Software checks the test set's connection status depends on the Repeat time... setting.

    • Disable status monitor - When this setting is selected, the Interactive Functional Test Software no longer queries the test set's connection status.

      If you need use the test set's front panel, it is recommended that you first disable the status monitor so that you do not have to press the LOCAL key each time the test set's connection status is checked.

When the test set is operated remotely, all of the keys on the front panel of the test set are disabled (except the LOCAL key and the power switch). During remote operation the test set is controlled by the Remote User Interface, (RUI). Any open menus are closed, and any manual entries are aborted when the test set transitions from local mode to remote mode. The remote annunciator (R) will appear in the Instrument Status Area of the 8960's display indicating that the test set is in remote mode.

When the test set is in remote mode, press the LOCAL key on the test set's front panel in order to gain manual control.

During local mode all front panel keys and the knob are enabled. During local operation the test set is controlled by the Manual User Interface, (MUI). The remote annunciator (R) is turned off when the test set is operated in local mode.

    • Repeat time...- This parameter sets the rate at which the test set reads the test set's connection status. This is indicated by the blue flashing heart to the left of the status. Keep in mind that more messaging overhead is required the faster Repeat time... is set to.

  3. Modem If the Current DUT's modem is connected (that is, a data connection has been established via the Interactive Functional Test Software), then the Current DUT is displayed in the modem field.

  4. Test set application - This field displays the name and revision of the application running on the test set. If the use current LA parameter is checked, however, this field displays "Using Current Instrument Application".

  5. Activity logging state - This field displays whether Activity logging is "ON" or "OFF". You can change the Activity logging state by right-clicking and selecting Start Activity Logging and Stop Activity Logging, respectively.

  6. WPA logging state - This field displays whether WPA logging is "ON" or "OFF".

The figure below is a picture of the status bar as well as the menu that appears when you right-click anywhere on it. The blue numbers correspond to their descriptions above.

Figure 2: Status Bar

Blue Arrows (Send to Scripting Tool Icon)

The blue arrows ( [image]) indicate that certain parameters or actions that occur when a button is clicked can be sent to the scripting tool to be part of a test step.

Green Arrows (Minimize/Restore)

The green arrows ( [image]) toggle between minimizing and restoring certain areas of the Interactive Functional Test Software main window. Once you have set up a particular activity, it is useful to minimize the set up areas so that more space can be allocated to viewing the results.


Interactive Testing

Available activities

The following is a list of interactive tests that are available in the Interactive Functional Test Software. These interactive tests are also said to be "activities" that the Interactive Functional Test Software performs. Click on any of the following activities to for more information related to that activity.

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

  • SMS to DUT

  • SMS from DUT

  • MMS to DUT

  • MMS from DUT

  • UDP Upload Flood

  • UDP Download Flood

  • FTP Upload

  • FTP Download

  • Email To DUT

  • Email from DUT

  • Application Web Browser

  • WAP Push

  • Ping

  • Call Processing

  • Mobile Reported Data

  • Two Box Handover

  • Battery Profile

  • 14565B Battery Profile

  • Network Impairments


SMS to DUT

The Short Message Service (SMS) as specified in 3GPP TS 23.040 version 3.9.0 provides a means for the exchange of short messages between mobile stations and a network. The test set can simulate an SMSC (Short Message Service Center) which provides for the transmission of short messages to, or reception of short messages from an intended wireless device, and the return of acknowledgments and error messages.

For detailed information on how SMS messaging works in the test set, please see http://wireless.agilent.com/rfcomms/refdocs/gsmgprs/gprsla_gen_bse_sms.php.

The SMS to DUT screen provides access to the following:

  • SMS message(s) to send to DUT

    • How to send SMS messages to the DUT

      • How to install additional language files

      • How to quickly translate text to a different language

      • How to customize the translate page URK for SMS and MMS activities

  • Results

  • Attributes

  • Web Control

    • How to send an SMS message via the Now SMS web menu interface

  • Throughput Monitor Control

  • WPA Control

  • Test Set Control

SMS message(s) to send to DUT

This area of the SMS to DUT screen allows you to set:

  • To phone number - This is the phone number of the wireless device. The Interactive Functional Test Software automatically populates this field.

  • Check Message(s) to send - This allows you to select up to 10 messages to send when Start SMS Messages is clicked.

  • Text - This window allows you to view and/or change the text for the highlighted message in the Message(s) to send window. The text that can be input into this text box is dependent on which language files are installed and selected. To insert additional language characters, you must install the additional languages files.

    To install additional language files:

    1. Navigate to Control Panel >> Regional and Language Options.

    2. In the Language tab you can install these files in the Supplemental language support area.

    3. Once the language files are installed, click the Details... button in the Test services and input languages area (of the Languages tab).

    4. In the Installed services area of the Settings tab, select the desired languages and click Add....

    5. Once the installation is complete, you can insert other language characters by selecting the desired language from the taskbar.

To quickly translate text to a different language

    1. On the message(s) to send section of the SMS to DUT, SMS from DUT, MMS to DUT, MMS from DUT screens, right-click on any gray area that is not a button.

    2. Select Go to translate page.

    3. Copy the translation provided by the translate page.

    4. Paste to the text field.

To customize the translate page URL for SMS and MMS activities

The default settings are obtained through the AppSettings.xml file. Therefore changing the URL for the translate page and then saving the changes permanently changes the link to the translate page for that format.

    1. Close the Interactive Functional Test Software.

    2. Open the AppSettings.xml file in the C:\Program Files\Agilent\N5970A\Application Client\TestData\ApplicationSettings\AppSettings.xml directory. It is recommended that you use XML NotePad to open and view these XML files.

    3. Search for "Translate URL".

    4. Change the URL text to the desired URL.

    5. Save the file.

    6. Restart the Interactive Functional Test Software.

To send SMS messages to the DUT:

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

  1. Enter the Text you want associated with the message(s) that you want to send.

  2. Select which messages you want to send by checking the boxes next to the appropriate message in the Check Message(s) to send window.

  3. Set up the Attributes.

  4. Click Start SMS Messages.

If you need to stop the SMS messages being sent to your wireless device, click Abort SMS Messages.

The Wait For Complete button allows you to add to a script file a wait to continue until after sending the message.

Results

The Results tab displays the Summary. That is, it contains any messages such as error messages, whether the wireless device acknowledged the SMS message, and the contents of the SMS message that it received. You can verify that your wireless device received the message(s) by viewing them on you wireless device's user interface for SMS messages.

The figure below shows the SMS to DUT screen with the Results tab selected. In this particular example, the SMS message was sent via the server (see Send via server) and therefore the Web Control results are also shown. If the SMS message is sent via the 8960, the NowSMS web menu interface is not used and the Web Control results window is not shown in the Results tab.

Attributes

You can set the following attributes in the SMS to DUT screen:

Choose between sending the SMS messages via the 8960 or via the server:

  • Send via 8960 - the Interactive Functional Test Software uses the test set's internal SMS server to send the SMS message(s).

  • Send via server - the Interactive Functional Test Software uses the NowSMS server on the server PC to send up to 3 SMS messages per second.

Wait between messages (sec) - This parameter sets how much time to wait between sending the next message in the Check message(s) to send window. This parameter only applies when there is more than one message selected to be sent. This parameter is only applicable if Wait for continue after sending is not set. Note: This parameter is different from the Delay between repeats parameter used to define the Looping criteria.

Wait to continue after sending - This parameter prompts the user to click Continue after the Interactive Functional Test Software sends the SMS message.

Wait for Complete - To add this to the scripting tool, use the blue arrow next to the Wait For Complete.

Looping criteria

  1. None - The activity is ran one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For this activity, the delay between repeats is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity. For this activity, the repeat every setting is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  4. Random Time - This option is a way to randomly run the activity. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that the data will be downloaded. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

  3. Test for - This parameter sets the total time that activity looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

Web Control

The Web Control tab allows you to directly access to the Send Text Message screen of the NowSMS web menu interface that is used to send SMS messages to the wireless device. Using the NowSMS web menu interface, as shown in the figure below, is an alternative to filling the fields in the SMS message(s) to send to the DUT.

Figure 1: Now SMS web menu interface

To send an SMS message via the Now SMS web menu interface:

  1. Click Interactive Testing tab>> SMS to DUT screen and click the Web Control tab.

  2. In the "Send Text Message" screen:

  1. enter the "Phone Number" (this should match the To Phone number field in SMS message(s) to send to DUT)

  2. enter the message you wish to send into the "Text" field, then

  3. click "Submit".


SMS from DUT

The Short Message Service (SMS) as specified in 3GPP TS 23.040 version 3.9.0 provides a means for the exchange of short messages between mobile stations and a network. The test set can simulate an SMSC (Short Message Service Center) which provides for the transmission of short messages to, or reception of short messages from an intended wireless device, and the return of acknowledgments and error messages.

For detailed information on how SMS messaging works in the test set, please see http://wireless.agilent.com/rfcomms/refdocs/gsmgprs/gprsla_gen_bse_sms.php.

The SMS from DUT screen provides access to the following:

  • SMS message(s) to send from DUT

    • How to send SMS messages from the DUT when the Interface type is set to Manual Interfaces

    • How to send SMS messages from the DUT when the Interface type is not set to Manual Interfaces

  • Results

  • Attributes

  • Throughput Monitor Control

  • WPA Control

  • Test Set Control

SMS messages sent from the wireless device utilize the test set's internal SMS server rather than the NowSMS server that can be used to send an SMS message to the wireless device (see SMS to DUT).

SMS message(s) to send from DUT

This area of the SMS from DUT screen allows you to set the following parameters:

  • To phone number - This is the phone number of the wireless device. The Interactive Functional Test Software automatically populates this field.

  • Check message(s) to send - This allows you to select up to 10 messages to send when Start SMS Messages is clicked.

  • Text - This window allows you to view and/or change the text for the highlighted message in the Check message(s) to send window. is dependent on which language files are installed and selected. To insert additional language characters, you must install the additional languages files.
    To translate text to a different language, see How to quickly translate text to a different language. (To change the URL of the translate page, see How to customize the translate page URL.)

To send SMS messages from the DUT when the Interface type is set to Manual Interfaces:

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

These instructions assume the Interface type is set to Manual Interfaces.

  1. Enter the Text that you want associated with the message(s) that you want to send.

  2. Select which messages you want to send by checking the boxes next to the appropriate message in the Message(s) to send window.

  3. Set up the Attributes.

  4. Click Start SMS Messages.

  5. Follow the instructions that appear in the User Action tab. "Use the Phone to send an SMS message to the number shown above in the To box. Press the Continue button after sending the message." Note: Setting the Looping criteria to anything other than None will require you to create a text message every time it loops (the User Action tab will display the instructions each time). If your wireless device has a re-send feature, you might consider using it instead of creating a new message each time.

To send SMS messages from the DUT when the Interface type is not set to Manual Interfaces:

These instructions assume the Interface type is not set to Manual Interfaces.

  1. Enter the Text that you want associated with the message(s) that you want to send.

  2. Select which messages you want to send by checking the boxes next to the appropriate message in the Message(s) to send window.

  3. Set up the Attributes.

  4. Click Start SMS Messages.

If you need to stop the SMS messages being sent to your wireless device, click Abort SMS Messages.

The Wait For Complete button allows you to add to a script file a wait to continue until after sending the message.

Results

The Results tab displays a Text and Summary window. The Text window displays any text that the test set receives. The Summary window displays information about the messages sent during the activity.

Attributes

You can set the following attributes in the SMS from DUT screen:

Wait between each message (sec) - This parameter is only applicable if Wait for continue after sending is not set. This parameter sets how much time to wait between sending the next message. This parameter is different from the Delay between repeats parameter used to define the Looping criteria.

Compare received SMS to sent SMS - This parameter performs a bit by bit comparison of the received SMS to the sent SMS messages. These results are displayed in the Summary window.

Wait for continue after receiving SMS - This parameter prompts the user to click Continue after the Interactive Functional Test Software receives the SMS message.

Looping criteria

  1. None - The activity is ran one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For this activity, the delay between repeats is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity. For this activity, the repeat every setting is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  4. Random Time - This option is a way to randomly run the activity. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that the data will be downloaded. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

  3. Test for - This parameter sets the total time that activity looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.


MMS to DUT

MMS Overview

Multimedia Service (MMS) is a WAP based application running on a wireless network. MMS makes use of the Short Message Service provided by the wireless network to notify the mobile station SMS to DUT when an MMS is available for it to download from a server. Otherwise, MMS messages operate just like any other data transfer in the wireless network.

To verify MMS capability, the NowSMS software (on the server PC) uses:

  • an SMS Gateway to generate and route the MMS notification message to a receiving mobile station,

  • a Multimedia Service Center (MMSC) to act as the server and to generate the URL from which the MMS can be retrieved,

  • NowSMS as a Gateway to provide a means to download the compiled MMS from the MMSC , and

  • a test set to emulate the base station.

It is worth noting that for MMS verification, the HTTP interface to the test set are only used for the MMS to DUT message containing the MMS notification. For the MMS to DUT activity, the SMS protocol stack in the test set and therefore, the interfaces accessing that stack are never used.

Testing MMS verifies the functionality of several data applications. MMS to DUT messages perform the following sequence:

  • SMS delivery, with a WAP URL included as the content of the SMS (WAP Push).

  • WAP browse using the URL supplied from the server.

  • Content delivery via data channel connection.

The MMS to DUT screen provides access to the following:

  • MMS message to send to DUT

  • Results

  • Attributes

  • Web Control

  • Throughput Monitor Control

  • Test Set Control

  • WPA Control

MMS message to send to DUT

This area of the MMS to DUT screen allows you to set:

From phone number - This number is displayed in the "from" field of your wireless device when it receives an MMS message (it does not matter what this number is set to).

Subject - This sets the subject that is displayed in the "subject" field of your wireless device.

Text - This field contains the text to be displayed in the MMS message to send to the wireless device. The text that can be input into this text box is dependent on which language files are installed and selected. To insert additional language characters, you must install the additional languages files.

To translate text to a different language, see How to quickly translate text to a different language. (To change the URL of the translate page, see How to customize the translate page URL.)

Attachments - This field is a drop-down box that allows you to select which files to attach to the MMS message. The Interactive Functional Test Software does not support attachments with spaces in the file name.

To send an MMS message to the DUT:

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

This procedure assumes that you have completed the MMS Setup instructions.

  1. Open the Interactive Testing tab >> MMS to DUT screen.

  2. Fill in the fields for the MMS message to send to DUT including the text and attachments.

    The Interactive Functional Test Software does not support attachments with spaces in the file name.

  3. Configure the Attributes.

  4. Press Start MMS to DUT.

If you need to stop the MMS message from being sent to your wireless device, click Abort MMS to DUT.

The Wait For Complete button allows you to add to a script file a wait to continue until after sending the message.

Results

The Results tab contains a summary window which shows the communication to and from the DUT. This window also shows the web control results of the NowSMS web menu interface.

The figure below shows the results tab after sending an MMS message to the DUT. The blue circled numbers in the figure correspond to the steps in the instructions To send an MMS message to the DUT.

Figure 1: Example MMS Results tab

Attributes

The following attributes are available for sending MMS messages to the wireless device:

Wait for continue after sending

This parameter controls whether the Interactive Functional Test Software waits for a continue after sending the MMS message to the wireless device.

Looping criteria

  1. None - The activity is ran one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For this activity, the delay between repeats is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity. For this activity, the repeat every setting is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  4. Random Time - This option is a way to randomly run the activity. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that the data will be downloaded. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

  3. Test for - This parameter sets the total time that activity looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

Web Control

The Web Control tab allows you access to the Send MMS Message screen of the NowSMS web menu interface that is used to send MMS messages to the wireless device. Using the NowSMS web menu interface, as shown in the figure below, is an alternative to filling the fields in the MMS message(s) to send to the DUT.

Figure 1: Now MMS web menu interface

To send an MMS message via the Now SMS web menu interface:

  1. Click Interactive Testing tab>> MMS to DUT screen and click the Web Control tab.

  2. In the "Send MMS Message" screen of the NowSMS web menu interface:

  1. enter the "Phone Number", (this should match the To phone number field in MMS message to send to DUT), the "From", and the "Subject",

  2. enter the message you wish to send into the "Text" field,

  3. enter the file location of the file(s) you wish to send or click "Browse..." to navigate to the correct file, then

  4. click "Submit".


MMS from DUT

The Multimedia Service (MMS) makes use of the Short Message Service provided by the wireless network to notify the mobile station when an MMS is available for it to download from a server. Otherwise, MMS messages operate just like any other data transfer in the wireless network.

The test set can be used as a component in a system to verify the MMS capability of a mobile station.

The HTTP interface to the test set are only used for the MMS to DUT messages containing an MMS notification. For MMS from DUT, the SMS protocol stack in the test set is used and therefore, the interfaces accessing that stack are never used. (See MMS Overview for more details.)

The MMS from DUT screen provides access to the following:

  • MMS message to send from DUT

  • Results

  • Attributes

  • Throughput Monitor Control

  • Test Set Control

  • WPA Control

MMS message to send from DUT

This area of the MMS from DUT screen allows you to set the following parameters:

To phone number - This is the how the Interactive Functional Test Software knows where to send the MMS message from the DUT. The Interactive Functional Test Software automatically populates this field. It is important that this number be used so that the MMS message is routed correctly.

Subject - This sets the subject that is entered in the "subject" field of your wireless device.

Text - This field contains the text entered into the MMS message of the wireless device. The text that can be input into this text box is dependent on which language files are installed and selected. To insert additional language characters, you must install the additional languages files.

To translate text to a different language, see How to quickly translate text to a different language. (To change the URL of the translate page, see How to customize the translate page URL.)

Attachment - This field is the file name of the attachment in the phone you want to send.

When an unrecognized file type is received, it tries to display the file using a web browser. If the browser can’t display the file type, then an error message is displayed in the browser window. A prompt may open indicating the file type is unknown and ask you to save the file or associate it with the correct application. These errors do not affect the Interactive Functional Test software performance; the file just will not be displayed.

Further, if an MP4 file is received, Interactive Functional Test software will attempt to display the file using the web browser. For the web browser to display the MP4 file, an MP4 player needs to be installed on the client workstation. The associations in the player need to be set such that the player will recognize and play MP4 files.

To send an MMS message from the DUT when the Interface type is set to Manual Interfaces:

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

These instructions assume the Interface type is set to Manual Interfaces and you have followed the MMS Setup instructions.

  1. Open the Interactive Testing >> MMS from DUT screen.

  2. Fill in the same fields that are listed under MMS message to send from DUT into your phone.

  3. Set up the Attributes.

  4. Click Start MMS to DUT.

  5. Follow the instructions that appear in the User Action tab. "Use the Phone to send an MMS message to the number shown above in the To box. Press the Continue button after sending the message." Note: Setting the Looping criteria to anything other than None will require you to create a text message every time it loops (the User Action tab will display the instructions each time). If your wireless device has a re-send feature, you might consider using it instead of creating a new message each time.

To send an MMS message from the DUT when the Interface type is not set to Manual Interfaces:

These instructions assume the Interface type is not set to Manual Interfaces.

  1. Open the Interactive Testing >> MMS from DUT screen.

  2. Fill in the same fields that are listed under MMS message to send from DUT into your phone.

  3. Set up the Attributes.

  4. Click Start MMS from DUT.

If you need to stop the MMS message being sent from your wireless device, click Abort MMS from DUT.

The Wait For Complete button allows you to add to a script file a wait to continue until after sending the message.

Results

The Results tab displays the following windows:

  • Subject

  • Attachment 1, Attachment 2, and Attachment 3 - These are separate tabs for the 3 possible attachments and their corresponding text.

  • Summary - The Summary window displays information about the messages sent during the activity.

The figure below shows the Results tab after sending an MMS message with only one attachment (named four.jpg) from the DUT.

Figure 1: Example MMS Message from DUT Results tab

Attributes

The following attributes are available for sending MMS messages from the wireless device:

Display attachment contents instead of attachment names

When selected, this parameter displays the attachments of MMS messages rather than just the names of the attachments of MMS messages in the Results tab. Leaving them unchecked will reduce the amount of traffic on the local private network.

Compare received MMS to sent MMS

When selected, this parameter compares the MMS message that was received to the sent MMS message.

A copy of the sent message must be in the Program Files\Agilent\N597X\MMSFromDUTFiles directory on the server for this feature to work.

Wait for continue after receiving MMS

When selected, this parameter controls whether the Interactive Functional Test Software waits for a continue before sending the next MMS message from the wireless device.

Looping criteria

  1. None - The activity is ran one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For this activity, the delay between repeats is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity. For this activity, the repeat every setting is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  4. Random Time - This option is a way to randomly run the activity. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that the data will be downloaded. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

  3. Test for - This parameter sets the total time that activity looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.


UDP Upload Flood

User Datagram protocol as defined in RFC 768, provides a procedure for application programs to send messages to other programs with a minimum of protocol mechanism.

UDP assumes that Internet protocol (IP) is used as the underlying protocol. UDP is a transport protocol that adds very little to IP so when you use UDP (instead of TCP) the application is almost communicating directly with IP. The network layer attempts to send IP datagrams to the receiving host on a best-effort basis. That is, if the datagram arrives to the host, UDP will deliver it to the correct application process. However if it does not arrive, no attempt will be made to recover the data as there is no handshaking between the sending and receiving transport layer entities. There is no congestion control mechanism and the rate at which UDP transmits data is limited only by the rate at which the application generates data. For this reason, UDP is very useful for testing the data throughput limitations of the wireless device essentially at the IP layer.

UDP is often used for broadcast services (one-to-many), where no response is desired from any of the receivers. It can also be used for real-time streaming.

The UDP Upload Flood screen provides access to the following:

  • Results

  • Attributes

  • Charts

  • Throughput Monitor Control

  • WPA Control

  • Dial/Hang-up

  • Test Set Control

For instructions on how to configure the UDP packets to upload, see

  • Configure UDP flood packets to upload

  • To start UDP Upload Flood

  • Adding and deleting rows

Configure UDP flood packets to upload

To start UDP Upload Flood:

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

  1. Click the Interactive Testing tab >> UDP Upload Flood screen.

  2. Configure the UDP flood packets to upload table. The packets will be uploaded sequentially from the top row to the bottom row. UDP Upload Flood allows you to set up the following parameters for the packets to upload.

  1. Packet Size (kBytes) - This parameter controls the size, in kilobytes, of the packet. The range for this value is 0.1 to 65 kBytes.

  2. Delay Between packets (msec) - This is the time, in milliseconds, the Interactive Functional Test Software waits before sending the next packet size specified in the UDP flood packets to upload table.

    This setting is allowed to be set to zero in order to achieve the highest possible data rates. Setting this value to zero effectively demands all the processor time for the whole system be dedicated to the server and client.

  3. Send Duration (sec) - This parameter controls how long, in seconds, a particular packet is sent.

  4. Estimated Data Rate (kBytes/sec) - This column is automatically populated based on the Packet Size and Delay between Packets. This column contains two numbers: 1) the estimated data rate in kilobytes per second and 2) the estimated data rate in kilobits per second.

    Since this parameter is calculated based on the Packet Size and the Delay between Packet parameters, and does not account for the time it takes to transfer the packets, it is purely an estimate and therefore there you should expect the actual throughput rates to be different.

    Notice that the Interactive Functional Test software allows you to set the Delay between Packets to zero. Consequently the estimated data rate is shown to be Infinity, however there is an inherent delay (which has a resolution of approximately 10 ms) in the UDP that will never let the it actually reach zero, and therefore the data rate will never actually be Infinity.

  5. Chart Index - This column is automatically populated for you (see Charts for more information).

  3. Adding and deleting rows:

    • To add a row to the UDP flood packets to download or upload:

      You can only add new rows to the bottom of the table (that is, you cannot add a row between existing rows).
      As soon as you enter data in the last row of the table, the Interactive Functional Test software automatically adds another row below the data.

    • To delete a row from the table, you must highlight the whole row by clicking in the gray cell in the first column of the row and then press delete.

  4. Establish a packet data connection between the 8960 and your wireless device by clicking Connect on the Dial/Hang-up tab.

  5. Set up the Attributes in the Attributes tab.

  6. If needed, start Activity Logging and or WPA Logging.

  7. Press Start UDP Upload. The Interactive Functional Test Software will then cycle through the rows of the UDP flood packets to upload table.

Results

The Results tab within the Interactive Testing tab >> UDP Upload Flood screen shows the following results for the most recently completed packet upload as well as a list of all the results of the packet uploads.

Packet size (kBytes) - This is the Packet Size (kBytes) that was set in the UDP flood packets to upload table.

Delay (msec) - This is the Delay Between Packets (msec) that was set in the UDP flood packets to upload table.

Duration (sec) - This is the Send Duration (sec) that was set in the UDP flood packets to upload table.

Average IP received rate (kBytes/sec) - The rate that is measured at the IP interface of the server PC. This result includes all IP traffic (not just the received UDP packet traffic).

Average UDP received rate (kBytes/sec) - The rate measured at the server by counting successfully received UDP packets.

An example UDP Upload Flood is shown below.

The charts results for the example above is also shown below. Notice how the difference between the IP and UDP rates as the packet size increases.

Results for the UDP Upload Flood activity are similar to the UDP Download Flood activity. For more information see UDP Download Results.

Attributes

The following are attributes you can set for UDP Upload Flood:

Wait time between uploads (sec)

This parameter is only applicable if Wait for continue after upload is not set.

This parameter sets how many seconds to wait before beginning the next row in the UDP flood packets to upload table. This wait time begins after the Packet flush time (sec), if set.

Chart upload throughput results

This parameter controls whether the throughput results are plotted on the Charts tab. The data that is plotted is the peak data throughput results that are captured in the entire window of the Data Throughput Monitor; it does not measure the peak data throughput rates for each packet that is configured, nor does it measure the peak throughput per loop. Therefore, it is recommended that Clear throughput monitor graph at start of packet upload is checked so that the true peak throughput rates are captured.

Clear chart at start of upload

This parameter controls whether to plot the throughput results with the previous plot results or clear them before the start of a new UDP upload activity.

Clear throughput monitor graph at start of packet upload

This parameter controls whether the trace on the Data Throughput Monitor is cleared at the start of each packet in a new upload. It is recommended that this parameter be checked if you intend to chart the upload throughput results.

Packet flush time (sec)

This parameter sets the amount of time the Interactive Functional Test Software waits before sending any additional packets.

This parameter is applicable regardless of whether the parameter is Wait for continue after upload set.

Wait for continue after upload

This parameter controls whether the Interactive Functional Test Software waits for a continue after each row of defined packets in the UDP flood packets to upload table.

Looping criteria

  1. None - The activity is ran one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For this activity, the delay between repeats is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity. For this activity, the repeat every setting is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  4. Random Time - This option is a way to randomly run the activity. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that the data will be downloaded. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

  3. Test for - This parameter sets the total time that activity looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

Charts

The Charts tab plots the Average Rate versus the Data Index. The Data Index correlates to the Chart Index that is assigned to each row of the UDP flood packets to upload table. The charted results for the UDP Upload Flood contains both the IP Data Rate (blue) and UDP Data Rate (red) as shown in the figure below.

For more information on the Chart control, chart viewer, zooming in, zooming out, and panning see How to use the Charts tab.

More information on using the 8960's Data Throughput Monitor can be found at www.agilent.com/find/8960manuals.


UDP Download Flood

User Datagram Protocol as defined in RFC 768, provides a procedure for application programs to send messages to other programs with a minimum of protocol mechanism. This is an unacknowledged protocol.

UDP assumes that Internet Protocol (IP) is used as the underlying protocol. UDP is a transport protocol that adds very little to IP so when you use UDP (instead of TCP) the application is almost communicating directly with IP. The network layer attempts to send IP datagrams to the receiving host on a best-effort basis. That is, if the datagram arrives to the host, UDP will deliver it to the correct application process. However if it does not arrive, no attempt will be made to recover the data as there is no handshaking between the sending and receiving transport layer entities. There is no congestion control mechanism and the rate at which UDP transmits data is limited only by the rate at which the application generates data. For this reason, UDP is very useful for testing the data throughput limitations of the wireless device essentially at the IP layer.

UDP is often used for broadcast services (one-to-many), where no response is desired from any of the receivers. It can also be used for real-time streaming.

The UDP Download Flood screen provides access to the following:

  • Results

  • Attributes

  • Charts

  • Throughpu t Monitor Control

  • WPA Control

  • Dial/Hang-up

  • Test Set Control

  • UDP Download Flood Examples

For instructions on setting up the UDP packets to download, see Configure UDP flood packets to download.

Configure UDP flood packets to download

To start UDP Download Flood:

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

  1. Click the Interactive Testing tab >> UDP Download Flood screen.

  2. Establish a packet data connection between the 8960 and your wireless device. (If you have created a modem connection script for your device, you can do this by clicking Connect on the Dial/Hang-up tab.)

  3. Configure the UDP flood packets to download table. The packets will be downloaded sequentially from the top row to the bottom row. UDP Download Flood allows you to set up the following parameters for the packets to download.

  1. Packet Size (kBytes) - This parameter controls the size, in kilobytes, of the packet. The range for this value is 0.1 to 65 kBytes.

  2. Delay between Packets (msec) - This is the time, in milliseconds, the Interactive Functional Test Software waits before sending the next packet size specified in the UDP flood packets to download table.

    This setting is allowed to be set to zero in order to achieve the highest possible data rates. Setting this value to zero effectively demands all the processor time for the whole system be dedicated to the server and client.

  3. Send Duration (sec) - This parameter controls how long, in seconds, a particular packet is sent.

  4. Estimated Data Rate (kBytes/sec - kbits/sec) - This column is automatically populated based on the Packet Size and Delay between Packets. This column contains two numbers: 1) the estimated data rate in kilobytes per second and 2) the estimated data rate in kilobits per second.

    Since this parameter is calculated based on the Packet Size and the Delay between Packet parameters, and does not account for the time it takes to transfer the packets, it is purely an estimate and therefore there you should expect the actual throughput rates to be different.

    Notice that the Interactive Functional Test software allows you to set the Delay between Packets to zero. Consequently the estimated data rate is shown to be Infinity, however there is an inherent delay (which has a resolution of approximately 10 ms) in the UDP that will never let the it actually reach zero, and therefore the data rate will never actually be Infinity.

  5. Chart Index - see Charts.

  3. Adding and deleting rows:

    • To add a row to the UDP flood packets to download or upload:

      You can only add new rows to the bottom of the table (that is, you cannot add a row between existing rows).
      As soon as you enter data in the last row of the table, the Interactive Functional Test software automatically adds another row below the data.

    • To delete a row from the table, you must highlight the whole row by clicking in the gray cell in the first column of the row and then press delete.

  4. Set up the Attributes in the Attributes tab.

  5. If needed, start Activity Logging and/or WPA Logging.

  6. Press Start Download. The Interactive Functional Test Software will then cycle through the rows of the UDP flood packets to download table.

Results

The Results tab within the Interactive Testing tab >> UDP Download Flood screen shows the peak OTA RX (Over the Air Received data) throughput and IP RX (Internet Protocol Received data) in kbps for the most recently completed packet download as well as a list of all the results of the packet downloads.

Packet size (kBytes) - This is the Packet Size (kBytes) that was set in the UDP flood packets to download table.

Delay (msec) - This is the Delay Between Packets (msec) that was set in the UDP flood packets to download table.

Duration (sec) - This is the Send Duration (sec) that was set in the UDP flood packets to download table.

Average IP received rate (kBytes/sec) - The rate that is measured at the IP interface of the client PC. This result includes all IP traffic (not just the received UDP packet traffic).

Average UDP received rate (kBytes/sec) - The rate measured at the client by counting successfully received UDP packets.

The figure below demonstrates how the data flows through the Interactive Functional Test system. If any IP packets within the UDP packet are not received, the UDP rate result counts all the IP packets within that UDP packet as missing. During a UDP Download, the 8960 will transfer as many IP packets OTA as its buffer will allow. If the 8960's buffer is exceeded, then IP packets may be dropped and therefore the UDP Data Rate will be very low.

Note: For UDP Upload Flood activity the packets are transferred from the client PC to the Server PC.

Some examples are provided at the end of this topic for your reference (see UDP Download Flood Examples).

Attributes

The following are attributes you can set for UDP Download Flood:

Wait time between downloads (sec)

This parameter is only applicable if Wait for continue after download is not set.

This parameter sets how many seconds to wait before beginning the next row in the UDP flood packets to download table.

Chart download throughput results

This parameter controls whether the throughput results are plotted on the Charts tab. The data that is plotted is the peak data throughput results that are captured in the entire window of the Data Throughput Monitor; it does not measure the peak data throughput rates for each packet that is configured, nor does it measure the peak throughput per loop. Therefore, it is recommended that Clear throughput monitor graph at start of packet download is checked so that the true peak throughput rates are captured.

Clear chart at start of download

This parameter controls whether to chart the throughput results with the previous chart results or clear them before the start of a new UDP download activity.

Clear throughput monitor graph at start of packet download

This parameter controls whether the trace on the Data Throughput Monitor is cleared at the start of each packet in a new download. It is recommended that this parameter be checked if you intend to chart the download throughput results.

Packet flush time (sec)

This parameter sets the amount of time the Interactive Functional Test Software waits after sending each row of defined packets in the UDP flood packets to download table. This allows time for any packets already in queue to complete.

This parameter is applicable regardless of whether the parameter is Wait for continue after download set.

Wait for continue after downloads

This parameter controls whether the Interactive Functional Test Software waits for a continue after each row of defined packets in the UDP flood packets to download table.

Looping criteria

  1. None - The activity is ran one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For this activity, the delay between repeats is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity. For this activity, the repeat every setting is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  4. Random Time - This option is a way to randomly run the activity. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that the data will be downloaded. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

  3. Test for - This parameter sets the total time that activity looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

Charts

The Charts tab plots the Average Rate versus the Data Index. The Data Index correlates to the Chart Index that is assigned to each row of the UDP flood packets to download table. The charted results for the UDP Download Flood contains both the IP Data Rate (blue) and UDP Data Rate (red) as shown in the figure below.

For more information on Chart control, chart viewer, zooming in, zooming out, and panning see How to use the Charts tab.

UDP Download Flood Examples

Example 1: Too large of Packet Size causing dropped UDP packets

The figure below show an example of how the Average UDP received rate can be affected when both the UDP rate is greater than the OTA rate and the Packet Size is too large.

Example 2: UDP Download Flood

The figure below shows an example packet download table. The device used is a category 8 (7.2 Mbps HSDPA) device. A screen capture of the charted data, the data rate monitor results, and the test set's data throughput monitor results when the download completes is also shown to help describe the Results tab. The packet sizes in the example below were stepped up to show the relationship between the IP data rate, the UDP data rate, and the OTA data rates. The throughput levels increase as the packet size increases until the packet size becomes too large to send without dropping packets. Chart indices 10, 11, and 12 are the primary focus as this is where the UDP rates are very different from the IP rates.

Chart Results for example 2:

The Charts result is useful as it shows both the IP and UDP data rates and how they will be very close unless IP packets get dropped, which drastically reduces the UDP data rate. The figure below shows the Charts result for example 2. Notice how until chart index 10, the UDP rates stayed very close to the IP rates. At chart index 10, however, the UDP rate starts to drop most likely because the packet size was too large (19 kBytes) and/or the UDP rate is greater than the OTA Rx (over-the-air rate received by the device) rate. Since the measured UDP rate for chart index 10 was 585.2 kBytes/sec (and this is a Category 8 device capable of 7.2 Mbps at the IP layer), we can assume the dropped IP packets were due to too large of packet size. It is a similar situation for chart index 11 and 12. Notice the difference in the UDP data rate from 1.4 KBytes to 1.5 kBytes. The reason for this is that a normal IP packet payload is approximately 1.472 kBytes and a 1.5 kByte packet size must be split into two IP packet, increasing the number of IP packets required to transfer the entire packet and chance of dropping IP packets.

Data Rate Monitor results for example 2:

The Data Rate Monitor figure below shows the rate of the received and sent data at the client PC.

Data Throughput Monitor (test set) results for example 2:

The figure below is similar to the results shown in the Data Rate Monitor results, however these throughput rates are the data rates at the test set.

More information on using the 8960's Data Throughput Monitor can be found at www.agilent.com/find/8960manuals.


FTP Upload

Wireless devices are used as modems connecting a variety of personal computing devices to the Internet. This means that the wireless devices are a critical component of the wireless network and sits directly in the path of high speed data exchanges. Without proper optimization, the phone and the applications running on it can contribute to bottlenecks in the system.

A useful method of exercising the data throughput functionality of a wireless device is to perform FTP Upload transfers. This activity allows you to perform and FTP Upload from the Workstation PC to the Server PC, using the wireless device as a modem.

The FTP Upload screen provides access to the following:

  • How to Perform an FTP Upload

  • Results

  • Attributes

  • Charts

  • Throughput Monitor Control

  • WPA Control

  • Dial/Hang-up

  • Test Set Control

To perform an FTP Upload

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

To make an FTP Upload transfer using your DUT:

  1. Click the Interactive Testing tab >> FTP Upload screen.

  2. Establish a packet data connection between the 8960 and your wireless device by clicking Connect on the Dial/Hang-up tab if you have a connection script created for your device, or by whatever means you normally establish a data connection.

  3. Access the files on the Workstation PC that are available to upload to the Server PC by clicking Catalog Files. The available files will be listed in the Select file(s) to FTP area of FTP Upload screen. The location that the Interactive Functional Test software stores the available files to upload is C:\Program Files\Agilent\N5970A\Application Client\TestData\FTPFiles.
    Note: If there are any files already listed in the Select file(s) to FTP area of FTP Upload screen, click Clear Files to remove these file to ensure your list is up-to-date.

  4. Choose the Connection type.

  1. Via DUT - uses the wireless devices modem to upload the selected file(s). (This option should be selected in order to test the wireless device.)

  2. LAN bypass - uses the LAN connection to upload the selected file(s). This mode is for troubleshooting purposes and is not applicable when testing your device. Note: If you create a script for FTP Upload and you have the Connection type set to this setting, the script that is automatically created when you drag and drop the scripting tool arrow for next to Start FTP Upload automatically changes the Connection type to Via DUT.

  5. Select the files you wish to upload. To select more than one file, hold down the Shift keyboard key and use the mouse to select a group of files, or hold down the Ctrl keyboard key to select multiple files that are not in a group.

  6. If needed, start Activity Logging and/or WPA Logging.

  7. Click Start FTP Upload. The Interactive Functional Test Software will then cycle through the rows of the Select file(s) to FTP until all the selected files have been uploaded. If you check Wait for continue after upload, you will need to press Continue after each file upload completes.

    If for any reason you need to stop the FTP Upload activity while it is running, click Abort FTP Upload.

Results

The Results tab within the Interactive Testing tab >> FTP Upload screen shows the FTP Upload results.

Figure 1 below shows example FTP Upload results for a W-CDMA wireless device. The Throughput portion displays data for the most recent file upload, and the lower portion is a file upload summary where you can find data on each file that was uploaded (this is cleared each time Start FTP Upload is clicked). The Upload status field indicates the response from the FTP server.

Figure 1: FTP Upload Example

Note: The results show upload rates for OTA Tx/Rx and IP Tx/Rx as NaN (9.91e32) if the file was uploaded via the LAN (LAN bypass is selected in the attributes).

Attributes

The following are attributes you can set for the FTP Upload activity:

Wait time between uploads (sec)

This parameter is only applicable if Wait for Continue after upload is not set.

This parameter sets how many seconds to wait before beginning the next upload.

Chart upload rate results

This parameter controls whether the FTP Upload throughput results are plotted in the Charts tab. The data that is plotted is the peak data throughput results that are captured in the entire window of the Data Throughput Monitor; it does not measure the peak data throughput rates for each packet that is configured, nor does it measure the peak throughput per loop. Therefore, it is recommended that Clear throughput monitor graph at start of file upload is checked so that the true peak throughput rates are captured.

Clear chart at start of upload

This parameter controls whether to plot the throughput results with the previous plot results or clear them before the start of a new FTP Upload activity.

Clear throughput monitor graph at start of file upload

This parameter controls whether the trace on the Data Throughput Monitor of the 8960 test set is cleared at the start of each file in a new upload.

Wait for continue after upload

This parameter controls whether the Interactive Functional Test Software waits for a continue before uploading the next file.

Looping criteria

  1. None - The activity is ran one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For FTP transfers, the delay between repeats begins once the last selected file completes the upload.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity.

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  4. Random Time - This option is a way to randomly run the activity. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that the data will be uploaded. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

  3. Test for - This parameter sets the total time that activity looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.


FTP Download

Wireless devices are used as modems connecting a variety of personal computing devices to the Internet. This means that the wireless devices are a critical component of the wireless network and sits directly in the path of high speed data exchanges. Without proper optimization, the phone and the applications running on it can contribute to bottlenecks in the system.

A useful method of exercising the data throughput functionality of a wireless device is to perform FTP Download transfers.

The FTP Download screen provides access to the following:

  • How to Perform an FTP Download

  • Results

  • Attributes

  • Charts

  • Throughput Monitor Control

  • WPA Control

  • Dial/Hang-up

  • Test Set Control

To perform an FTP download

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

To make an FTP download transfer:

  1. Click the Interactive Testing tab >> FTP Download screen.

  2. Establish a packet data connection between the 8960 and your wireless device by clicking Connect on the Dial/Hang-up tab.

  3. Access the FTP server by clicking Open Connection. The FTP server that is installed on the Server PC in the Interactive Functional Test system is FileZilla. Opening a connection from the Client PC logs the Client PC into the Filezilla, which then allows you to select one or more files to download from the server. If the connection was successfully opened and there are shared files for you to download, the available files will be listed in the Select file(s) to FTP area of FTP Download screen.

    When an unrecognized file type is received, it tries to display the file using a web browser. If the browser can’t display the file type, then an error message is displayed in the browser window. A prompt may open indicating the file type is unknown and ask you to save the file or associate it with the correct application. These errors do not affect the Interactive Functional Test software performance; the file just will not be displayed.

    Further, if an MP4 file is received, Interactive Functional Test software will attempt to display the file using the web browser. For the web browser to display the MP4 file, an MP4 player needs to be installed on the client workstation. The associations in the player need to be set such that the player will recognize and play MP4 files.

  4. Choose the Connection type.

  1. Via DUT - uses the wireless devices modem to download the selected file(s). (This option should be selected in order to test the wireless device.)

  2. LAN bypass - uses the LAN connection to download the selected file(s). Note: If you create a script of FTP Download and you have the Connection type set to this setting, the script that is automatically created when you drag and drop the scripting tool arrow for next to Open Connection automatically changes the Connection type to Via DUT.

  5. Select the files you wish to download. To select more than one file, hold down the Shift keyboard key and use the mouse to select a group of files, or hold down the Ctrl keyboard key to select multiple files that are not in a group. If needed, start Activity Logging and/or WPA Logging.

  6. Set the Server speed limit. This sets the speed at which FileZilla transmits data. High speed devices will most likely be able to accept download data with No limit set. If the IP RX overshoots the OTA RX data rates, you may want to reduce the server speed limit.

  7. Click Start Download. The Interactive Functional Test Software will then cycle through the rows of the Select file(s) to FTP until all the selected files have been downloaded. If you check Wait for continue after download, you will need to press Continue after each file download completes.

  8. When you are done testing FTP, be sure to click Close Connection so that the server PC does not maintain the connection.

Results

The Results tab within the Interactive Testing tab >> FTP Download screen shows the FTP results.

Figure 1 below shows example FTP Download results for an HSDPA wireless device. The blue numbers correspond to the steps To_make_an_FTP Download_transfer. The Results window is divided into 3 areas. The upper portion is where the file is displayed. The lower left portion displays data for the most recent file download, and the lower right is a file download summary where you can find data on each file that was downloaded (this is cleared each time Start Download is clicked).

Figure 1: FTP Download Example

Note: The download times will display a NaN (9.91e32) if the file was downloaded via the LAN (LAN bypass is selected in the attributes).

Attributes

The following are attributes you can set for FTP Download:

Wait time between downloads (sec)

This parameter is only applicable if Wait for Continue after download is not set.

This parameter sets how many seconds to wait before beginning the next download.

Display downloaded file

Displays the downloaded file in the top portion of the Results window. When this parameter is unchecked, there will be less traffic on the Interactive Functional Test software's local private network.

Chart download rate results

This parameter controls whether the throughput results are plotted on the Charts tab. The data that is plotted is the peak data throughput results that are captured in the entire window of the Data Throughput Monitor; it does not measure the peak data throughput rates for each packet that is configured, nor does it measure the peak throughput per loop. Therefore, it is recommended that Clear throughput monitor graph at start of file download is checked so that the true peak throughput rates are captured.

Clear chart at start of download

This parameter controls whether to plot the throughput results with the previous plot results or clear them before the start of a new download activity.

Clear throughput monitor graph at start of file download

This parameter controls whether the trace on the Data Throughput Monitor is cleared at the start of each file in a new download.

Compare downloaded file to known correct file

This parameter checks to see if the file was downloaded correctly. A bit-by-bit comparison is done of the downloaded file against a known good copy of the file. If any bits do not match, File compare label in the Results tab indicates Failed.

Wait for continue after download

This parameter controls whether the Interactive Functional Test Software waits for a continue before downloading the next file.

Looping criteria

  1. None - The activity is run one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For FTP transfers, the delay between repeats begins once a file completes the download.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity.

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  4. Random Time - This option is a way to randomly run the activity. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that the data will be downloaded. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

  3. Test for - This parameter sets the total time that activity looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.


Email to DUT

The Email to DUT activity allows you to send e-mail messages to a wireless device connected to an 8960 test set. This activity requires the e-mail server application that is included as part of the N597X Server installation. It also requires that the new ‘Email Activity’ settings on the e-mail configuration screen within IFT are correctly populated.

E-mail messages can be constructed just like any other email message. Both ‘To’ and ‘From’ addresses are required when sending messages to a device.

The email message can be written in HTML or plain text formats and can include attachments.

The Email To DUT screen provides access to the following:

  • Email message to send to DUT

    • How to send Email messages to the DUT Instantaneously

    • How to send Email messages to the DUT as a Repeatable Activity

  • Results

  • Attributes

  • Test Set Control

  • Throughput Monitor Control

  • WPA Control

Email message to send to DUT

This area of the Email to DUT screen allows you to set:

  • Avaliable Saved Emails - This allows you to select and open e-mail messages you have saved previously. To fill up this list go to the Define Email tab, create an email message, then save the message. To edit an e-mail message in the list double click the message and go to the Define Email tab. Edit the message then save the message.

There are two methods for sending e-mail messages to a device. These are shown in the following procedures.

To send Email messages to the DUT Instantaneously:

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

  1. Create the text and format the e-mail using the items on the Define Email tab.

  2. Click the Send button on the Define Email tab to send your e-mail to the DUT.

  3. Repeat steps 1 and 2 for every additional e-mail message you want to send the DUT.

To send Email messages to the DUT as a Repeatable Activity:

  1. Select one or more items In the Available Saved Emails box.

  2. Click the Start Email to DUT button to begin the Email to DUT activity.

Clicking the Abort Email to DUT button ends the activity in its current state and a message is printed to the Results tab to indicate that the activity was aborted by the user.

The Wait for Complete option can be used with the scripting tool only. You cannot use this option during manual operation. Dragging the blue arrow to a script will insert a delay period into the script whilst it waits for the activity operation to complete.

Results

The Results tab displays the Summary. That is, it contains details of any attempted or completed E-mail to DUT activity. The contents of this box are updated automatically by the application. You cannot change the contents but the text can be copied for use in another application.

The figure below shows an example of the Email to DUT screen with the Results tab selected.

Attributes

You can set the following attributes in the Email to DUT screen:

Wait time between Emails (sec) - This attribute defines how long (in seconds) IFT will wait between each email file that is to be sent. This requires that more than one e-mail file is selected from the ‘Available Saved Emails’ list.

Clear throughput monitor graph at start of Email - This attribute will cause the throughput monitor graph on the 8960 to be cleared at the beginning of each email message.

Wait for continue after sending - This attribute will prompt the user for action between emails. To add this to the scripting tool, use the blue arrow next to the Wait For Complete.

Looping criteria

This attribute defines the looping behaviour of the activity. There are four possible options; each option will result in additional configurable attributes being made available.

  1. None - The activity is ran one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For this activity, the delay between repeats is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity. For this activity, the repeat every setting is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  4. Random Time - This option is a way to randomly run the activity. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that the data will be downloaded. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

  3. Test for - This parameter sets the total time that activity looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

Define Email

This page provides an e-mail editor which you can use to compose and send an e-mail to the DUT.

Selecting the Define Email tab allows you to write an email message which can then be sent immediately or saved to the Available Saved Email list that can be sent as part of a configured activity.

The To address is the email address of the DUT. You must create a Mailbox in the DUT with this address. You must also create this email account in the hMailServer on the Server PC.

The From address is the email address of the Client Application. You define this address on the Configuration>>Email Configuration screen in the Email Activity group box. Also, you need to create this email account in the hMailServer on the Server PC. A default email account was created in the client application and the hMailServer at the time of installation. The default email address is IFTApp@IFTEmail.com and the password is u1pw.

This is a standard e-mail editor with many of the regular features found in other e-mail editors. Note that changing the Body type setting changes the available options within the editor.


Email from DUT

The Email from DUT activity allows you to send e-mail messages from a wireless device connected to an 8960 test set and have them displayed in the Interactive Functional Test Software. This activity requires the e-mail server application that is included as part of the N597X Server installation. It also requires that the new ‘Email Activity’ settings on the e-mail configuration screen within IFT are correctly populated. A default email account was created in the client application and the hMailServer at the time of installation. The default email address is IFTApp@IFTEmail.com and the password is u1pw.

Email messages sent from the DUT must be sent to the predefined address configured in the email server application. When a message is received by the email server, its contents are displayed on the Results tab of the Email from DUT activity, including the subject of the message and any attachments that may have been included.

The Email from DUT screen provides access to the following:

  • Email message to send from DUT

    • How to send Email messages from the DUT

  • Results

  • Attributes

  • Test Set Control

  • Throughput Monitor Control

  • WPA Control

Email message to send from DUT

This area of the Email from DUT screen allows you to perform operations related to this activity.

When the Email from DUT activity is started, the IFT application starts a process of waiting for the server to receive an email message.

If the DUT has been configured so that IFT can control the device and this control includes the ability to send email messages, IFT attempts this automatically. If not, you are required to send the message from the device manually and the Interactive Functional Test Software prompts you as necessary during this procedure.

Once a message has been received, the contents are displayed on the results screen. Any included attachments can be opened from this screen.

If multiple messages are received, these are listed and can be viewed individually.

To send Email messages from the DUT:

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

  1. Set up the Attributes.

  2. Click Start Email from DUT.

The Abort Email from DUT button ends the activity in its current state and a message is printed to the Results tab to indicate that you have aborted the activity.

The Wait for Complete option can be used with the scripting tool only. You cannot use this option during manual operation. Dragging the blue arrow to a script will insert a delay period into the script whilst it waits for the activity operation to complete.

Results

The Results tab displays the Summary. That is, it contains details of any attempted or completed E-mail from DUT activity. The contents of this box are updated automatically by the application. You cannot change the contents but the text can be copied for use in another application.

The figure below shows an example of the Email from DUT screen with the Results tab selected.

Attributes

You can set the following attributes in the Email from DUT screen. Each of these attributes is a persistent setting so that the current values are maintained when the application is closed and restarted:

Number of messages to receive - This attribute determines how many messages the IFT application should expect to receive.

Wait for continue after receiving Email - This attribute prompts you for input between each received email message


Application Web Browser

Application Web Browsing allows you to browse the Internet using your wireless device. Application Web Browsing uses the WAP (Wireless Application Protocol) standard for wireless device Internet applications. WAP browsers are similar to normal web browsers as they can both request data from the an Internet website. The main difference in how data is accessed is that WAP browsers require a WAP gateway which is used as the communication link between the wireless device and Internet networks.

To perform an Application Web Browser Test:

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

  1. Click Interactive Testing tab >> Application Web Browser screen.

  2. Define the URL(s) to be included in the Selected URL(s) to visit list.

  3. Define the test attributes.

  4. If needed, start Activity Logging and/or WPA Logging.

  5. Click the Start Web Browser button to begin web application browsing.

  6. View the results.

The Application Web Browser screen provides access to the following:

  • Selected URL(s) to visit

  • Result s

  • Attributes

  • Define URL(s)

  • Charts

  • Throughput Monitor Control

  • WPA Control

  • Dial/Hangup

  • Test Set Control

Selected URL(s) to visit

This area of the Application Web Browser screen contains the URLs that will be accessed once you click Start Web Browser. To add URLs to the list, see Define URL(s). The order of the list is the order that the URLs are visited. You can remove of change the order of the URLs in this list by using the buttons above the list. These buttons, from right to left, allow you to clear the entire list, delete the selected URL, move the selected URL up, move the selected URL down, or preview the selected URL. Note: the preview of the selected URL is displayed in both the Results tab and the Define URL(s) tab.

Figure 1: Selected URL(s) to visit example

Results

The Results window displays the current URL in the top portion of the window and a summary of the URLs visited along with the time it took to download them in the bottom portion of the window. A plot of the results can be found in the Charts tab if the Chart download time results box is checked. To ensure that the files are using your wireless device's modem (instead of the LAN connection) to download the selected files, observe the connection icons ( [image]) for both the LAN and modem connection. (To display the icons, right click on the connection and select Properties. Then check Show icon in notification area when connected.)

If any of the Selected URL(s) to visit is a video or music file, an external application such as Windows Media Player is used to download the file. The Interactive Functional Test Software does not wait until the file has completed the download in the external application, instead it continues down the list of Selected URL(s) to visit (it ). Therefore, since this can cause more than one file to be download at a time, download times may vary depending on the types and order of files in the list. You can select Wait for continue after download to force the Interactive Functional Test Software to wait until each file is complete before downloading the next URL.

Attributes

The following are attributes you can set for the Application Web Browser:

Wait time between downloads (sec)

This parameter sets the length of time, in seconds, to wait before downloading the next URL in the list.

Chart download time results

This parameter controls whether the throughput results are plotted on the Charts tab. When this parameter is unchecked, there will be less traffic on the Interactive Functional Test software's local private network.

Clear chart at start of file download

This parameter controls whether to plot the throughput results with the previous plot results or clear them before the start of a new download activity.

Clear throughput monitor graph at start of URL download

This parameter controls whether the trace on the Data Throughput Monitor is cleared at the start of each URL download.

Wait for continue after download

This parameter controls whether the Interactive Functional Test Software waits for a continue before downloading the next URL.

Looping criteria

  1. None - The activity is ran one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For application web browsing, this is the parameter sets the amount of time between the start of the last URL download to the start of the next URL download. Therefore the sleep time between URLs will vary depending on amount of time required to download each URL.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity. For application web browsing, this parameter sets the amount of time between the start of the last URL download to the start of the next URL download. Therefore the sleep time between URLs will vary depending on amount of time required to download each URL.

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  4. Random Time - This option is a way to randomly loop the data. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that the data will be downloaded. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

  3. Test for - This parameter sets the total time that looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

Define URL(s)

The Define URL(s) tab is where you select which URLs are included in the Selected URL(s) to visit. Figure 2 below shows the Define URL(s) window.

To define URLs :

  1. Click the Define URL(s) tab.

  2. Choose a URL to add by navigating through the default URLs or by directly typing the URL. By default, the drop-down list contains the three URLs shown in Figure 2 below. The default URLs are provided to give you quick access to several files of different types and sizes.

    The icons at the top of the Define URL(s) window are common navigation tabs that allow you to use this window just as you would any browser window.

    Also, a preview of the URL is shown in the Define URL(s) window. You can choose the size of the preview by changing the percentage in the field in the lower left of this window.

  3. Next, when you are satisfied with the selected URL, click Add to List.

  4. You can remove and/or change the order that the browser downloads the URLs in the Selected URL(s) to visit list.

Figure 2: Define URL(s) tab


WAP Push

The Interactive Testing tab >> WAP Push screen allows you to send WAP Push messages to WAP 2.0 compatible DUTs. WAP is a widely accepted standard for mobile Internet applications whose primary purpose is to provide access to the Internet via a mobile device. WAP uses WML (Wireless Markup Language) to display content in a form suitable for mobile devices.

The WAP Push screen provides access to the following:

  • WAP Push message(s) to send to DUT

    • How to send WAP Push messages to the DUT

  • Results

  • Attributes

  • Test Set Control

  • Throughput Monitor Control

  • WPA Control

WAP Push message(s) to send to DUT

Note: It is assumed that you have set up your device's access point and browser to accept WAP Push messages. Typical settings that must be configures are discussed in the WAP Push Device Setup topic.

The following parameters are available under WAP Push message(s) to send to DUT section of the WAP Push screen.

Check message(s) to send - This allows you to select up to 10 messages to send when Start WAP Push is clicked.

Connection type - There are two connection types to choose from:

  1. Service Indication (SI) - Upon receiving a WAP Push, the DUT automatically gives you the option of accessing the WAP content.

  2. Service Load (SL) - Upon receiving a WAP Push, the DUT's browser is instructed to automatically connect to the WAP URL. However, for security reasons DUTs will display a prompt before connecting to a URL. This connection type does not support a text parameter. (Therefore, without the text parameter, this connection type is less user-friendly and most users use the SI format.)

WAP URL - Sets the URL for the DUT's browser to navigate to.

Text - This field sets the alert message that is displayed on the DUT when a WAP Push message is received. This parameter does not apply when the Connection Type that is selected is Service Load (SL).

Start WAP Push - Starts the WAP Push activity.

Abort WAP Push - Stops the WAP Push activity.

If you are using the scripting tool to automate the WAP Push activity, you can easily insert a Wait for Complete, which prevents the script from continuing until the WAP Push activity has completed.

To send WAP Push messages to the DUT

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

  1. Define the message properties for the message you want to send:

  1. Highlight the message you want to define (for example, click Message 1).

  2. Select a Connection type.

  3. Enter a WAP URL.

  4. If the Connection type is Service Indication (SI), enter the Text you want to send with the WAP Push message.

  5. Repeat steps a through d for each message you want to send to the DUT.

  2. Ensure there is a check next to each message you want to send.

  3. Set up the Attributes.

  4. Click Start WAP Push.

If you need to stop the WAP Push messages from being sent to your wireless device, click Abort WAP Push.

The Wait For Complete button allows you to add to a script file a wait to continue until after the WAP Push activity has completed.

Results

The Results tab displays the status of the WAP Push activity. This window is cleared before the next activity begins.

Figure 1: WAP Push screen

Attributes

The attributes available for the WAP Push activity are:

Wait time between messages (sec) - This parameter sets how much time to wait between sending the next message in the Check message(s) to send window. This parameter only applies when there is more than one message selected to be sent. This parameter is only applicable if Wait for continue after sending is not set. Note: This parameter is different from the Delay between repeats parameter used to define the Looping criteria.

Wait for continue after sending - This parameter controls whether the Interactive Functional Test Software waits for a continue before proceeding with the next activity or loop of WAP Push.

Looping criteria

  1. None - The activity is ran one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For this activity, the delay between repeats is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity.

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  4. Random Time - This option is a way to randomly run the activity. This criterion requires you to set the following parameters:

    1. Test probability of 1 in - This parameter sets the probability that the WAP Push message will be sent. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

    2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

    3. Test for - This parameter sets the total time that activity looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.


Ping

The Interactive Testing tab >> Ping screen allows you to ping any URL.

Note: Not all devices are capable of doing ping.

The Ping screen provides access to the following:

  • Pings to send

    • How to ping a host with a specific URL

  • Results

  • Attributes

  • Dial/Hang-up

  • Test Set Control

  • Throughput Monitor Control

  • WPA Control

Pings to send

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

The following parameters are available under Pings to send:

URL to ping - Sets the URL that the Interactive Functional Test software uses for pinging.

Number of times to average - Sets the number of ping results to average in the results.

Time to live - (TTL) Sets the number of hops, or servers in different locations, the ping can travel to before returning a failed attempt message.

Don't fragment - Sets the value for the "Don't Fragment bit". If this bit is on, datagrams will not be fragmented regardless of size. If this bit is on and the datagram is too large to sent to the destination host, the gateway is forces to discard the datagram and may return a destination unreachable message.

Timeout (secs) - Sets the timeout value for each ping.

Start Ping - Starts the Ping activity.

Abort Ping - Stops the Ping activity.

If you are using the scripting tool to automate the Ping activity, you can easily insert a Wait for Complete, which prevents the script from continuing until the Ping activity has completed.

To ping a host with a specific URL:

Note: Performing a ping to a DUT requires a DUT connection to be successful, and therefore these instructions assume that a DUT connection has already been established in the workstation.

  1. Click on the Ping activity to open the Ping screen.

  2. Set the ping properties in the Pings to send section of the Ping screen.

  3. Click Start Ping to begin pinging the URL entered in the URL to ping field.

  4. To view the Ping results, click on the Results tab.

Results

The Results tab displays the status of the Ping activity. This window is cleared before the next activity begins.

Figure 1: Ping screen

Common Question: Why does the first ping often time out?

It takes some time for an Address Resolution Protocol (ARP) to be sent and the requested machine to respond with its MAC address, so often times the Time to Live (TTL) of the first ping packet has expired.

Attributes

The attributes available for the Ping activity are:

Wait for continue after sending - This parameter controls whether the Interactive Functional Test Software waits for a continue before proceeding with the next ping.

Looping criteria

  1. None - The activity is run one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For FTP transfers, the delay between repeats begins once a file completes the download.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity.

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  4. Random Time - This option is a way to randomly run the activity. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that the ping will occur. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

  3. Test for - This parameter sets the total time that activity looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.


Call Processing

The Interactive Testing tab >> Call Processing screen allows you to originate and end call activities.

The Call Processing screen provides access to the following:

  • Call Control

  • Results

  • Attributes

  • Throughput Monitor Control

  • Test Set Control

  • WPA Control

Call Control

The following parameters are available under Call control.

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

Base Station

Originate Call - Initiates a mobile terminated (one that originates from the test set) call.

End Call - Initiates a mobile terminated (one that originates from the test set) end call.

Originate/End Call Loop - Initiates an mobile terminated call, mobile terminated end call sequence. The amount of time the Interactive Functional Test Software waits after the mobile terminated call has been connected until it initiates a mobile terminated end call is determined by the Call Duration attribute setting for Base Station Originate/End Call Loop.

Mobile Station

Phone number to dial - This number is used by the mobile when a mobile originated call is established.

Originate Call - Initiates a mobile originated call. This activity requires user action. Instructions are printed in the User Action tab that read "Please dial a number on the phone and push Send, then press Continue to proceed."

End Call - Initiates a mobile originated end call. This activity requires user action. Instructions are printed in the User Action tab that read "Please press the End button on the phone, then press Continue to proceed."

Originate/End Call Loop - Initiates an mobile originated call, mobile originated end call sequence. The amount of time the Interactive Functional Test Software waits after the mobile originated call has been connected until it initiates a mobile terminated end call is determined by the Call duration attribute setting for Mobile Station Originate/End Call Loop.

The above parameters are all considered "call activities", to abort any call activity click Abort Call Activity.

If you are using the scripting tool to automate the call processing activity, you can easily insert a Wait for Complete, which prevents the script from continuing until the call processing activity has completed.

Results

The Results tab displays the status of the call activity. This window is cleared before the next activity begins.

Attributes

Figure 1 below shows the Call Processing screen >> Attributes tab.

The same attributes are offered for both Base station orig/end call loop and Mobile station orig/end call loop; these attributes do not apply to any of the other parameters in the Call Processing screen.

The attributes available for the Base station orig/end call loop and Mobile station orig/end call loop are:

Call duration - The amount of time that the connection status is connected before End Call is initiated.

Looping criteria

  1. None - The activity is ran one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For a call processing, this parameter sets the length of time to wait (sleep time) between when the call has ended (the test set's connection status is idle) and when the next origination process begins.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity. For call processing, this parameter sets the length of time to wait (sleep time) between when the call has ended (the test set's connection status is idle) and when the next origination process begins. This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds).

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  3. Random Time - This option is a way to randomly loop the call processing loops. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that a call processing loop is run. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

  3. Test for - This parameter sets the total time that activity looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

Figure 1: Call Processing screen (with the Attributes tab displayed)


Mobile Reported Data

The Mobile Reported Data activity allows you to capture and view the measurement reports that a device provides to the network (8960 test set). The available parameters that are reported differ between a GSM/GPRS/EGPRS (GGE) cell and a WCDMA cell.

The measurement reports are read back from the 8960 using standard GPIB commands. The reported values are displayed on the Summary page of the Mobile Reported Data activity. It is also possible to view certain reported values as graphs on the Charts page.

The Mobile Reported Data screen provides access to the following:

  • Mobile reported data

    • How to capture Mobile Reported Data

  • Results

  • Attributes

  • Charts

  • Test Set Control

  • Throughput Monitor Control

  • WPA Control

Mobile reported data

This area of the Mobile Reported Data screen allows you to specify the items you want to capture in the report as well as start and stop the report activity.

Check items for report

The items available differ between WCDMA and GGE cells.

GGE Cell:

  • Serving Cell SACCH Reports

  • Timing Advance

  • TX Level

  • RX Level (Full)

  • RX Quality (Full)

  • PACCH Reports

  • C Value

  • RX Quality

  • Signal Variance

  • Neighbor Cell 1 Radio Access Technology

  • RAT

  • Neighbor Cell 1 (GSM)

  • RX Level

  • ARFCN

  • BCC

  • NCC

  • Neighbor Cell 1 (3G FDD)

  • UARFCN

  • Scrambling Code

  • Reporting Quantity

WCDMA Cell:

  • Pilot Information

  • CPICH Ec/No (dB)

  • CPICH RSCP (dBm)

  • Pilot Pathloss (dB)

  • • GSM Measured Results

  • BCH ARFCN

  • Inter-RAT Cell ID

  • BSIC Verification

  • BSIC Value

  • GSM RSSI (dBm)

  • • Inter-freq Measured Results

  • I-F Scrambling Code

  • Downlink Channel

  • RSSI (dBm)

  • Ec/No (dB)

  • RSCP (dBm)

  • Pathloss (dB)

To capture Mobile Reported Data

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

  1. Click the Start Mobile Reported button to begin the activity. The results will start to be displayed on the Results tab (as shown below). The results continue to be reported until you click the Stop Mobile Reported button.

Results

The Results tab displays the Summary box that continually updates with the reported measurement results

The figure below shows the Mobile Reported Data screen with the Results tab selected.

Attributes

You can set the following attributes in the Mobile Reported Data screen:

Repeat every (seconds) - This attribute determines how frequently the mobile reported data is retrieved from the 8960. The activity must be stopped and restarted before any change to this parameter will take effect.

Charts

Selecting the Charts tab will display a list of the available parameters that can be displayed as a graph. Selecting any of these items in the list will then cause a graph to be displayed. A maximum of six graphs can be displayed at any one time.


Two Box Handover

The Two Box Handover activity allows you to perform simple handovers between two connected 8960 test sets. This activity makes use of databases to store all the steps of a given handover procedure. Two default databases are included with the application installation.

To perform two box handovers,you must have two 8960 test sets connected to the same network (whether that network is a private network for use with IFT or on a company LAN). The test sets do not need to be configured in advance as the IFT application performs this configuration when the activity is initiated.

Each handover consists of two distinct steps. The first step is the handover from the current active cell to the neighbour cell. The second step is the handover back. By doing a two step handover like this, the application is ensuring that the DUT is back on the original cell.

If you want to perform additional activities once the DUT has moved to the neighbour cell without being concerned with the duration of time that the DUT will remain on that cell, you can use the Single Step functionality. As the name suggests, this performs a single step in the configuration only. You must ensure to perform the handover back to the original active cell using the Next Step button.

The Two Box Handover screen provides access to the following:

  • Two box handover

  • Results

  • Handover Configuration

  • Attributes

  • Test Set Control

  • Throughput Monitor Control

  • WPA Control

Two box handover

This area of the Two Box Handover screen allows you to perform the following operations:

Clicking the Open File button allows you to load a database file with pre-configured handover steps. Any changes you make to a pre-loaded configuration are saved to this database file.

Clicking the Start Automatic button begins the Two Box Handover activity. The activity then moves through each configured step specified in the Handover Configuration.

The Start Single Step and Next Step buttons perform only the first step and then the second step of each pair respectively.

Clicking the Abort Handover button stops the activity. On the Results tab, a message is displayed indicating that you have aborted the activity.

The Wait for Complete option can be used with the scripting tool only. You cannot use this option during manual operation. Dragging the blue arrow to a script will insert a delay period into the script whilst it waits for the activity operation to complete.

Results

The Results tab displays the Summary box that updates with details of the handover procedures. The contents of this box are updated automatically by the application. You cannot change the contents but the text can be copied for use in another application.

The figure below shows an example of the Two Box Handover screen with the Results tab selected.

Handover Configuration

Selecting the Handover Configuration tab provides options for configuring the handover steps that will take place.

When you add new steps, they are added in pairs. The second step of the pair is fixed as the format of the active cell. The first step can be changed to any of the available formats.

Selecting View… for the Handover Attributes displays the settings for the handover that will occur in this step.

Each of the parameters is described as follows:

Active cell power level for cell configuration (dBm)

  • The cell power for the active cell (the active cell will change during the handover. This power level will be applied in all cases).

Neighbor cell power level at handover (dBm)

  • The cell power for the neighbour cell when the handover is about to take place.

Neighbor cell power level after handover (dBm)

  • The cell power for the new neighbor cell after the handover has completed (this was the active cell before the handover took place).

Wait time between cell configuration and handover (sec)

  • Before the handover takes place, there is configuration of neighbor cell information. This is the delay that will occur between that configuration and the actual handover.

Dwell time on new format (sec)

  • When running ‘automatic’, the activity will perform both steps. This dwell time is how long the activity waits between performing the two steps.

Handover timeout (sec)

  • Time to wait for the handover to complete

Handover attempts

  • Number of times to attempt the handover (if it fails)

Selecting View… for the Neighbor Cell Attributes shows the attributes of the cell that this step is associated with. These parameters are split into three areas (BCH, TCH and PDTCH) – with each area having a selection of attributes that can be configured for this cell. There must be a direct correlation between the BCH parameters in this selection and the Neighbor List attributes for the other step.

Selecting View… for the Neighbor Cell Neighbor List will present the settings for the given cells neighbor cell list. Note that because there can only ever be a single neighbor cell in the test setup, there is only one set of neighbor cell parameters available.

Attributes

Looping criteria

  1. None - The activity is ran one time.

  2. Simple - this criterion requires you to set the following parameters:

  1. Number of times to repeat - This parameter sets the number of times this activity is repeated. The interactive functional test software does not consider the first time the activity is ran as a repeat. For example, if the Number of times to repeat is set to 3, then the activity will be run a total of 4 times.

  2. Delay between repeats - This parameter has two fields, the first is the time value of the delay between repeats and the second sets the unit applied to the time value (the default is Seconds). For this activity, the delay between repeats is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  3. Time - this criterion requires you to set the following parameters:

  1. Repeat every - This parameter has two fields, the first is the value of the delay between repeats and the second sets the unit applied to the time value (the default is seconds). This parameter sets the amount of time after an activity completes before repeating the activity. For this activity, the repeat every setting is the time the Interactive Functional Test Software waits once the activity is complete before repeating the activity.

  2. Loop for - This parameter has two fields, the first is the time value of how long to run looping and the second sets the unit applied to the time value (the default is Seconds). If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.

  4. Random Time - This option is a way to randomly run the activity. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that the data will be downloaded. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

  3. Test for - This parameter sets the total time that activity looping continues. If an activity is in progress when this time limit is reached, the Interactive Functional Test Software allows the activity to complete.


Battery Profile

This topic assumes that a power supply has been set up in the Instrument Control >> Configuration screen. Note: this activity cannot be used concurrently with the 14565B Battery Profile activity.

The Interactive Testing >> Battery Profile screen is affected by settings several other places in the Interactive Functional Test Software.

The Battery Profile screen provides access to the following:

  • Battery profile

  • Results

  • Attributes

  • Charts

  • Test Set Control

Battery profile

Start Battery Profile - When you click this button, the Interactive Functional Test Software applies the Attributes to the power supply.

Stop Battery Profile - Stops the Interactive Functional Test Software from applying the Attributes to the power supply.

Immediate Control - These settings are useful for determining what to expect the current reading to be for certain voltages. It is not recommended that these parameters be used while the battery profile is running.

  • Set present voltage - In this field, you can set the value for the voltage you want to set the power supply to. Note: If the battery profile is started, whatever voltage that the Battery profile voltage list is on is displayed in the Set present voltage field (how quickly this changes is determined by the looping criteria).

  • Set Voltage - When you click this button, the Interactive Functional Test Software sends a command to the power supply to set the voltage to the value in the Set present voltage field.

  • Read Current - the Interactive Functional Test Software reads the current setting that corresponds to the voltage indicated in the Set present voltage field.

To use/configure the Battery Profile:

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

  1. Set the Power supply GPIB address in the Configuration tab >> Instrument Control screen. This must be done before the Interactive Functional Test Software will display the Battery Profile screen.

  2. Ensure that the power supply is properly connected to your wireless device.

  3. Set the Power supply settings for the Current DUT.

  4. Turn the Power Supply "On" in the main toolbar. (This is only visible if the power supply is configured in the Instrument Control screen.)

  5. You can now control the power supply voltage.

You can use the Immediate Control parameters to set the voltage and monitor the current. These parameters are primarily to test a specific response to a voltage setting.

To set the voltage:

    1. Enter the desired value for the voltage (within the specified range) into the Set present voltage field. Remember the specified range for the power supply is set in the minimum and maximum Power supply settings.

    2. Then, click Set Voltage. The power supply should be set to the specified voltage. You can query the current by clicking the Read Current button. The current reading is displayed directly below the Read Current button.

To analyze the current drain at certain voltage settings for a continuous period of time, it is recommended that you create a battery profile for your wireless device.

To create and run the battery profile:

    1. Set up the Attributes.

    2. Then click Start Battery Profile. Notice that the Set present voltage field changes as the Interactive Functional Test Software steps through the Battery voltage control list entry.

    3. When you want to stop the battery profile, click Abort Battery Profile.

Results

The Results tab displays the numeric Battery profile results. You can also view a plot of the results in the Charts tab.

Attributes

The Battery Profile screen >> Attributes tab contains the following:

Voltage Control

  • Chart results - This plots the voltage versus time in the Battery Profile screen >> Charts tab.

  • Clear chart at start - This parameter clears the voltage plot in the Battery Profile screen >> Charts tab when you click the Start Battery Profile button.

  • Battery voltage control list - this is a list of voltages to be applied to the power supply when the Start Battery Profile button is clicked. The rate at which the Interactive Functional Test Software steps to the next voltage in this list is determined by the Looping criteria.

Current Monitoring

  • Chart results - This plots the measured current versus time in the Battery Profile screen >> Charts tab.

  • Clear chart at start - This parameter clears the measured current plot in the Battery Profile screen >> Charts tab when you click the Start Battery Profile button.

Looping criteria (available for both Voltage control and Current monitoring)

The following looping criteria differ slightly from the looping criteria available in the other interactive testing screens as these choice do not have a time limit; they are looped indefinitely.

  1. Repeat- this is controlled by the Repeat every parameter setting. For Voltage control, these settings allow you to set the length of time (two settings: time value and unit) to wait before setting the voltage to the next setting in the Battery voltage control list. For Current monitoring these settings allow you to set the length of time to wait before reading the current.

  2. Random Time - This option is a way to randomly run the activity. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability that the voltage will be changed. The Interactive Functional Test Software uses this probability to determine whether a specific loop runs or not. The number that you enter determines the probability of the loop starting. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of running each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the activity is run, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.

Charts

The figure below is an example of the graphical results you can view in the Charts tab with the correct attribute settings. The Chart type was set to line.

In this particular example, the Voltage Control and Current Monitoring had the following settings: Chart results and Clear chart at start were checked and the Looping criteria was set to Repeat, where the Repeat every in the Battery Profile >> Attributes tab was set to 1 second.

Figure 1: Charts for Battery Profile

There are some additional parameters on the Battery Profile >> Charts tab compared to the other interactive testing screens. Specifically, these are:

  • Option of which plot to show, that is, radio buttons to allow you to view both Voltage and Current, Voltage only, or Current only. (Again, data will only be shown on the plots if Chart results is selected.)

  • Option to send the chart window to a separate form (the Chart Viewer). You can do this by right-clicking anywhere inside the Charts tab and clicking Send to Form. This is very useful as it allows you to simultaneously view the battery profile while performing another interactive test.
    Sending the plot to a separate form is similar to sending a WPA log or Activity log to an MDI form. When using the plot while it is in the separate form, you can set the Location of the window to Always on Top. This keeps the focus of the battery profile graphics form in front of any other windows that are not set to Always on Top.

For more details on other parameters in the Charts tab, see How to Use the Charts tab.


14565B Battery Profile

The Agilent Technologies 14565B Device Characterization Software is an easy-to-use graphical user interface for the Agilent 66300-series dc sources. Because of the sophisticated waveform measurement capabilities of these dc source/Analyzers, this graphical user interface makes it easy for you to use the instruments without having to learn front panel function menus or an extensive SCPI command list. The Interactive Functional Test software allows you to control the 14565B software for an integrated battery current drain solution for performing real-world tests on mobile devices. The 14565B software can be utilized to log long-term voltage and current data and generate CCDF graphs of current drain. Results generated from these tests can be saved for later analysis.

The 14565B Battery Profile screen provides access to the following:

  • Operating Considerations

  • 14565B Battery profile

    • How to use/configure the 14565B Battery Profile activity

  • Results

  • Attributes

  • Test Set Control

Operating Considerations

  • The 14565B Battery Profile activity has four requirements that must be met in order to have access to the 14565B Battery Profile screen. These are:

  1. The Power supply GPIB address must be configured in the Configuration tab >> Instrument Control screen.

  2. The 14565B Device Characterization software must be installed and licensed.

  3. The power supply that is configured in the Configuration tab >> Instrument Control screen must be an Agilent 66319B/D or 66321B/D with firmware version A.03.00 and above.

  4. The power supply and the 8960 test set that are configured in the Configuration tab >> Instrument Control screen must have separate GPIB interface card settings.

  • Control the 14565B software via the Interactive Functional Test software. Changing settings directly in the 14565B interface, such as switching between Data logging and CCDF, puts it into an unknown state for the Interactive Functional Test software.

  • Switching between Data logging and CCDF loses the data that is in the current mode.

  • You cannot change voltage setting of the 14565B software while 14565B Battery Profile is active.

  • The power supply's front panel does not show voltage and current values while 14565B Battery Profile is active.

  • The voltage reading on the 14565B interface may not be correct. The voltage display update interval is set by the polling interval parameter. Therefore, if the polling interval is set to zero, the voltage display is not updated on the 14565B interface while it is active.

  • The 14565B Battery Profile and the Battery Profile activities cannot be run concurrently. When you click on 14565B Battery Profile activity and all the requirements are met, the Interactive Functional Test software loads the 14565B software in a special automation mode. Switching to the Battery Profile activity screen and pressing Start Battery Profile closes the 14565B software. Therefore, the next time you enter the 14565B Battery Profile screen, the Interactive Functional Test software will re-load the 14565B software in automation mode.

14565B Battery profile

Acquisition Mode - Indicates whether the data is captured and represented graphically in Data Logging mode or CCDF mode.
Note: To manually change the Acquisition Mode in the scripter from "DataLogging" to "CCDF", you change must change "DataLogging" in the second line below to "CCDF".

Setup14565B Monitor

Agt.Activities.BatteryPorfile14565B.StartBatteryProfile(clsScript14565BatteryProfile.enum14565BAcquisitionMode.DataLogging)

Start Battery Profile - When you click this button, the Interactive Functional Test Software applies the Attributes to the power supply and starts acquiring data.

Stop Battery Profile - Stops the 14565B software from acquiring data. Note: The 14565B software automatically stops acquiring data when the Acquisition period expires.

Immediate control - These settings are useful to set the power supply voltage and to get current readings. It is not recommended that these parameters be used while the battery profile is running.

Note: the following parameters are applicable only when the 14565B Battery profile is not active.

  • Set present voltage - In this field, you can set the value for the voltage you want to set the power supply to.

  • Set Voltage - When you click this button, the Interactive Functional Test Software sends a command to the power supply to set the voltage to the value in the Set present voltage field.

  • Read Current - the Interactive Functional Test Software reads the current used by the DUT at a particular instance in time.

Show 14565B - opens the 14565B interface, allowing you to graphically view the battery analysis results of your device. This button opens the 14565B application in automation mode. If the 14565B application is already opened, it will be closed before the Interactive Functional Test software opens the it in automation mode.

Hide 14565B - hides, but does not close, the 14565B interface.

If you are using the scripting tool to automate the 14565 Battery Profile activity, you can easily insert a Wait for Complete, which prevents the script from continuing until the 14565B Battery Profile activity has completed.

To use/configure the 14565B Battery Profile activity:

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

  1. The 14565B Battery Profile activity has four requirements that must be met in order to have access to the 14565B Battery Profile screen. These are:

  1. The Power supply GPIB address must be configured in the Configuration tab >> Instrument Control screen.

  2. The 14565B Device Characterization software must be installed and licensed.

  3. The power supply that is configured in the Configuration tab >> Instrument Control screen must be an Agilent 66319B/D or 66321B/D with firmware version A.03.00 and above.

  4. The power supply and the 8960 test set that are configured in the Configuration tab >> Instrument Control screen must have separate GPIB interface card settings.

  2. Ensure that the power supply is properly connected to your wireless device.

  3. Set the Power supply settings for the Current DUT.

  4. Turn the Power Supply "On" in the main toolbar. (This is only visible if the power supply is configured in the Instrument Control screen.)

You can use the Immediate control parameters to set the voltage and monitor the current. These parameters are primarily to test a specific response to a voltage setting.

To set the voltage:

    1. Enter the desired value for the voltage (within the specified range) into the Set present voltage field. Remember the specified range for the power supply is set in the minimum and maximum Power supply settings.

    2. Then, click Set Voltage. The power supply should be set to the specified voltage. You can query the current by clicking the Read Current button. The current reading is displayed directly below the Read Current button.

To analyze the current drain at certain voltage settings for a continuous period of time, it is recommended that you create a battery profile for your wireless device.

To run the 14565B Battery Profile:

    1. Select the Acquisition mode.

    2. Set up the Attributes.

    3. Optional: You may want to click Show14565B to see the data being acquired on the interface of the 14565B.

    4. Then click Start Battery Profile.

    5. When you want to stop the battery profile, click Stop Battery Profile. Note: The 14565B software automatically stops acquiring data when the Acquisition period expires.

Results

The Results tab displays the numeric 14565 Battery profile results that you have specified in the attributes. You can also view the results on the 14565B interface by clicking Show 14565B.

Note: It is not uncommon for the numeric results to return an average, minimum, and maximum current reading of 0.0000 mA when the 14565B Battery Profile activity is started. The numeric results will return 0.0000 mA until the 14565B interface is updated. The Test set connection status monitor's Repeat time setting controls how often the status is checked. Therefore, if the Integration period has not completed by the time the Test set connection status monitor runs, then a current reading of 0.0000 mA is returned.

Figure 1: Acquisition mode = Data Logging Example

The figure below shows results displayed in the 14565B interface while and FTP Download was performed. The FTP Download activities had two file selected "Autumn.jpg" and "Bliss.bmp" and the Looping Criteria set to None. The Event tags selected for this example were "Start of Download" and "End of Download". (Note that the FTP Download node must be selected for any of the sub-nodes under it to be logged.)

The steps that were taken to create this example were as follows:

  1. Set up FTP Download activity.

  2. Set up 14565B Battery Profile settings and attributes (Acquisition mode = Data Logging, Acquisition period = 5 minutes, Integration period = 0.005, Measurement type = Current, Return results for: Current values, Event tags = FTP Download, Start of Download and End of Download).

  3. Start the 14565B Battery Profile

  4. Start the FTP Download activity

  5. Click Show 14565B.

  6. When file downloads are complete, top the 14565B activity.

Figure 1: Acquisition mode = CCDF Example

The figure below shows results displayed in the 14565B interface while and FTP Download was performed. The FTP Download activities had two file selected "Autumn.jpg" and "Bliss.bmp". The Event tags selected for this example were "Start of Download" and "End of Download". (Note that the FTP Download node must be selected for any of the sub-nodes under it to be logged.)

The steps that were taken to create this example were as follows:

  1. Set up FTP Download activity.

  2. Set up 14565B Battery Profile settings and attributes (Acquisition mode = CCDF, Acquisition period = 5 minutes, Measurement type = Current, Return CCDF results).

  3. Start the 14565B Battery Profile

  4. Start the FTP Download activity

  5. Click Show 14565B.

  6. When file downloads are complete, stop the 14565B activity.

Attributes

The 14565B Battery Profile activity screen >> Attributes tab contains the following:

Data Logging

Capture

  • Acquisition period - the total time you expect to acquire data from the 14565B software. This parameter has 3 fields: Hours (maximum of 999), Minutes, and Seconds.

  • Integration period - the integration time of each data point plotted in the data log.

  • Measurement type - selects the type of measurement. The available measurement selections are:

Current - measures only the output current,
Current + Voltage - measures both output voltage and current, and
Current + DVM - measures the output current and the DVM input.

  • Return results for - this parameter allows you to select the type of results to display in the Results tab.

Event tags

This section allows you to select which activities would like to be tagged on the data log captured by the 14565B software. The event tags available are both the start and end of each activity available in the activity list, as well as the start and end of each instance of that activity (for example, the start and end of each download within the FTP Download activity).

Note: Event tags are only available when the Acquisition mode is set to Data Logging. Also, the root node of an activity must be checked in order to apply the event tag. If the root node is not checked, but sub-nodes under the root are, event tags will not be applied to that activity.

The four icons in the Event tags section are described here (from left to right):

Collapse to root - collapses the list of event tags to the highest level.

Expand all nodes - expands the list of event tags to the lowest level.

Clear all selections - removes the checkmarks next to the event tags.

Select all events - puts a checkmark next every item in the event tag list.

Save results

  • Save to file - if selected, the Interactive Functional Test software tells the 14565B software to save the results to a file.

  • File name - the name of the file with the saved results.

  • Directory - the location of file that contains the saved results.

  • Append timestamp to file name - if selected, the 14565B software appends a date coded timestamp to the file name.

CCDF

Capture

  • Acquisition period - the total time you expect to acquire data from the 14565B software. This parameter has 3 fields: Hours (maximum of 999), Minutes, and Seconds.

  • Measurement type - select whether to measure Current or Voltage.

  • Return CCDF results - displays the CCDF results on the Results tab of the Interactive Functional Test software's 14565B Battery Profile screen.

Save results

  • Save to file - if selected, the Interactive Functional Test software tells the 14565B to save the results to a file.

  • File name - the name of the file with the saved results.

  • Directory - the location of file that contains the saved results.

  • Append timestamp to file name - if selected, the 14565B software appends a date coded timestamp to the file name.

Power Supply

Main output

  • Series resistance level (Ohms) - configures the output resistance of the power supply.

  • Wiring and load compensation - configures the output compensation of the power supply. The available settings are as follows:

    • Local Low - used for slower response with short load leads or bench operation. This produces the slowest output response, but provides the best stability (no external capacitor needed).

    • Local High - used for faster response with short load leads or bench operation (no external capacitor needed). This combination is not available on earlier models.

    • Remote Low - used for slower response with long load leads using remote sensing. This combination is not available on earlier models.

    • Remote High - used for faster response with long load leads using remote sensing. This produces the fastest output response, but requires an external capacitor for stable operation.

Measurement

  • Current range - sets the current range for the power supply measurements. Select High, Medium (< 1A), or Low (< 0.02A) range current measurements. Use the Low range if your current measurements will always be less than 20 mA. Use High range if any current measurements will be greater than 1 ampere.

  • Current type - Sets the current type to Pulse or DC Only. Use Pulse when measuring current pulses or other waveforms with a frequency content greater than a few kilohertz. Use DC Only when making DC current measurements and you require a measurement offset better than 2mA on the High current measurement range. Otherwise, the DC Only current type will give inaccurate results on current waveforms with AC content.

  • DC filtering type - configures the Sense Window setting in the 14565B software. This setting allows you to select either a Rectangular or Hanning window as the windowing function for both voltage and current measurement calculations.

System

  • I/O Timeout (ms) - sets the timeout value for GPIB bus communication to the power supply.

  • Polling interval (sec) - sets the update rate of the voltage and current readings. This parameter can be adjusted from 1 to 10 seconds. Note: If this setting is set to zero, the 14565B software voltage display does not update its settings.

For more information on the features offered in the 14565B software, see the help file within the 14565B software.


Network Impairments

You can investigate how your wireless device behaves when certain parameters change by setting network impairments.

The Network Impairments screen provides access to the following:

  • List of the available Impairments

    • To add a network impairment:

  • Results

  • Attributes

  • Throughput Monitor Control

  • Test Set Control

To add a network impairment:

All non-essential processes and anti-virus scanners may affect Interactive Functional Test Software test results and should therefore be stopped prior to running any activity in the Interactive Functional Test Software.

  1. Open the Interactive Testing tab >> Network Impairments screen.

  2. Choose which network impairment you wish to configure by clicking a parameter in the Impairments list (it should be highlighted).

  3. Set the Attributes for the impairment.

  4. When ready, click Start Impairment.

Only one impairment can be started at one time, however, many can run at the same time.

Example:

The following example changes the cell power level from a default of -50 dB to the first value in the list -45 dB, then -40 dB, then -45 dB, and then back to -50 dB. First, the Network Impairments screen is displayed. Then the impairment parameter is selected and the Attributes are set by entering several settings (within the cell power range) into the Cell Power impairment settings window. The looping criteria is set to repeat every 10 seconds. Finally the Start Impairments is clicked.

Results

The Results tab displays the numeric Network Impairment results. That is, each time a network impairment is set, the value of that impairment is displayed in this tab.

Attributes

The Network Impairments screen >> Attributes tab contains the following:

Impairment range - This window displays the range values for the selected impairment.

Impairment settings - This window is where you enter the settings for the selected impairment. The Interactive Functional Test Software cycles through the settings as per the looping criteria settings. You must insert a carriage return between each setting. For parameters that accept one of many (OOM) options (not a range of numbers), you can right-click in this window to select a setting from the list.

Looping criteria

The following looping criteria differ slightly from the looping criteria available in the other interactive testing screens as these choice do not have a time limit; they are looped indefinitely.

  1. Repeat- this criterion requires you to set the Repeat every parameter, which allows you to set the length of time (two settings: time value and unit) to wait before changing the impairment setting to the next item value in the Impairment settings list.

  2. Random Time - This option is a way to randomly change the impairment setting. This criterion requires you to set the following parameters:

  1. Test probability of 1 in - This parameter sets the probability of the impairment setting being changed. The number that you enter determines the probability of the setting changing. For example, if you enter 10 into the field, the loop has a 1 in 10 (or 10%) chance of changing each time the probability is tested.

  2. Test probability every - This parameter controls how often to test the probability (the probability is set by the Test probability of 1 in parameter). If the probability test returns a hit, then the impairment setting is changed to the next item in the impairment settings list, otherwise the Interactive Functional Test Software waits the amount of time this parameter is set to before testing the probability again.


Stress Testing

Stress testing the application features of a wireless device is a dependable means of determining both its true capabilities as well as points of failure. The Stress Testing tab in the Interactive Functional Test Software allows you to create stress test plans by allowing you to select from a list of available test steps for a particular device. Test steps are script files that you can create and manage by using the scripting tool. This topic assumes that scripts have been created for your device. See How to use the scripting tool for more information. Once you have created your test plan, you can run it from the Stress Testing tab in the Interactive Functional Test Software or you can run it remotely using the Remote LAN Control feature.

The Stress Testing tab has three main areas:

  • Test plan manager

  • Define test plan

  • Test step information

Test plan manager

The following settings are in the Test plan manager area of the Interactive Functional Test Software's Stress Testing tab.

  • Current test plan - This parameter is the selected test plan. You select the test plan from a drop-down list of all the available test plans for the specified Current DUT and Current format.

  • Run Test Plan - Initiates the Current test plan.

  • Abort Test Plan - Stops the Current test plan.

  • Activity logging parameters available for Stress Testing:

The following settings are Activity logging parameters that are only available in the Interactive Functional Test Software's Stress Testing tab and in the Scripting Tool. For more information see, How to use Activity Logging for Stress Testing.

  • Turn on script activity logging - captures an activity log beginning when the Run button is pressed and ending when the script completes. Note: if this parameter is selected, any currently running activity log is stopped and a new activity log will be started.

  • Turn off all activity logging - stops any activity log that is currently being captured.

  • Log comments - The contents of this parameter (up to 10 lines in length) constitute the first message of the activity log that is initiated when the Current test plan is run and Log test results is checked.

  • Auto generate log file name - This parameter automatically generates a file name for the activity log.

  • Log file name - This parameter is used as the file name of the activity log file that is captured (if Log test results is checked) while the Current test plan is run. The Auto generate log file name cannot be checked for this parameter to apply.

  • Auto generate seed value - This setting allows the Interactive Functional Test Software to generate a random seed value.

  • Manual seed - This parameter assigns a specific seed value rather than one that is automatically generated. In order to apply this manual seed value, the Auto generate seed value cannot be checked.

  • Test plan repeats - This parameter sets the number of times the Current test plan will repeat after the Run Test Plan button is clicked.

  • Add New Plan

The Add New Plan button allows you to create a new test plan. New test plans are added to the drop down list of available test plans that are available in the Current test plan drop-down list.

To add a new test plan:

Note: This procedure assumes that any test steps that you intend to include in the new test plan are already created. Test steps are scripts that are created using the scripting tool. See Creating scripting tool files for more information.

    1. Click the Add New Plan button. When you click on this button, you are prompted to enter the name for the new test plan. Name the new test plan and click OK.

    2. The new test plan is empty by default and automatically assigned as the Current test plan.

    3. To manage which test steps are in the new test plan, see To configure the test steps that are in the current test plan.

  • Copy Plan

The Copy Plan button allows you to copy the Current test plan. This button prompts you to enter the name for the copy of the Current test plan. Once you enter a name and click OK, the new plan is assigned the Current test plan. You can configure which test steps that are in the copied test plan just as you would a new test plan (see To configure the test steps that are in the current test plan.)

The Copy Plan button is useful when you want to create a test plan that is very similar to an existing test plan.

  • Delete Plan

The Delete Plan button deletes the test plan that is assigned as the Current test plan.

  • Copy Plan to "TemporaryPlan"

The Copy Plan to "TemporaryPlan" button is similar to the Copy Plan button, however you are not prompted to enter a name for the new plan as the Interactive Functional Test Software automatically names it "TemporaryPlan".

Define test plan

The Define test plan area of the Stress Testing tab is where you can configure the Current test plan.

To configure the test steps that are in the Current test plan:

  1. To add a step to the Current test plan, drag the desired stress test listed in the Available test steps column to the Current test steps column. Double clicking on an Available test step also sends it to the list of Current test steps. If you know all or part of the test step name and you are having trouble finding it, enter the portion of the name that you know into the Find feature and it will highlight all the Available test steps that match the search string.

  2. To change the order of the Current test steps, click the step you want to move and drag it to the desired location in the list.

  3. To delete any Current test steps that are assigned to the Current test plan, highlight the step and press the delete keyboard key.

Test step information

The Test step information area of the Stress Testing tab displays the comments that are in the script file for the selected test step. The figure below shows the for the "SMS_test_script".

Figure 1: Test step information for the highlighted test step.


Configuration

The Configuration tab is where you set up the different components of your test system. This is typically the first place to start when setting up an entire new Interactive Functional Test system or just pieces of a new test system such as a new wireless device.

The following is a list of the available configurations:

  • DUT Configuration

  • Connections Integrity

  • LAN Topologies

  • Robot Calibration

  • Remote LAN Control

  • Instrument Control

  • E-mail Configuration


DUT Configuration

The Configuration tab >> DUT Configuration screen is where the parameters settings for wireless devices added to the Interactive Functional Test system are configured.

This topic contains information on the following:

  • Current DUT

  • Formats supported

  • Power Supply

  • DUT control design

  • Diagnostic Port

  • Modem Port

Current DUT

This section displays the following characteristics of the currently selected wireless device:

  • Name - The name associates a specific configuration with a specific wireless device. To add a new wireless device to the Interactive Functional Test Software, see How to add a DUT.

  • Interface type - refers to the method by which a wireless device is controlled. There are four interface types that are defined for you: AT Command Interface*, DUT Controller Interfaces, Manual Interfaces, and Robot Interfaces. If your wireless device is not controlled by any one of these options, it may be necessary for you to add a new Interface type. To do so requires code changes and new code written for the DUT Interface Project that the Interactive Functional Test Software references. It is recommended that only an experienced software developer that has experience with Visual BASIC .NET ™ 2005 add a Interface type. See how to add an Interface type for more information.

    Visual BASIC is a trademark of the Microsoft corporation.

    * The AT Command Interface is based on Agilent's interpretation of the 3GPP 27007 AT command set for User Equipment (UE) standards. You can access these standards by using the following link: http://www.3gpp.org/ftp/Specs/html-info/27007.htm. If your company's interpretation is different than Agilent's, then you are required to make the appropriate changes to the code before the Interactive Functional Test Software will communicate properly with your wireless device. For instructions on how to do this, see how to modify how the AT command interface behavior for your wireless device.

  • Keypad type - indicates that the wireless device has either normal (numeric) or full QWERTY keypad type.

This section also allows you to add a new wireless device to the system (Add New) or Delete the Current DUT.

To add a new wireless device to the Interactive Functional Test Software, see How to add a DUT.

Formats supported

This section allows you to select which formats the current wireless device supports. The selected formats are the formats made available in the Current format list that is associated with the Current DUT. The selected format determines which default settings are applied to the test set. See How to change instrument settings for more information on how the test set is configured for the different format selections.

Power supply

The Power supply settings in the DUT Configuration screen only apply if a power supply is configured in Configuration tab>>Instrument Control screen. This section allows you to set the power supply voltage settings including: Voltage, Max voltage limit, and Min voltage limit.

  • Voltage is the setting that the power supply is set to when the power supply is set to "On" in the main toolbar at the top of the Interactive Functional Test Software window. Note: in order to turn the power supply on, you must first configure the power supply in the Instrument Control screen.

  • Max voltage limit and Min voltage limit set the voltage range that the power supply is allowed to be set to in the Battery Profile screen.

  • Max current limit (A) sets the maximum current level supplied by the power supply.

The power supply is turned off when the Interactive Functional Test Software closes or when any changes are made to the above parameters.

DUT control design

Load

This button is only visible when the DUT control window is not shown. This button shows the DUT control window.

Save

This button is only applies when the DUT control window is shown. This button saves the current DUT control settings to the Current DUT. This button is available only when the DUT control is shown.

Restore Default Settings

This button restores all the buttons in DUT control to their defaults.

Clone from Existing DUT

This button creates a new DUT design for the Current DUT that is identical to an already configured wireless device (that is, any wireless device that is available in the Current DUT field). When you press this button, you are prompted to select which wireless device you wish to clone. Once you make your selection, the DUT control is displayed for any changes that are needed. This feature is useful when a new DUT is very similar to an existing one with a few minor exceptions.

See How to Use DUT Control for more information.

Diagnostic Port

The Diagnostic Port allows you to test whether you can use the Interactive Functional Test Software to control the wireless device keypad.

Setup

You must assign a Port Name before the Interactive Functional Test Software will allow you set up any other port settings. To determine the correct COM port to assign a Port Name go into the Network Connections (from the Control Panel) and view the properties of the connection that applies to you DUT. In the General tab under "Connect using", make sure the correct device is checked. The correct COM Port Name to use is in parentheses at the end of the device name. Note: Some modems support the multiple COM ports and some do not. If your modem does, be sure to assign the data COM port the Modem Port and use the non data COM port for the Diagnostic Port.

Port status - This field displays whether the port assigned to the wireless device is open or closed. Click the Open button to open the port and click the Close button to close it. Note that an error is displayed if you attempt to open the port and the port that port does not exist. Also, the port may not operate properly until you correctly define the properties of the port.

Enable debug - This parameter opens the DUT Diagnostic Port Debug Viewer, which monitors all the commands sent and received on the assigned COM port. This parameter is useful, for example, when the Interface type is set to AT Command Interface and the buttons on the DUT control are not behaving the way you expect them to. The debug viewer allows you to set the location of the window to Always on Top and also Clear the contents. Note that when you click Clear , the debug viewer is cleared and then automatically displays which Interface Type is being used.

The following parameters define the port properties. These are common port settings that are not explained in this manual.

  • Standard: Port name, Baud rate (bps), Number of data bits, Hand shake, Parity, Stop bits, RTS enable, DTR enable, and Line termination.

  • Advanced: Read timeout (msec), Write timeout (msec), Read buffer size (kbytes), Write buffer size (kbytes), and Received bytes threshold.

Test communication

The parameters in this portion of the Diagnostic Port tab are only accessible if the Port status shows "Opened". Test communication allows you to send single line commands to the wireless device.

Modem Port

The Modem Port tab allows you to set up a port on your PC to communicate with your wireless device. The parameters on this tab must be configured if you plan to use the Interactive Functional Test Software to control your wireless device as a modem. The Modem Port tab provides the same port setup parameters that are available in the Standard and Advanced tabs within the Diagnostic Port tab. Again, you must first assign a Port Name before the Interactive Functional Test Software will allow you set up any other port settings.

Once you have the Modem Port tab's setup parameters configured, enter the modem connection script for your device. Note: The Modem Port tab's setup parameters do not apply when the connection method used is a program (rather than a script). The modem connection script is what is used to create a data connection when you click Connect in the Dial/Hang-up tab. The modem connection script is specific to your particular device and may need to be obtained from the developers of your wireless device.


Connections Integrity

Verify the Interactive Functional Test system connections

Connection Integrity Screen Descriptions

What's Next? - Setting up your Device

Verify the Interactive Functional Test system connections

The Configuration tab >> Connections Integrity screen allows you to check the separate components of the Interactive Functional Test system. It is recommended that you check these components before you attempt to do any testing.

To allow the software to accurately check the connections, ensure that no activities are running and that the DUT is not connected while checking the Connections Integrity.

There are six main components of the system that can be checked (Test Set 1 and Test Set 2 connections, LANs, Servers, Applications, and Server Topology File). Each time you return to this screen, the fields shown as Connected will indicate Not Checked.

Connections Integrity Screen Descriptions

  • Test Set 1

  • Test Set 2

  • LANs

  • Servers

  • Applications

  • Server topology file

  • Test Set 1

When the Connections Integrity screen is selected or the “Refresh Test Set Config” button is pressed, a GPIB *IDN query is performed. If no results are returned, an error message is shown in the *IDN field, no other GPIB queries are performed, and the other Test Set 1 fields are set to blank. If the *IDN query is valid, other queries are performed to obtain all the Test Set 1 configuration information.

  • Current model: The application model read from Test Set 1.

  • Current revision: The application revision read from Test Set 1.

  • DUT IP address: The DUT IP address read from Test Set 1. The DUT address in the Test Set is checked against the LAN DUT address. If the addresses do not match, the status field will indicate a failure.

  • Test Set IP address: The Test Set IP address read from Test Set 1. The Test Set IP address in the Test Set is checked against the LAN Test Set IP address. If the addresses do not match, the status field will indicate a failure.

  • Test Set Data IP address: The Test Set data IP address read from Test Set 1. If the Test Set is not a high data rate model, this field will be blank. If the Test Set is a high data rate model, the Test Set Data IP address in the Test Set is checked against the LAN Test Set Data IP address. If the addresses do not match, the status field will indicate a failure.

  • Test Set Ext IP address: IP address of Test Set 2 used for two box handover.

  • *IDN? results: The results that are returned with a GPIB *IDN? query is sent to Test Set 1.

  • GPIB Address: The Test Set 1 GPIB address on the Instrument Control screen.

  • GPIB Interface: The Test Set 1 GPIB interface on the Instrument Control screen.

  • Set GPIB Address: This button takes you to the Instrument Control screen so you can set the GPIB addresses and interface card.

  • Test Set 2

When the Connections Integrity screen is selected or the “Refresh Test Set Config” button is pressed, a GPIB *IDN query is performed. If no results are returned, an error message is shown in the *IDN field, no other GPIB queries are performed, and the other Test Set 2 fields are set to blank. If the *IDN query is valid, other queries are performed to obtain all the Test Set 2 configuration information.

  • Current model: The application model read from Test Set 2.

  • Current revision: The application revision read from Test Set 2.

  • DUT IP address: The DUT IP address read from Test Set 2. The DUT address in the Test Set is checked against the LAN DUT address. If the addresses do not match, the status field will indicate a failure.

  • Test Set IP address: The Test Set IP address read from Test Set 2. The Test Set IP address in the Test Set is checked against the LAN Test Set IP address. If the addresses do not match, the status field will indicate a failure.

  • Test Set Data IP address: The Test Set data IP address read from Test Set 2. If the Test Set is not a high data rate model, this field will be blank. If the Test Set is a high data rate model, the Test Set Data IP address in the Test Set is checked against the LAN Test Set Data IP address. If the addresses do not match, the status field will indicate a failure.

  • Test Set Ext IP address: IP address of Test Set 2 used for two box handover.

  • *IDN? results: The results that are returned with a GPIB *IDN? query is sent to Test Set 2.

  • GPIB Address: The Test Set 2 GPIB address on the Instrument Control screen.

  • GPIB Interface: The Test Set 2 GPIB interface on the Instrument Control screen.

  • Set GPIB Address: This button takes you to the Instrument Control screen so you can set the GPIB addresses and interface card.

  • LANs

When the “Check all LANs” button is pressed, a ping is sent to the Router address, the Test Set 1 address, the Test Set 2 address (if applicable), and the Server address. If the Test Set 1/Test Set 2 is a high data rate model, a ping is sent to the Test Set 1/Test Set 2 data address. If there is a Wireless Bridge in the system, a ping is sent to the Bridge address. If the IP address is not applicable for your configuration, it will be unavailable.

  • Test System index: This is the index of this Test System which was defined when the Wizard was run. The Wizard stored this index in the registry.

  • Router IP address: This is the Local IP Address of the Router that was determined by the Wizard (LAN Topology Wizard) and you were prompted to set during the Wizard. The Wizard stored this address in the registry.

    Router address status: A ping is sent to the Router address. If the Ping is valid, then the status shows “Connected”. If the Ping does not return valid within 1/2 second the status indicates “Not Connected”.

  • Workstation IP address: This is the LAN port IP address of the Workstation that was determined by the Wizard and was automatically set during the Wizard. The Wizard stored this address in the registry.

  • DUT IP address: This is the IP address that is to be used for the DUT and is assigned during the Wizard. The Wizard stored this address in the registry.

  • Bridge IP address: If the topology does not use a Wireless Bridge, this field is grayed out. This is the IP Address of the Wireless Bridge that was determined by the Wizard and you were prompted to set during the Wizard if you have a Wireless Bridge. The Wizard stored this address in the registry.

    Bridge address status: If Wireless Bridge is present, a ping is sent to the Bridge address. If the Ping is valid, then the status shows “Connected”. If the Ping does not return valid within 1/2 second the status indicates “Not Connected”.

  • Server IP address: This is the Server PC IP address that was set during the Server install. The Wizard stored this address in the registry.

    Server address status: A ping is sent to the Server address. If the Ping is valid, then the status shows "Connected". If the Ping does not return valid within 1 second the status indicates “Not Connected”.

  • Test Set 1 IP address: This is the Test Set 1 IP address that was determined by the Wizard and was automatically set in the Test Set during the Wizard. The Wizard stored this address in the registry.

    Test Set 1 IP address status: A ping is sent to the Test Set 1 address. If the Ping is valid, then the status shows “Connected”. If the Ping does not return valid within 1/2 second the status indicates “Not Connected”.

  • Test Set 1 data IP address: If the Test Set is not a high data rate model, this field will be grayed out. This is the Test Set 1 IP data address that was determined by the Wizard and was automatically set in the Test Set during the Wizard if it is a high data rate model. The Wizard stored this address in the registry.

    Test Set 1 data IP address status: If the Test Set is a high data rate model, a ping is sent to the Test Set 1 data address. If the Ping is valid, then the status shows “Connected”. If the Ping does not return valid within 1/2 second the status indicates “Not Connected”.

  • Test Set 1 IP address: This is the Test Set 1 IP address that was determined by the Wizard and was automatically set in the Test Set during the Wizard. The Wizard stored this address in the registry.

    Test Set 1 address status: A ping is sent to the Test Set 1 address. If the Ping is valid, then the status shows “Connected”. If the Ping does not return valid within 1/2 second the status indicates “Not Connected”.

  • Test Set 2 data IP address: If the Test Set is not a high data rate model, this field will be grayed out. This is the Test Set 2 IP data address that was determined by the Wizard and was automatically set in the Test Set during the Wizard if it is a high data rate model. The Wizard stored this address in the registry.

    Test Set 2 data IP address status: If the Test Set is a high data rate model, a ping is sent to the Test Set 1 data address. If the Ping is valid, then the status shows “Connected”. If the Ping does not return valid within 1/2 second the status indicates “Not Connected”.

  • Servers

When the “Check All Servers” button is pressed, a ping is sent to the LAN topology Server address.

If the Ping does not return valid within 1 second the FTP status, SMS/MMS status, HTTP status, and Email Server are all set to Fail and nothing else is checked.

If the Ping is valid, the FTP status, HTTP status, SMS/MMS status, and Email Server status are all checked.

  • FTP Server

  • Status: If all following tests are successful then the status is set to OK. If any of these tests are unsuccessful, the status is set to Fail. The Error tab will indicate what failed.

    • A login to the FileZilla FTP Server AppsFiles account using the FTP port, FTP username, and FTP password is performed and a file is downloaded from that account

    • A login to the FileZilla FTP Server FTPFiles account using the FTP port, FTP LAN username, and FTP LAN password is performed and a listing of the files in the account.

    • A login to the FileZilla FTP Server Now SMS account using the FTP port, FTP SMS username, and FTP SMS password is performed.
      (Note: This does not check the High, Medium, Low, and No Limit accounts on the FTP server.)

  • FTP files username: The FTP server FTPFiles account username stored in the AppSettings.xml file.

  • FTP files password: The FTP server FTPFiles account password stored in the AppSettings.xml file.

  • App files username: The FTP server AppFiles account username stored in the AppSettings.xml file.

  • App files password: The FTP server AppFiles account password stored in the AppSettings.xml file.

  • SMS files username: The FTP server Now SMS account username stored in the AppSettings.xml file.

  • SMS files password: The FTP server Now SMS account password stored in the AppSettings.xml file.

  • Port: The FTP server port number stored in the AppSettings.xml file.

  • HTTP Server If all following tests are successful then the status is set to OK. If any of these tests are unsuccessful, the status is set to Fail. The Error tab will indicate what Failed.

      1. A web page request is made to the Apache HTTP Server using the LAN topology Server address. The keyword <Title> must be in the returned web page. (Note: This keyword is saved in the AppSettings.xml file under the name HTTPServerAliasCheckKeyword.)

      2. A web page request is made to the Apache HTTP Server using the LAN topology Server address with the MMS to DUT alias. The keyword <Title> must be in the returned web page.

      3. A web page request is made to the Apache HTTP Server using the LAN topology Server address with the FTP alias. The keyword <Title> must be in the returned web page.

      4. A web page request is made to the Apache HTTP Server using the LAN topology Server address with the LAN alias. The keyword <Title> must be in the returned web page.

      5. A web page request is made to the Apache HTTP Server using the LAN topology Server address with the Browser alias. The keyword <Title> must be in the returned web page.

      6. A web page request is made to the Apache HTTP Server using the LAN topology Server address with the Mobile Web alias. The keyword <Title> must be in the returned web page.

      7. A web page request is made to the Apache HTTP Server using the LAN topology Server address with the MMS from DUT alias. The keyword <Title> must be in the returned web page.

      8. A web page request is made to the Apache HTTP Server using the LAN topology Server address with the MMS-IN alias. The keyword <Title> must be in the returned web page.

  • LAN alias: The Apache Server LAN (AppFiles) directory alias stored in the AppSettings.xml file.

  • LAN alias: The Apache Server LAN (AppFiles) directory alias stored in the AppSettings.xml file.

  • FTP alias: The Apache Server FTP files directory alias stored in the AppSettings.xml file.

  • MMS to DUT alias: The Apache Server MMS to DUT files directory alias stored in the AppSettings.xml file.

  • MMS from DUT alias: The Apache Server MMS from DUT alias files directory alias stored in the AppSettings.xml file.

  • MMS-IN alias: The Apache Server MMS-IN files directory alias stored in the AppSettings.xml file.

  • Browser alias: The Apache Server Browser files directory alias stored in the AppSettings.xml file.

  • Mobile Web alias: The Apache Server Mobile Web files directory alias stored in the AppSettings.xml file.

  • SMS/MMS Server

  • Status: An HTTP web page request is made to the Now SMS web interface using the SMS/MMS web port number. If the web request returns the correct web page, the status is set to OK, otherwise, the status is set to Fail. (Note: This does not check all the settings in the Now SMS server. It really only checks that the Now SMS server is installed and running.)

  • SMSC port: The Now SMS SMSC port number stored in the AppSettings.xml file.

  • Web port: The Now SMS web interface port number stored in the AppSettings.xml file.

  • MMSC port: The Now SMS MMSC port number stored in the AppSettings.xml file.

  • Email Server

  • Status: Indicates whether the Email Server status has passed, failed, or not checked.

  • SMTP port: The hMailServer SMTP port number stored in the AppSettings.xml file.

  • POP3 port: The hMailServer POP3 port number stored in the AppSettings.xml file.

  • Applications

When you click the Check Applications button, the UDP Server is checked first because the UDP Server must be working in order to check the MMS transfer application. If the UDP Server is not working, a Fail is indicated in the UDP status and the MMS transfer application is not checked.

  • UDP Application

  • Status: The Workstation application sends a STATUS command to the UDP Server over the UDP TCP port. If the UDP Server responds with STATUS OK, then the UDP status label shows OK. Otherwise the status label shows Fail. (Note: This only checks that the UDP Server is running on the Server PC and that the UDP TCP port is correct.)

    • TX port: The UDP TX port number used to communicate with the UDP Server application on the Server PC during the UDP Download activity. This port is determined by the Wizard and is stored by the Wizard in the registry.
      When the “Check Topology File” button is pushed, the UDP TX port number in the Server Topology File is checked against the UDP TX port. If the numbers do not match, the background color of this field is set to red.

    • RX port: The UDP RX port number used to communicate with the UDP Server application on the Server PC during the UDP Upload activity. This port is determined by the Wizard and is stored by the Wizard in the registry.
      When the “Check Topology File” button is pushed, the UDP RX port number in the Server Topology File is checked against the UDP RX port. If the numbers do not match, the background color of this field is set to red.

    • TCP port: The UDP TCP port number used to send messages to the UDP Server application on the Server PC during the UDP Download activity and the UDP Upload activity. This port is determined by the Wizard and is stored by the Wizard in the registry.
      When the “Check Server Topology" button is clicked, the UDP TCP port number in the Server Topology File is checked against the UDP TCP port. If the numbers do not match, the background color of this field is set to red.

  • MMS Transfer Application

  • Status: If the UDP Server is OK, the Workstation application opens a TCP listener on MMS transfer port and waits for a response from the Server PC MMS transfer application. The Workstation application sends a TEST MMS TRANSFER command to the UDP Server over the UDP TCP port. The UDP Server sends a test MMS message to the MMS transfer application. When the MMS transfer application receives the test MMS message, it sends a test MMS Header to the Workstation application using a TCP transfer over the MMS transfer port. If the test MMS Header is received and contains the keyword TestMMSTransfer, than the MMS transfer status label shows OK. If the keyword is not found, the label shows Fail. The Error tab will indicate what part of the process failed. (Note: This checks that the MMS transfer application is installed and working. It does not verify that the Now SMS Server will deliver an MMS message to the MMS transfer application.)

  • Port: The MMS transfer port number used to communicate with the Server PC MMS transfer application stored in the AppSettings.xml file. When the “Check Topology File” button is pushed, the MMS transfer port in the Server Topology File is checked against the MMS transfer port. If the numbers do not match, the background color of this field is set to red.

  • From DUT phone number: This is phone number that you must use when you send a message from the DUT in the MMS from DUT and SMS from DUT activities. The phone number is determined by the Wizard and is stored by the Wizard in the registry.
    When the “Check Topology File” button is pushed, the MMS phone number in the Server Topology File is checked against the MMS phone number. If the numbers do not match, the background color of this field is set to red.

  • Server Topology File

When the Check Server Topology button is clicked, an HTTP transfer of the Server Topology File to the Workstation application is attempted. If the Server Topology file is transferred and there is an entry in the file associated with the LAN topology Test System index, the following items are checked against their corresponding values in the Server Topology File: Test System index, Router IP address, Workstation IP address, DUT IP address, Test Set IP address, Test Set Data IP address, Bridge IP address, Server IP address, MMS transfer port, MMS phone number, UDP TX port, UDP RX port, and UDP TCP port.

If the Server Topology file is not transferred or there is not an entry in the file associated with the Test System index, the Check File status indicates Fail and no other checks are performed.

If the Server Topology file is valid but any one of the items in the Server Topology File does not match, the status is set to Fail. Otherwise, the status indicates OK.

What Next? - Setting up your Device

Once you have verified that all the connections are good, you are ready to configure your device to work with your system and then start testing it. See the DUT Configuration topic for details on how to set up your device.


LAN Topologies

This topic describes the LAN Topologies supported by the Interactive Functional Test Software and how to choose the LAN topology that is the most appropriate for your situation. This topic also describes how to change the topology that you have selected for your system, should you need to.

  • LAN Topologies supported by the Interactive Functional Test Software

  • Pre-Wizard Tasks

  • LAN Topology Setup Wizard

  • Default LAN Settings

  • Changing the LAN Topology after the Wizard has been run

LAN Topologies supported by the Interactive Functional Test Software

The LAN topologies supported by the Interactive Functional Test Software are listed in the program itself and can be found in the "Select a LAN Topology" area in the LAN Topology screen of the Configuration tab. Unsupported LAN topologies are grayed out in the program and are not listed here.

The LAN topology that is most appropriate for you depends on how your server is set up. Advantages and disadvantages of each topology is described in the Interactive Functional Test software. To access this information simply select the topology within the software you wish to learn more about.

  1. Server is on a Private Network - the server is a separate PC from the workstation

  2. Non-Shared Server - the server is dedicated to a single workstation.

  • Wired Server - the server is connected to the network using LAN cables.

  1. Access the Internet through a Router - The server has access to the Internet through a router that is connected to the LAN.

  2. Access the Internet through a Workstation - the server has access to the Internet through a workstation, which is connected to the LAN.

  3. No Internet connection.

  4. Shared Server

  5. Wired Server

  1. Access the Internet through a Router

  2. Access the Internet through a Workstation

  3. No Internet connection.

  • Wireless Server

  1. Access the Internet through a Router

  2. Access the Internet through a Workstation

  3. No Internet connection.

Pre-Wizard Tasks

Before clicking this button, select the LAN topology that is most appropriate for your situation. (For more information, see LAN topologies supported by the Interactive Functional Test software.)

This button in the Configuration >> LAN Topologies screen opens the pre-wizard tasks for the LAN topology that you have selected. (Notice the title bar of the pre-wizard tasks matches the selected LAN topology.)

The Pre-Wizards tasks must be completed before you run the wizard. It is recommended that you print them so that you can mark the tasks that you have completed. Once you have completed these tasks, you are ready to run the LAN Topology Setup Wizard.

LAN Topology Setup Wizard

This button in the Configuration >> LAN Topologies screen initiates a LAN Topology Setup Wizard that corresponds to the LAN topology you have selected for your Interactive Functional Test system. The LAN Topology Setup Wizard guides you through and automates many of the setup process needed to configure your system to work properly.

The getting started topic provides instructions for steps that must be performed both prior to and after running the wizard. It is assumed that you have completed the Pre-Wizard Tasks before running the LAN Topology Setup Wizard.

The wizard will guide you through the process of setting up the LAN Topology. IMPORTANT: Read and follow the directions on each step of the wizard carefully. Most setup issues are due to incorrect settings/connections done in the wizard.

Once the wizard has been successfully completed, you will be taken to the Connections Integrity screen within the Configuration tab.

Default LAN Settings

This button in the Configuration >> LAN Topologies screen opens the for the settings for the LAN, router, router and wireless bridge. This button also provides access to the Topology Settings window that contains all IP address settings assigned in the test system as well as all the server settings.

These settings are all configured when the LAN Topology Setup Wizard is successfully completed. It is recommended that you allow the wizard to configure these settings rather than manually setting them.

Changing the LAN Topology after the Wizard has been run

Re-running the wizard to configure your Interactive Functional Test system to a different LAN topology (for example, changing a Shared Server to a Non-Shared Server) will generate an error. This error notifies you that the selected LAN topology is not compatible with the previous topology that selected when the wizard was run. You will not be able to proceed with the wizard and the steps that have been completed up until the error will not be saved.

In order to be able to run the wizard without getting this error, you must remove the existing LAN topology information within the topology file to prevent the compatibility error message from displaying when the wizard is run. To change the file to prevent the LAN topology compatibility error, follow the steps below.

  1. On the Server PC, navigate to C:\Program Files\Agilent\N597X\AppFiles.

  2. Open the file named "N597X Topologies.txt".

  3. Remove all the text that is not commented out with an exclamation mark.

Once the Topology file is changed you can then go back to the Workstation, select the desired LAN topology, and re-run the Wizard.


Robot Calibration

Serious injury or even death may result from impact with a moving robot. Please use extreme caution and follow the manufacturer's safety precautions when operating a robot.

This topic describes how to set up and calibrate your robot so that the Interactive Functional Test Software can communicate and respond correctly and expectedly. The Robot Calibration screen is available in the Configuration tab.

Serial Port Setup

To use a robot when using the Interactive Functional Test Software, you must first configure the serial port that you plan to use to communicate between the robot and the workstation running the Interactive Functional Test Software.

Setup

In order for the Interactive Functional Test Software to properly communicate with your robot, there are several parameters you must configure both in the robot and in the Interactive Functional Test Software. These parameters are located in Configuration tab >> Robot Calibration >> Serial Port Setup tab and are also listed here:

Port name, Baud rate (bps), Number of data bits, Handshake, Parity, Stop bits, Read timeout (msec), Write timeout (msec), Read buffer size (bytes), Write buffer size (bytes), RTS enable, DTR enable, Received bytes threshold, Parity replace (byte), Discard null, and Line termination.

Refer to your robot's user manual for information on what these settings should be and where to find and change settings for your robot.

Once you have made the appropriate changes to the parameters, click Open to open the communication link between the specified port and the robot. The Port status will display "Open".

Test Communication

To test whether your robot can communicate with the Interactive Functional Test Software based on the setup values you have assigned, you can send a command to the robot. To do this, ensure that the Port status is Open and then type a command in the Statement to send field and press Send.

If the Setup parameters are correct, you will see a response. Even if the command is incorrect and/or is not recognized by the robot, the robot sends some form of a response. However, if the Setup parameters are not correct, the Interactive Functional Test Software cannot communicate with the robot and therefore you will see no response. If you do not get a response to the test command, it is most likely an incorrect setup parameter.

Calibration

Once the Serial Port Setup is complete, you can then calibrate the robot to work to your particular wireless device, or DUT (device under test). When calibrating the robot, the Interactive Functional Test Software assumes that the Port status is Open. Also, it is assumed that your robot is a four-axis robot.

DUT button information

This section of the Calibration screen lists the properties associated with each button on the wireless device that has been defined via Robot Control. Cells for buttons that have not been defined are left blank.

You may need to resize this section to view all the columns in the DUT Button Information.

The default buttons listed are standard for wireless devices.

Robot Control

The Robot Control section of the Calibration screen is where you define the coordinates of the keys on your wireless device, as well as the amount of time to press each key and the height required to lift before moving to the next key.

In addition to the hard boundary conditions, which are the physical limits of the robot, soft boundary limits should also be defined. These limits must be applied directly to the robot control code.

There are two modes that you can use to calibrate the robot:

Direct Entry

This mode is the manual process for configuring the DUT Button Information, that is, you enter the details for each button on the wireless device. The details associated with each key setting include: X, Y, Z, and R axis, Movement height, and Key press (msec). All coordinate units unless otherwise specified are in pulses (or points).

Instructions:

  1. Enter the desired settings for the first button (0).

  2. To test the specified coordinates, press Move to Position.

  3. If you are happy with the settings, press Save Settings to List

  4. Repeat steps 1-3 until all the buttons in the DUT Button Information are defined. (Only face buttons are supported. That is, no side buttons on the DUT are controlled by the robot.)

Learn

This mode is an automated process for configuring the DUT Button Information. The button coordinates are obtained when you perform the correct sequence of actions.

Instructions:

  1. Move the Z-axis of the robot to the height of the highlighted button. Note: Do not depress the button.

  2. Move the Z-axis of the robot to its maximum probe height.

Steps 1 and 2 range the robot's probe and therefore only need to be done once.

  3. Position the Z-axis of the robot over the button highlighted in the list and depress the key with the Z-axis probe and then raise the probe until the next item in the list is selected. This is the lower button range

  4. Repeat step 3 until all the buttons in the DUT Button Information are defined.


Remote LAN Control

This topic contains information on:

  • Remote LAN Control Description

  • Remote LAN Control Parameters (in the Interactive Functional Test Software)

  • Remote LAN Control API Commands

  • Creating a Remote LAN Control Program

Remote LAN Control Description

The remote LAN control feature allows you to interface to and control the Interactive Functional Test Software via TCP/IP. The controlling PC used to remotely control the Interactive Functional Test Software can be internal or external, providing it is inside any existing firewalls.

Note: If you are using a wireless bridge (Wireless Access Point), you will need a second LAN card in the client PC to establish a remote LAN connection as the wireless bridge creates a firewall.

Remote LAN control is designed to allow you to perform stress testing of your wireless device remotely, once you have verified the test plan works locally. Therefore, before controlling the Interactive Functional Test Software remotely, you must first configure your wireless device, create test steps (using the scripting tool) and verify that the test plans that you have created work properly. There are also remote LAN control parameters that must be configured in order for remote communication to be successful. See Remote LAN Control Parameters (in the Interactive Functional Test Software) for more details.

Remote LAN Control Parameters (in the Interactive Functional Test Software)

The settings for Remote LAN Control are located in the Configuration tab>>Remote LAN Control window. The following parameters must be configured to allow remote communication.

  • Enable remote LAN communication control - this box must be checked in order for the Interactive Functional Test Software to be controlled remotely. When you check this box, the Show remote LAN configuration icon ( [image]) appears in the main toolbar. This icon will be red if there is not remote LAN connection and green ( [image]) if there is a remote LAN connection. The Show remote LAN configuration icon (red or green) opens the Configuration tab>>Remote LAN Control window.

  • LAN port - this selects which LAN port to be used for remote communication.

Remote LAN Control API Commands

The remote LAN control API commands are organized into the following categories:

  • Stress members

  • MUI members

  • DUT members

  • Application Information members

  • Power Supply members

  • Status members

  • E-mail members

  • Connection Integrity members

Stress members:

The following commands are all the possible remote settings that, if set locally, would be found in the Stress Testing tab of the Interactive Functional Test Software.

Command: AbortOnFailure (as a Property)

Description: This command aborts any test plan that is currently running is a failure occurs.

Example: N5970A.Stress.AbortOnFailure

Command: AbortTestPlan (as a Method)

Description: This command aborts any test plan that is currently running.

Example: N5970A.Stress.AbortTestPlan

Command: AutoGenerateSeedValue (as a Property)

Description: This command sets/queries whether the seed value will automatically be generated. If this command is False, the value of the manual seed setting is used. This command accepts Boolean values.

Example: N5970A.Stress.AutoGenerateSeedValue

Command: AutoGenLogFileName (as a Property)

Description: This command sets/queries whether an activity log file name will automatically be generated. Automatically generated file names are a time stamp with the format "mm_dd_yyyy_hh_mm_ss N5970A.log" (that is, month, day, year, hour, minute, second). This command accepts Boolean values.

Example: N5970A.Stress.AutoGenLogFileName

Command: AvailableTestPlans (as a Property)

Description: This command queries all the available test plans for the Current DUT and Current format and returns them as a comma separated list (if there are no test plans, nothing is returned). This is a read only command.

Example: N5970A.Stress.AvailableTestPlans

Command: ClearPostMessage (as a Method)

Description: This command clears the log comments.

Example: N5970A.Stress.ClearPostMessage

Command: CurrentTestPlan (as a Property)

Description: This command sets/queries the current test plan for the Current DUT and Current format. The valid settings for this command can be obtained by using the command AvailableTestPlans.

Example: N5970A.Stress.CurrentTestPlan

Command: FailureCount (as a Property)

Description: This command sets/queries the current test plan for the number of failures that have occurred.

Example: N5970A.Stress.FailureCount

Command: LogFileName (as a Property)

Description: This command sets/queries the activity log file name that is to be applied to the next activity log. If the file name is not changed, a new activity log will overwrite any activity log file that is already saved under that file name. This command only applies if AutoGenLogFileName is disabled.

Example: N5970A.Stress.LogFileName

Command: LogTestResults (as a Property)

Description:This command sets whether or not an activity log is taken during the stress test. This command accepts Boolean values. If this command is set to True, an activity log will start as soon as the test plan runs and will stop as soon as the test plan completes. The name of the activity log depends on the AutoGenLogFileName setting.

Example: N5970A.Stress.LogTestResults

Command: ManualSeed (as a Property)

Description: This command allows you to set/query a manual seed value (rather than allowing the Interactive Functional Test Software to automatically generating it).

Example: N5970A.ManualSeed.PostMessage

Command: PostMessage (as a Property)

Description: This command allows you to add a log comment to the activity log. This is a write only command. The activity log will save a comment up to ten lines long.

Example: N5970A.Stress.PostMessage

Command: RunTestPlan (as a Method)

Description: This command runs the Current test plan, which is set using CurrentTestPlan.

Example: N5970A.Stress.RunTestPlan

Command: TestPlanRepeats (as a Property)

Description: This command sets/queries the number of Test plan repeats. The maximum number of repeat times is 1000.

Example: N5970A.Stress.TestPlanRepeats

MUI members:

The following commands affect the focus of the Interactive Functional Test Software's manual user interface (MUI).

Command: HideApplication (as a Method)

Description: This command hides the Interactive Functional Test Software.

Example: N5970A.MUI.HideApplication

Command: ShowApplication (as a Method)

Description: This command gives focus to the Interactive Functional Test Software.

Example: N5970A.MUI.ShowApplication

DUT members:

The following commands allow you to set the wireless device (DUT) name and format.

Command: AvailableDUTFormats (as a Property)

Description: This command queries the available formats for the Current DUT (CurrentDUTName). This is a read only command.

Example: N5970A.DUT.AvailableDUTFormats

Command: AvailableDUTNames (as a Property)

Description: This command queries the list of wireless devices you have configured. This is a read only command.

Example: N5970A.DUT.AvailableDUTNames

Command: CurrentDUTFormat (as a Property)

Description: This command sets/queries the format applied to the selected wireless device (Current DUT Name).

Example: N5970A.DUT.CurrentDUTFormat

Command: CurrentDUTName (as a Property)

Description: This command sets/queries which wireless device (in the AvailableDUTNames) to test.

Example: N5970A.DUT.CurrentDUTName

Application Information members:

The following command requests information about the Interactive Functional Test Software properties.

Command: Revision (as a Property)

Description: This command queries the application revision. This is a read only command.

Example: N5970A.ApplicationInfo.Revision

Power Supply members:

The following commands control the power supply.

Command: PowerSupplyAvailable (as a Property)

Description: This command checks if there is a power supply defined. This is a read only command.

Example: N5970A.PowerSupply.PowerSupplyAvailable

Command: TurnedOn (as a Property)

Description: This command sets/queries whether the power supply is on.

Example: N5970A.PowerSupply.TurnedOn

Status members:

The following commands read the status of various settings.

Command: ActivityLog (as a Property)

Description: This command queries the activity logging status. This is a read only command.

Example: N5970A.Status.ActivityLog

Command: Cell (as a Property)

Description: This command queries the cell status. This is a read only command.

Example: N5970A.Status.Cell

Command: InstrumentLa (as a Property)

Description: This command queries the instrument status. This is a read only command.

Example: N5970A.Status.InstrumentLa

Command: Modem (as a Property)

Description: This command queries the modem status. This is a read only command.

Example: N5970A.Status.Modem

Command: ScriptRunning (as a Property)

Description: This command queries the script status. This is a read only command.

Example: N5970A.Status.ScriptRunning

Command: WPALog (as a Property)

Description: This command queries the WPA logging status. This is a read only command.

Example: N5970A.Status.WPALog

Email members:

The following commands apply to the e-mail properties.

Command: AttachActivityLog (as a Property)

Description: This command sets/queries whether to attach the most recent activity log to each email.

Example: N5970A.Email.AttachActivityLog

Command: Copy (as a Property)

Description: This command set/queries what e-mail addresses to send a carbon copy of the e-mail.

Example: N5970A.Email.Copy

Command: FromName (as a Property)

Description: This command sets/queries the e-mail address that is displayed in the From field of the email.

Example: N5970A.Email.FromName

Command: Header (as a Property)

Description: This command sets/queries the email message body.

Example: N5970A.Email.Header

Command: SendAllStepsDone (as a Property)

Description: This command sets/queries whether an email message is sent when all test plan steps are complete.

Example: N5970A.Email.SendAllStepsDone

Command: SendCurrentStepDone (as a Property)

Description: This command sets/queries whether an email message is sent when each test plan step is complete.

Example: N5970A.Email.SendCurrentStepDone

Command: SendOnFailure (as a Property)

Description: This command sets/queries whether an email message is sent when a failure occurs in the test plan.

Example: N5970A.Email.SendOnFailure

Command: Server (as a Property)

Description: This command sets/queries the email server.

Example: N5970A.Email.Server

Command: Subject (as a Property)

Description: This command sets/queries the email subject line.

Example: N5970A.Email.Subject

Command: ToName (as a Property)

Description: This command sets/queries the e-mail address that the e-mail is sent to.

Example: N5970A.Email.ToName

Connection Integrity members:

The following commands can read the field or control the buttons in the Configuration tab>>Connections Integrity screen.

Command: ReadApps (as a Property)

Description: This command reads the status fields for MMS transfer and UDP in the the Interactive Functional Test Software area of the Configuration tab>>Connections Integrity screen. This is a read only command. Since this command simply reads the fields, it is recommended that you refresh the field before reading them. To refresh the fields, use the StartApps member.

Example: N5970A.ConnectionIntegrity.ReadApps

Command: ReadLAN (as a Property)

Description: This command reads the LAN Topology status fields for the Router, Test Set, Bridge, and Server (whether or not they are connected) and returns them in a comma separated list. This is a read only command.

Example: N5970A.ConnectionIntegrity.ReadLAN

Command: ReadServers (as a Property)

Description: This command reads the status of all the servers used by the Interactive Functional Test Software including FTP, SMS/MMS, and HTTP. This is a read only command.

Example: N5970A.ConnectionIntegrity.ReadServers

Command: ReadTestSet (as a Property)

Description: This command reads all the fields in the Test Set 1 Configuration area of the Configuration tab>>Connections Integrity screen. This is a read only command.

Example: N5970A.ConnectionIntegrity.ReadTestSet

Command: StartApps (as a Method)

Description: This command is equivalent to pressing the Check All Apps button on the Configuration tab >> Connections Integrity screen. The data can be queried using the ReadApps command.

Example: N5970A.ConnectionIntegrity.StartApps

Command: StartLAN (as a Method)

Description: This command is equivalent to pressing the Check All LANs button on the Configuration tab >> Connections Integrity screen. The data can be queried using the ReadLAN command.

Example: N5970A.ConnectionIntegrity.StartLAN

Command: StartServers (as a Method)

Description: This command is equivalent to pressing the Check All Servers button on the Configuration tab >> Connections Integrity screen. The data can be queried using the ReadServers command.

Example: N5970A.ConnectionIntegrity.StartServers

Command: StartTestSet (as a Method)

Description: This command is equivalent to pressing the Refresh Test Set Config button on the Configuration tab >> Connections Integrity screen. The data can be queried using the ReadTestSet command.

Example: N5970A.ConnectionIntegrity.StartTestSet

Creating a Remote LAN Control Program

If you need to control the Interactive Functional Test Software remotely, then you will need to write a program to do so.

There are several ways that you can test remote LAN control commands one line at a time. Although these are not practical environments to build a program, they are useful for becoming familiar with the commands that are available to you. This section explains two options. One is a program included in the the Interactive Functional Test software package. This is can be accessed by clicking Start >> Programs >> Agilent Interactive Functional Test >> Examples >> Remote Client Application called the Agilent N597X Remote Client. The other is by using HyperTerminal.

The Remote LAN Control feature requires that you have a second LAN card installed in the PC running the Interactive Functional Test Software to bypass the Interactive Functional Test system's firewall.

To establish a remote LAN connection using the Agilent N597XRemote Client:

Note: This procedure assumes that the Remote LAN Control Parameters have been configured.

  1. Once the N5970ARemoteClient.exe. is opened, type the IP address or computer name of the PC running the Interactive Functional Test Software in the IP field. If the PC running the Interactive Functional Test Software is the same PC you want to establish a remote LAN connection with, you can enter localhost.

  2. Click Connect. If successful, the Show remote LAN configuration icon ( [image]) will change from red to green ( [image]).

  3. Type a remote LAN control command in the field above the Send button. See Remote LAN Control Commands for a complete list of commands that the Interactive Functional Test Software accepts. Also, if you type a question mark, ?, in the command line and then click send, the response window will display the complete list of commands.

  4. Click Send. Any response from the program is displayed in the lower window. Commands that set/query multiple parameters are set or displayed in the response window as a comma separated list.

You can clear the contents of the lower window by clicking Clear.

To establish a remote LAN connection using HyperTerminal:

Note: This procedure assumes that the Remote LAN Control Parameters have been configured.

  1. Open HyperTerminal. (Open a command prompt, then type hypertrm.exe)

  2. Name the connection and click OK.

  3. Change Connect using to TCP/IP (Winsock)

  4. Insert the Host address. This is the IP address or the computer name of the PC running the Interactive Functional Test Software. Note: The IP address must be that of the second LAN card.

  5. Insert the port number. This should be equal to the LAN port setting in the Interactive Functional Test Software.

  6. Click File>>Properties, then select the Settings tab, and choose the emulation you prefer.

  7. Click ASCII Setup and check Send line ends with line feeds, Echo typed characters locally, and Wrap lines that exceed terminal width.

  8. Type a remote LAN control command and press Enter. See Remote LAN Control Commands for a complete list of commands that the Interactive Functional Test Software accepts. Also, if you type a question mark, ?, in the command line and then press enter, the complete list of commands are displayed. Note: It is recommended that you copy and paste commands by right clicking the mouse and selecting the correct action rather than use the shortcut keys, to ensure VI Editor commands are not accidentally used.


Instrument Control

The Configuration tab>> Instrument Control screen allows you to set/query the following parameters:

  • GPIB Interface card- This parameter sets the board interface number for test set 1, the power supply, and test set 2 (when a second test set is required in your system).

    Set this parameter for the test set and power supply before setting the GPIB addresses.

  • GPIB addresses:

    • Test set 1 GPIB address - This parameter sets the GPIB address of test set 1. This must match the GPIB address that is set in the test set. To view the GPIB address setting on the test set press SYSTEM CONFIG. The GPIB address is displayed in the center window under Instrument Information. You can send the test set a *IDN? query by clicking *IDN?. The results are displayed in the *IDN? results field.

    • Power supply GPIB address - This parameter sets the GPIB address of the power supply. This must match the GPIB address that is set in the power supply. The power supply is optional, however you must configure the power supplies GPIB address in order to use the power supply. If you specify a GPIB address for the power supply, then you can send it a *IDN? query by clicking *IDN?. The results are displayed in the *IDN? results field. The power supplies that are currently supported are Agilent's 66311B, 66311D, 66321B, 66321D, 66319B, 66319D, 66309B, and 66309D.

    • Test set 2 GPIB address - This parameter sets the GPIB address of test set 2 (in a system where you want to use a second test set). This must match the GPIB address that is set in the test set. To view the GPIB address setting on the test set press SYSTEM CONFIG. The GPIB address is displayed in the center window under Instrument Information. You can send the test set a *IDN? query by clicking *IDN?. The results are displayed in the *IDN? results field.

  • Test connection:

    • *IDN? results - This field displays the results of clicking either of the *IDN? buttons (for the Power supply and Test set, respectively).

    • Use current LA - When this parameter is checked, the Interactive Functional Test Software does not attempt to verify that the application that is currently running is one that is specified in the .xml file for that format.

  • Find Instruments - searches for all the instruments on the GPIB bus and returns the GPIB interface, GPIB address and IDN? results (in the Instrument Description column) all in a separate window labeled Current Instruments on GPIB.
    The Current Instruments on GPIB has three buttons: Find Instrument refreshes the Current Instruments on GPIB list, Device Manager opens your PC's device manager, and Close exits the window.

It is possible to use the Interactive Functional Test Software's scripting tool to control additional instruments via GPIB. See GPIB control of multiple instruments.


E-mail Configuration

The Configuration tab >> E-mail Configuration screen allows you to set up e-mail properties that are necessary to successfully send e-mails at specified times within a script or at specified points during a stress test. Refer to the following sections in this topic:

  • Scripting Tool Email Notification

  • Email Activity

Scripting Tool Email Notification

  • To, From, and Mail server address are required fields. Mail server address is the address of the email service provider. To and From can be the same e-mail address. To and From can only have one email address.

  • Subject - this will be the subject line in the message from the Interactive Functional Test software.

  • Message Header - this is the first line in the body of the email.

  • To send e-mails to more than one recipient, add remaining e-mail addresses to the Copy field separated by carriage returns (that is, press the Enter key on your keyboard after each email).

In addition to the basic e-mail set up information, there are several options such as:

  • Send when the current test step is complete- sends an e-mail to the specified recipients after the current test step is complete.

  • Send when all steps are complete - sends an e-mail to the specified recipients after all test steps are complete.

  • Send when a failure occurs - sends an email to the specified recipients if a failure occurs.

  • Attach activity log file - this feature attaches the currently running activity log file to each e-mail that is sent.

Email Activity

These items allow you to configure parameters for the Email to DUT and Email from DUT interactive testing activities.


View Activity Log

View Activity Log is used to view and manage activity logs. The files available for viewing are listed under Log files. Here you can organize the activity log files however you like. When you click on a file listed under Log files, the file is highlighted and the activity log information is displayed in the right side of the screen in the Summary and Details tabs. Note: if

Log Files

The Log files section of the View Activity Screen shows the list of activity logs available for viewing. Here, there are several actions that you can perform:

Delete - deletes the selected file.

Show file explore for block delete of files - opens an explore window to the ActivityLogFiles directory (located at C:\Program Files\Agilent\N5970A\Application Client\TestData\ActivityLogFiles) to allow you to delete multiple files at a time. To regain control of the log file view in the View Activity Log Screen, click the Show file explore for block delete of files icon again.

Rename - allows you to rename the selected file.

New folder - creates a new folder in the ActivityLogFiles directory.

Forward alphabetical sort - sorts the log files in ascending alphabetical order.

Reverse alphabetical sort - sorts the log files in descending alphabetical order.

Expand - expands the log file list to the ActivityLogFiles directory.

Collapse - collapses the log file list to the ActivityLogFiles directory.

Refresh - refreshes the log file list.

Note: Activity Logging is on, the file the data is being written to is shown next to the Activity Logging On icon ( [image])in the list of Log files. Also, the most recent log file while this session of Interactive Functional Test Software has been open and no activity logging is active, is indicated with [image].

Summary -

The Summary tab provides a list of all the possible types of activities along with the number of times that activity occurred during the logging session. This tab is useful when you want to get a quick summary of the types of activities that were logged in a specific file.
The Summary tab also provides you the option of sending the activity log to the Log Viewer window by right-clicking anywhere in the summary tab. The Log Viewer window that the activity log file gets sent to is the same form the WPA logs get sent to, allowing you to view Activity and WPA log files side by side. See Send to Log Viewer for more information.

Details

The Details tab provides a sequential list of activities that occurred during the session. This tab is a split screen that displays the list of activities for the selected log file, in the order they occurred in the top portion under Activities recorded for log file: <name of activity log file>. You can click on any activity in the top portion of the Details tab and the details corresponding to the selected activity are displayed in the bottom portion of the Details tab under Activity detail.

Note: While you can only send an activity log file to the Log Viewer window by right-clicking in the Summary tab, you can view both the Summary tab and the Details tab in the Log Viewer window.


View WPA Log

The View WPA Log tab is used to view any WPA log file (*.tol).

Available Activities

Open Log File -This action allows you to open any WPA log file (*.tol) within the Interactive Functional Test Software. You can have several WPA log files open at one time. Each WPA log file that is open has a tab with the file name as its label, so you can easily distinguish which file is in focus.

Close File - This action closes the WPA log file currently in focus.

Display Stack - This action displays the protocol stack for the currently selected format.

Analyzing the WPA log file

Each file is displayed with a split screen. The top screen is the traffic overview, which is the list of sequentially logged messages. The bottom screen is the decode view for the highlighted message. For each open file there are several features that you can access by right-clicking in the traffic overview to help you analyze the open files. These features are:

  • Go to... - allows you to specify a message number to jump to.

  • Go to Start - moves to the first message in the file.

  • Go to End - moves to the last message in the file.

  • Find First in Decode View... - allows you to search the message decodes for a specific phrase.

  • Find Next - searches down the messages decodes in the file for the next instance of the phrase.

  • Find Previous - searches up the message decodes in the file for the next instance of the phrase.

  • Send to Log Viewer -

    This selection allows you to view the file in the Log Viewer window. This feature is very useful for viewing several WPA log files side by side. You can arrange the files in the Log Viewer window by clicking and dragging them or by using the automatic arranging options available in the Window menu. The name of each WPA log file is displayed in the header bar of each WPA log window.

    You can also set whether the Log Viewer window is Always on Top in the Location menu. WPA log files that are sent to the Log Viewer window display "On Log Viewer" in the View WPA Log screen. Once you send a WPA log file to the Log Viewer, you cannot send it back to the View WPA Log screen. Therefore, if you need to view a WPA log file in the View WPA Log screen after you have sent it to the Log Viewer window, then you must close it from the Log Viewer and reopen the log file. Close the file from the Log Viewer window or simply close the Log Viewer window to remove a WPA log file from the Log Viewer window.

    The Log Viewer window not only allows you to analyze multiple WPA log files, it also allows you to View Activity Logs. This is useful for when you are troubleshooting which activity was running when a protocol issue occurred. WPA and Activity logs both timestamp their messages in the format HH:MM:SS:FFFFFF (that is hour:minute:second:fraction of second), making it easy to correlate message from both WPA and Activity logs. An example is shown in the figure below. Notice that the whole View Activity Log control tab is sent to the Log Viewer window and not just a file. This means that only one activity log file can be displayed in the Log Viewer window at one time, however, you can manage the activity logs in Log Viewer window just as you would in the View Activity Log control tab.

    To send the View Activity Log control tab back to the Interactive Functional Test Software's main window, you can close it from the Log Viewer window or you can close the Log Viewer window altogether.

    To send an activity log or WPA log to the Log Viewer window:     right-click and select "Send to Log Viewer". Note: For activity logs, this option is only available in the Summary tab.

Figure 1: Log Viewer Example

Additional information can be found in the WPA user's guide that is accessible via WPA.


How to...

Last Updated: 2011-06-02

This book provides instructions on how to do certain things in the Interactive Functional Test Software. It includes items such as how add a DUT (wireless device), how to change which test set is used in your system, and how to use test set control.

For more details, refer to the topics in the How to... section of the Contents view.

(Click "Show" if you do not see the Table of Contents to the left.)


How to Add a DUT

This topic describes how to add a new wireless device to the Interactive Functional Test Software.

To add a new DUT:

Note: If your wireless device is controlled via an interface type that is not yet defined in the Interactive Functional Test Software, you must add a interface type before continuing with this procedure.

  1. First, follow the setup procedure that applies to your type of DUT: Mobile Phone Setup or Network Card Setup. These procedures contain instructions on how to install the DUT's driver, configure the Internet settings and configure the network connection settings.

  2. Configure the MMS settings on your DUT (see MMS Setup).

  3. Click the Configuration tab>> DUT Configuration. In the Current DUT area of the DUT Configuration, click Add New.

  4. Enter a Name that uniquely identifies your wireless device, the Interface Type, and the Keypad Type that most closely resembles your wireless device.

  5. Click OK.

  6. Configure your new DUT by filling in the other fields on the DUT Configuration screen. This includes creating a modem connection script for your DUT so that you can use the Interactive Functional Test Software to establish a data connection between the DUT and the 8960 (see How to Write a Modem Connection Script for more information).


How to Add or Customize an Interface Type

This topic contains information on adding a new wireless device Interface type to the Interactive Functional Test Software as well as information on how to modify and debug pre-defined interface types.

  • How to add an interface type

  • How to modify the behavior of the AT command interface for your wireless device

  • How to debug your wireless device's interface type

To add an interface type:

This section details how to add a new Interface type so that when you add a DUT to the Interactive Functional Test Software, it is available in the drop-down list of Interface type options. Interface type is located on the Configuration tab>>Configure DUT.

Note: The Interactive Functional Test Software must be closed while a new Interface type is added so that the changes are correctly applied when the project is rebuilt.

  1. Click Start>>Programs>>Agilent Interactive Functional Test>> N5970A>>Applications>>DUT Interface Project and open the DUT Interface Project. This project is organized into several class modules as shown in the Solution Explorer.

  2. Display the Task List and notice there are two types of TODO comments: "TODO Interface", and "TODO Robot". Locate all the "TODO Interface" tasks and insert the appropriate code. These tasks are located both in clsMain.vb and clsTemplateInterfaces.vb. The purpose of clsMain.vb is to initialize and call the new DUT interface and the purpose of clsTemplateInterfaces.vb is to provide you with a template that you can use to define how to communicate with the new type of interface.

  3. Build the project.

  4. Open the Interactive Functional Test Software and verify that the new controller works by adding a new wireless device that has the Interface type that you have just added.

To modify the behavior of the AT command interface for your wireless device:

This section is a recommendation for how to modify the Interactive Functional Test Software so that the AT command interface will work correctly with your wireless device. Note that you only need to do this procedure if your company's interpretation of the 3GPP 27007 AT command set for User Equipment (UE) standards is different from the way that Agilent has implemented it. Therefore, it is recommended that you first test your wireless device with the AT command interface by setting the Interface type to AT command interface and using the DUT Control feature.

  1. Click Start>>Programs>>Agilent Interactive Functional Test>>N5970A>>Applications>>DUT Interface Project and open the DUT Interface Project. This project is organized into several class modules as shown in the Solution Explorer.

  2. Create a copy the "clsATCommandInterfaces.vb" file from the Solution Explorer. It is recommended that you do not change the original clsATCommandInterfaces.vb file , so that you have it for wireless devices that you test in the future.

  3. Name the copied file something that distinguishes it from other wireless devices that use AT commands. For example, the Name of your wireless device is "DUTName", then name the file "clsATCommandInterfacesForDUTName.vb".

  4. Edit the SelectInterfaceClass subroutine in the "clsMain.vb" file, by adding a case statement for the new interface (make sure to insert the correct Name for the DUT).

  5. Edit the GetInterfaceNames subroutine in the "clsMain.vb" file, by adding the exact name of the newly created interface in the previous step.

  6. Debug the AT command behavior and make the appropriate changes in the "clsATCommandInterfacesforDUTName.vb" file. (See How to debug your wireless device's interface type for more details.)

To debug your wireless device's interface type:

This section is intended for experienced Visual Basic .NET 2005 users. Because Agilent recognizes that there are variations in the way that wireless devices are implemented, it has left portions of the Interactive Functional Test Software code open to you. If you are getting unexpected results from the Interactive Functional Test Software and feel that it may be due to a difference in the way a certain feature was implemented, the best way to troubleshoot where problems are occurring is by debugging the Interactive Functional Test Software by following these instructions:

  1. Click Start>>Programs>>Agilent Interactive Functional Test>>N5970A>>Applications>>DUT Interface Project and open the DUT Interface Project.

  2. Open the class module that you suspect might need changed. For example, if you are using AT command interfaces and some or all of the button presses are not behaving as you would expect, open clsATCommandInterfaces.vb. Refer to the appropriate standard for the type of AT command you wish to debug such as 3GPP 27007 AT command set for User Equipment (UE) standards, 3GPP TS 03.04 for general AT commands, and 3GPP TS 07.05 for SMS AT command troubleshooting.

  3. Insert breakpoints at the areas you want to focus.

  4. Press the Start Debugging icon.

  5. Use the debugging tools to add breakpoints and variables to watch, then step through the code and make any necessary changes. (It is always recommended that you have a backup copy of the original files before you make changes.)

  6. When you are finished, rebuild the project and check to see if the changes you made were adequate.


How to Write a Modem Connection Script

A modem connection script is what is used to create a data connection when you click Connect in the Dial/Hang-up tab. The modem connection script is specific to your particular device and may need to be obtained from the developers of your wireless device. There are two types of modem connection scripts:

  1. Connection Method Script - this uses your company's proprietary connection setup commands and sequence for your wireless device, or

  2. Connection Method Program - this simply opens a program, if one exists, to use to establish a data connection.

Either modem connection scripts are written directly into the Modem connection script window, which is accessed by clicking Configuration tab>>Configure DUT>>Modem Port tab. The script for the Current DUT is run when you click the Connect button in the Dial/Hangup tab (see How to use Dial/Hangup).

To write a script, follow the Modem Connection Script Syntax Conventions and Example Connection Scripts sections below.

This topic assumes that you have installed the modem drivers and properly set up a modem connection for your DUT. See Mobile Phone Setup or Network Card Setup for details.

Modem Connection Script Syntax Conventions

This section explains the syntax conventions that the Interactive Functional Test Software accepts for modem connection scripts.

Connection Method Script

  • The first line of your code must be "Connection Method Script".

  • Comments for your code must begin with an exclamation mark (!).

  • Information sent to the modem must begin with a greater than sign (>).

  • Information sent from the modem must begin with a less than sign (<). If the correct information is not received from the modem then the connection will error and terminate.

  • The maximum time to wait for a response (timeout time) is set using the syntax "Timeout <nnn>" where <nnn> is in milliseconds.

  • The amount of time to wait before executing the next line of code in the connection script must have the syntax "Wait <nnn>" where <nnn> is in milliseconds.

  • Messages to be displayed in a dialog box while running the modem connection script must have the syntax "Message <text>".

  • The Dial-up Name must be named identical to the name that it has where it is called in the Network Connections for dial-up connections. The Dial-up Name in the connection script must have the syntax "Connect Dial-up <Dial-up name>".

Connection Method Program

  • The first line of your code must be "Connection Method Program". The syntax to specify the program is "DUT Program <program location>" (see the second line of the Connection Method Program Example)

  • Comments for your code must begin with and exclamation mark (!).

  • The amount of time to wait before executing the next line of code in the connection script must have the syntax "Wait <nnn>" where <nnn> is in milliseconds.

  • Messages to be displayed in a dialog box while running the modem connection script must have the syntax "Message <text>".

  • The DUT Program Name must be named identical to the name that it has where it is called in the specific program location. The DUT Program Name in the connection script must have the syntax "DUT Program <Program name and location>".

A script template that contains these syntax conventions is available in the Interactive Functional Test Software. You can access the template by clicking Load Template in the Modem Port tab. The template is loaded in the Modem connection script window shown in Figure 1 below. Be aware that when you load the template, it replaces anything that is currently in the Modem connection script. When you are adding a new wireless device, it is recommended that you load the template and change it as needed.

Figure 1: Modem Connection Script

Example Connection Scripts

The following are examples of modem connection scripts:

Connection Method Script Example

Connection Method Script

>AT

<OK

Timeout 5000

!Allow up to 5 seconds to get a response from the wireless device.

>AT&F

<OK

>AT+XMM

<OK

>AT+CXATT=0

Wait 10000

!Wait 10 seconds before executing the next line of code.

>AT+CXDCONT=1,"IP",""

<OK

>AT+CXYQRYQ=1,0,64,384,0,0,0,0,"0Y0","0Y0",3,0,0

<OK

>AT+CXYQMIN=1,0,0,0,0,0,0,0,"0Y0","0Y0",0,0,1

<OK

>AT*YIAAUW=1,1,"","",00001,0

<OK

Connect Dial-up TestDUT

Connection Method Program Example

Connection Method Program

DUT Program c:\Program Files\TestDUT\testDUTprogram.exe

Message Wait until a device is detected in the test DUT program and then press Connect.


How to Use DUT Control

How to Use the DUT Control

This topic describes how to use the DUT control feature.

The DUT control allows you to control your wireless device via the serial port of the PC running the Interactive Functional Test Software. DUT control offers a remote alternative to manually pressing the buttons that are supported by the interface type that your wireless device is controlled by.

To set up and use DUT control:

This procedure assumes that you have already configured your wireless device (see DUT Configuration), its data/modem cable is connected to the workstation, the wireless device that you wish to control is selected as the Current DUT, and the Interface type is set to AT Command Interfaces.

Refer to Figure 1 when following the instructions below. Note that the DUT control shown in Figure 1 is a normal keypad. The only difference in DUT control when the device has a full keypad is that there are more predefined buttons.

  1. Click the Configuration tab >> DUT Configuration screen>> Diagnostic Port tab.

  2. Set up the Standard and Advanced tab parameters as necessary.

  3. Click Open to set the Port Status to "Open".

  4. Enter a Statement to send and press Send to test the communication via the specified COM port. If you get a response, then the set up of DUT control is complete. If you do not get a response, check your settings and test the communication again.

  5. Press the Show/Hide DUT control ( [image]) button to show the DUT control. This button toggles between showing and hiding the DUT control window.

    The following options are only accessible when you have the DUT Configuration window selected.

    1. All the predefined keys (any button with a label) in the DUT control allow you to change the button color and tooltip.

    2. The keys that are not predefined (the gray buttons with no labels) allow you to do the following:

      • Select Functionality/Text - allows you to choose from the list of key presses that are supported by your wireless device's interface type. While the Interface type commands may support a certain key press, your wireless device may not, in which case you will receive an error in the results screen.

        This option is used to assign a predefined function to a button in DUT control. For example, if you wish to use the AT command interface to control your DUT the Interface type must be set to AT Command Interfaces, and then on the button you wish to change you would right-click and select Select Functionality/Text. If you need to add a function because it is not included in the list, see How to Add a Function for DUT Control.

      • Select Background Color - changes the background color for the selected button.

      • Select Forground Color - changes the font color on the selected button.

      • Select Visibility - this disables the optional keys. In the configuration mode (that is, when the DUT Configuration window is selected) the disabled buttons are black. When any window other than DUT Configuration is selected, the disabled buttons are no longer visible.

      • Define Tooltip - changes the text that is displayed when you mouse over the selected button.

    3. Other settings:

  6. Keystroke time (msec) - this is the length of time the key is pressed, regardless of how long you hold down the mouse button.

  7. Pause between keystrokes (msec) - this is the minimum wait between serial command sent to the wireless device.

  6. You can test the buttons by clicking on each of them while viewing your wireless device's response on the Results tab of the DUT control. If your wireless device supports it, you can view its screen image by clicking on the Screen Image tab (clicking in the Screen Image window refreshes the image).

  7. DUT control set up is now complete. It is important to remember that you can only set up your wireless device's keys while the DUT Configuration window is open. Clicking on any other window in any other tab removes the DUT control's button set up options.

  8. When DUT control is in Run mode you have the option to Record the button presses as well as Clear them. The DUT control is in Run mode when the Configuration tab>> DUT Configuration screen is not in focus and therefore Configuration mode is when the Configuration tab>> DUT Configuration screen is selected. Configuration mode allows you to set up the design of the DUT's interface such as which buttons appear. In Run mode, the scripting arrow allows you to add the button presses that are listed in the record window to the scripting tool. The key differences between Run and Configuration mode are shown in the figure below.

Figure 1: Key differences for DUT control modes

List of key presses supported by AT commands

The following are the available key presses and labels you can add to your DUT design (for wireless devices controlled via the AT Interface).

  • MFG (Manufacturer)

  • Model (Model Number)

  • IMEI

  • Clear SMS

  • Read SMS

  • Send SMS

  • Orig Call (Originate Call)

  • Park Robot


How to Add a Function for DUT Control

This topic describes how to add a function to the Select Functionality/Text list options in the right-click menu of the DUT control screen.

Description

Several labels (and associated functions) are automatically populated on the DUT control keys (for example, the labels for numbers 0 - 9). There are also several predefined functions (which are selected by choosing the corresponding label) available in the Change Function/Test list box. If you have a specific need for a function that is not already available, then you will need to add a new one. To do so requires code changes and new code written for the DUT Interface Project that the Interactive Functional Test Software references. It is recommended that only an experienced software developer that has experience with Visual BASIC ™ add a new function for the Interface type.

Visual BASIC is a trademark of the Microsoft corporation.

To add a function for DUT control:

This section details how to add a new function in the Interactive Functional Test Software's DUT Interface Project so that it will be available in the Select Functionality/Text list box that is available in the Interactive Functional Test Software's DUT control configuration mode window. (The DUT control is in configuration mode when Configuration tab>>Configure DUT window is highlighted.) It is important that both your wireless device and interface type by which your wireless device is controlled both support the new functionality in order for it to work properly.

Note: The Interactive Functional Test Software must be closed while a new Interface type is added so that the changes are correctly applied when the project is rebuilt.

  1. Click Start>>Programs>>Agilent Interactive Functional Test>>N5970A>>Applications>>DUT Interface Project and open the DUT Interface Project. This project is organized into several class modules as shown in the Solution Explorer.

  2. In the "clsMain.vb" file, edit the New subroutine adding the new key label and function name. The function name must be the label name with a "fn" at the beginning.

  3. Each class module must be modified to support the new function. Add the new function and desired code to the "User Defined Properties and Methods" region of the class module. See also How to debug your wireless device's interface type.

  4. Build the project.

  5. Open the Interactive Functional Test Software and verify that the new function is available and works by right-clicking on a button in the configuration mode of DUT control and selecting Select Functionality/Text. In the Select Functionality/Text list box select the function you just added and click OK. Then, press the button with the new functionality assigned to it. Check your code if the Result screen returns ERROR.


How to Use the Scripting Tool

The scripting tool is designed to automatically create short scripts (or macros) for you based on the attributes and settings you have configured for a specific activity in the Interactive Testing tab. It is possible to create complex scripts directly in the scripting tool. However, if advanced scripts are needed, to control a .dll for your wireless device for example, you may prefer Visual Basic in the .NET programming environment to create the script as it provides many more tools than are provided in the scripting tool to help you create advanced scripts. You can import any .NET script into the scripting tool.

This topic discusses the following:

  • Using the toolbar icons in the scripting tool

  • Scripting tool toolbar icons

  • Scripting tool menu items

  • Creating scripting tool files

  • References the Interactive Functional Test Software imports into the scripting tool

Using toolbar icons in the scripting tool

Once the scripting tool is open, a screen similar to the one below should appear. The toolbar contains the basic printing and editing options as well as basic programming options such as commenting/un-commenting a selection of code, adding bookmarks, and displaying information such as the object member list.

  • Scripting tool toolbar icons (top of scripting tool)

  • The Control column (on the left side of the screen)

Scripting tool toolbar icons (top of scripting tool):

  • Run with debugger - allows you to choose a debugger to troubleshoot your script file. See How To Debug Scripting Tool Files for more information.

  • Print - The script files can be printed in two parts: 1) references and the private subroutines (this is the editing window that appear when you click Toggle Editing) and 2) Public subroutines. That part that is printed depends on which window your cursor is located in. If the cursor is not located in one of the two options mentioned, the print icon is disabled.

  • Print Preview - displays a preview of how the printed output will appear. The print preview that is displayed is for the window that the cursor was in when the print preview icon was clicked. There are two options: 1) references and the private subroutines and 2) Public subroutines. If the cursor is not located in one of the two windows mentioned, the print preview icon is disabled.

  • Cut - deletes the selected text and places it on the clipboard.

  • Copy - places the selected text on the clipboard.

  • Paste - pastes the text that is on the clipboard to the location of the cursor.

  • Delete - removes the selected text.

  • Undo - reverses the previous user action.

  • Redo - reverses the Undo. You can redo the number of actions that have been undone. That is, if you have click undo once, you can only click redo once.

  • Find/replace - allows you to search for all or part of a search string that is entered into the "Find what" field and replace them with the characters that are typed into the "Replace with" field.

  • Outdent - reverse indents the selected lines by one indentation increment.

  • Indent - indents the selected lines by one indentation increment.

  • Comment selection - comments the selected lines of code.

  • Uncomment selection - uncomments the selected lines of code.

  • Toggle bookmark - adds or removes a bookmark on the selected line of the document in the active Editor. Does not alter the line of code bookmarked.

  • Previous bookmark - moves the cursor to the beginning of the line where the previous bookmark is located. When the first bookmark in the file is reached, it jumps ahead to the last one in that file.

  • Next bookmark - moves the cursor to the beginning of the line where the next bookmark is located. When the last bookmark is reached, it jumps back to the first one in that file.

  • Clear bookmarks - removes all bookmarks.

Intellisense features:

  • Display an object member list - displays a list of valid object members. When a member from the list is selected, you can press ENTER to insert the selected object member into your code. An example is shown in the figure below. The "Me." induces the Visual Basic's Intellisense feature.

  • Display parameter info - opens the Parameters list to give you information about the number, names, and types of parameters required by a function or attribute. The parameter in bold indicates the next parameter that is required as you type the function.

  • Display quick info - displays the complete declaration for any identifier in your code. Move the mouse so that the cursor is over an identifier to display Quick Info for that identifier, which appears in a yellow pop-up box. An example is shown in the above figure.

  • Display word completion - types the rest of a variable, command, or function name once you have entered enough characters to distinguish the term. Type the first few letters of the name, and then press the Display word completion icon. If what you have typed has more than one possible match or no match at all, then invoking this icon displays the object menber list, which you can then use to find the term and insert it into your code.

Scripting tool menu items

File

This menu allows several of the standard File menu items including: Print..., Print Preview..., Page Setup... , and Exit .

Edit

This menu allows several of the standard Edit menu items including: Undo, Redo, Cut, Cut/Append, Copy, Copy/Append, Paste, and Delete.

Additional menu non-standard menu items include:

  • Mark Line Modifications- inserts a change bar for the lines where modifications have been made.

  • Highlight Current Line - highlights the line in which the cursor is located.

  • Show Column 80 Guide - when this is selected a horizontal line is displayed in the 80th column.

  • Advanced: This option allows several standard Visual Basic options, these include: Indent, Outdent, Convert Tabs to Spaces, Convert Spaces to Tabs, Tabify Selected Lines, Untabify Selected Lines, Comment Selection, Uncomment Selection, Make Uppercase, Make Lowercase, Toggle Case, Capitalize, Delete Horizontal Whitespace, Trim Trailing Whitespace, Delete Line, Duplicate Line, Delete Blank Line.

  • Bookmarks - allows you access to the bookmark controls, such as Toggle Bookmark, Enable Bookmark, Previous Bookmark, Next Bookmark, Clear Bookmarks.

  • Insert File as Text... - allows you to select a file to insert as text.

  • Insert Snippet (see step 6 below for information on how to insert a code snippet)

  • Add Advanced References

Search

  • Find/Replace - allows you to enter a search phrase to find, as well as an option to replace any instance of that search term.

  • Incremental Search - searches for the first instance of the search term that follows the highlighted search phrase.

  • Reverse Incremental Search - Searches for the first instance of the search phrase that precedes currently highlighted search term.

  • Go To Line... - Moves the cursor to the specified line.

View

  • Outlining - This item provides access to the outlining controls, including:

  • Hide Selection - collapses currently selected text. This option only applies if automatic outlining has been stopped.

  • Toggle Outlining Expansion - reverses the current outlining state of the innermost selection in which the cursor lies.

  • Toggle All Outlining - sets all sections to the same outlining state. If some sections are expanded and some are collapsed, then all be come collapsed.

  • Stop Outlining - stops outlining the components that are added.

  • Stop Hiding Current - removes outlining information for the currently selected selection. This option only applies if automatic outlining has been stopped.

  • Start Automatic Outlining - restarts automatic outlining after it has been stopped. This option only applies if automatic outlining has been stopped.

Help

  • Contents - opens the help file.

  • Scripting Tool Help - Opens the help file to this topic on using the scripting tool.

The Control column (on the left side of the screen) shows the following:

Four main control buttons for the selected script:

  • Run - This button runs the selected script. If you need to debug your script, see How to Debug Scripting Tool Files.

  • Abort - This button aborts any currently running script.

  • Toggle Editing - This button toggles the script view in and out of edit mode. While in edit mode, the script shows a header and a main window. While not in edit mode, the script shows just the main window. Under the main window is another area where you can use the tabs to view information such as Testing Log , Warnings , RunTime Errors , Coding Errors , Comments (help you and others remember the purpose of the script; these also show up in the Stress Testing tab) and User Action (allows you to perform an action, such as press continue to proceed). The editing view is not shown by default.

  • Toggle Outline - This button toggles between showing and hiding an outline of the components for the selected script. The outline is not shown by default.

Activity Logging:

  • Turn on script activity logging - captures an activity log beginning when the Run button is pressed and ending when the script completes. Note: if this parameter is selected, any currently running activity log is stopped and a new activity log will be started.

  • Turn off all activity logging - stops any activity log that is currently being captured.

  • Log comments - this contents of this field (up to 10 lines in length) constitute the first message of the activity log that is initiated when the Run button is pressed and Turn on script activity logging is selected.

  • Auto generate log file name - automatically assigns a timestamp of the current time and date as the file name.

  • Log file name - this field allows you to enter a custom name for the activity log. Note: this file name will not be used if the Auto generate log file name is selected.

Continuing down the Control column, the following options are available in the scripting tool to help you manage the scripts listed in the bottom portion of the Control screen:

    • Add New - adds new scripts for the Current DUT and Current Format,

    • Save - saves the script file,

    • Save As - prompts you for the name you wish to assign to the script file, then saves the script file.

    • Delete - any test plans that contains a deleted script as a test step are modified to no longer contain step; also you cannot delete whole groups at a time, you must delete all the scripts in a group before it is removed,

    • Copy - prompts you for a name to assign the copied script and pastes it in the same level as the file that was copied,

    • Rename - allows you to edit the name of the selected script file,

    • Import - allows you to import any N5970A structured script file. To import a file, click the Import icon. This opens an explore window for you to select the desired files you wish to import.

    • Expand - expands entire list, and

    • Collapse - collapses entire list.

    • Default Script - Default scripts are scripts that run automatically for a particular wireless device and format. If any are assigned, the default script(s) for a specific wireless device and format are ran when the Current DUT or Current Format is changed and they match the script configured for that device and format.
      This checkbox allows you to select whether the selected script is assigned as a default script. Different default scripts can be applied to each wireless device. There can be several default scripts assigned to a wireless device. If more than one default script is assigned to a particular device, they are run alphabetically by file name. Default scripts are useful for setting up initial parameters for your wireless device.
      To assign a script file as a default script, highlight the file and check the Default checkbox. Default files are indicated with a checkmark ( [image]).

The bottom portion of the Control column is a complete list of the wireless devices you have added to the Interactive Functional Test Software along with submenus of the format(s) they support (see How to Add a DUT). In each format submenu for the wireless device is a list of any available script files for that device and format. The available script files can also be organized into groups. You can move scripts and groups of scripts to different wireless devices by dragging and dropping them with your mouse.

Notice that some of the items in the list have a tan background and some do not. The items without a tan background apply to the Current DUT and Current format.

Creating scripting tool files

The most common way to create a script is to allow the Interactive Functional Test Software to automatically create scripts based on your current settings. It is possible to create complex scripts manually in the scripting tool, however it is recommended that it only be done by advanced users who are familiar with the programing in the Visual Basic .NET environment.

Note: scripting tool files are created and edited in the Script Code tab of the scripting tool. For information on how to send results from the scripting tool files to the Text Results and Image Results tabs, respectively, see using the Text Results and Image Results tabs in the Scripting tool.

To create a script file:

  1. Open the scripting tool by clicking the scripting tool icon in the tool bar, [image].

  2. In the Interactive Functional Test Software Scripting Tool window, create a new script by clicking [image]. This will prompt you for the script name and the group name (if any) that you would like to associate the script with. The new script is added to the list of scripts for the wireless device selected as the Current DUT and in Current Format submenu. If necessary, add a comment to help distinguish the script file.

  3. In the N5970A Interactive Functional Tester window (the main window):

  1. In the Interactive Testing tab, or any other parameter that has a blue arrow next to it, and choose the activity you want to create a script for.

  2. Click and hold the blue arrow, [image], next to the action you want the script to perform. (If the scripting tool is not yet opened, clicking on the blue arrow will also open it.)

  3. Then, drag your cursor from the Interactive Functional Test Software main window to the Scripting Tool window appropriate place between the "Public Sub ScriptEntry" declaration and the "End Sub" (for Script Entry) in the scripting tool. Automatically generated functions are listed below the subroutines and are collapsed.

  4. Repeat steps a through c for any other activity you want to add to the script file.

  5. In the Interactive Functional Test Software Scripting Tool window, expand the automatically generated functions and change parameters as necessary.

    When a script is run, parameters that are changed in the scripting tool are also changed in the Interactive Functional Test Software's main window, not vice versa.

  6. There are several code snippets available to you if you need to add to your script file. To view the available snippets, right-click in the script file and select Insert Snippet.

    To view Visual Basic's Intellisense feature, which is a list of all the object members available for the specific item, type in "me." in the entry point subroutine called "ScriptEntry"and the list should display.

    If the attributes have Wait for continue selected, you can press continue either in the scripting tool or the Interactive Testing screen of the Interactive Functional Test Software.

    The above figure is just an example of the many snippets available to you. You can also perform any command that you can perform from the command line screen, such as ping, within the Scripting tool (this can be done using the snippet N5970A>>Command Line Control).

  7. Test the script file by clicking the Run button in the Interactive Functional Test Software Scripting Tool window. The Activity tab on the Interactive Functional Test Software main window displays the activities that are started from the script file. Also, the Interactive Functional Test Software's title bar also indicates that a script is currently running.

    The non-time limited activities, which are Network Impairments and Battery Profile, will terminate when a script file ends. This is regardless of whether the non-time limited activity was initiated in or before any script file.

Example:

This example creates a script to send two SMS message to the wireless device (SMS to DUT) with a 1 second delay between sending the messages. The setup is shown in the figure below. Not shown is the Text for Message 2, which is "text for message two".

To create a script that sends the selected messages in the Check message(s) to send, that also has the same attributes and settings that have been configured:

  • Set up the SMS to DUT screen as shown above.

  • Open the scripting tool.

  • In the scripting tool, add a new script and name it SMS_test_script. Notice the location of new files in the list depend on the Current DUT and Current format settings. Also notice, that the actual name is in the format Current DUT_Current format_Group_Name.sct settings. The file location of the selected file is displayed above the opened script file.

  • In the Interactive Functional Test Software's Interactive Testing tab you simply drag the blue arrow next to the Start SMS Message button to the scripting tool between the "Public Sub ScriptEntry" declaration and the "End Sub" (for the Script Entry) of the Script Code tab.

  • Save the script.

The resulting script is shown below. A comment was added directly into the Comment tab window. This comment is displayed in the test step information column in the Stress Testing tab.

For more information on creating scripts, see How to Create Advanced Scripting Tool Files.

References the Interactive Functional Test Software imports into the scripting tool

The references that are automatically imported into the Scripting Tool for you to use are:

  1. System

  2. System.Collections.Generic

  3. System.IO

  4. System.Windows.Forms

  5. System.Drawing

  6. System.Diagnosis

  7. Microsoft.VisualBasic

  8. Agilent.ModelN5970A

The scripting tool allows you to add more references for writing more advanced scripts. To find out how, see How to Add an Advanced Reference to the Scripting Tool.


How to Add Advanced References to the Scripting Tool

This topic explains how you add references in the scripting tool if the default references the Interactive Functional Test Software imports into the scripting tool does not meet your needs.

To add a reference to the scripting tool:

  1. Open the scripting tool by clicking View >> Script Generator.

  2. In the scripting tool, click Edit >> Add Advanced References. This opens a dialog box where you can manage both the system and the user references. For both types of references, you have the following options:

  1. Add - This button prompts you for the name of the reference you wish to add. Type in the name or browse to the right location and click OK to add it to the reference list.

  2. Delete - This button deletes the selected reference.

  3. Edit - This button allows you to change the name and/or location of the reference.

  4. Test - This button attempts to load the selected reference.

  3. Import the new references into the scripting tool.

  4. Declare the function.

Advanced Reference Example:

The following example script uses Steema.TeeChart.dll to create a chart.

First, since this reference is not automatically included in the Interactive Functional Test Software template script and therefore it was added via Add Advanced References.

Next, the references were imported into the script and the functions are declared as shown in the code below (gray background is what is automatically inserted from the template that the scripting tool uses).

The results from this script are shown in the figure below.


How to Create Advanced Scripting Tool Files

This file contains instructions on creating advanced scripts in the Interactive Functional Test Software's scripting tool.

  • GPIB control of multiple instruments

  • Serial port control through the scripting tool

  • Global Holders

    • Using a Global Holder

    • Creating a structure to assign multiple items to a Global Holder

    • Sharing subroutines across script files

    • Sharing instrument GPIB information between script files

  • Activity Event Handlers

  • Compared Results (setting pass/fail limits for specific results)

    • Example 1: Setting limits for a particular FTP download result

    • Example 2: Setting limits for all the FTP download results

    • Removing result parameters

    • Setting only a lower or upper limit

  • Important things to consider

GPIB control of multiple instruments

The scripting tool allows you to control the instruments that are configured in the Interactive Functional Test Software's instrument control screen as well as control other instruments via GPIB that are not configured in the instrument control screen. For example, you can create a script that controls general purpose instruments such as a spectrum analyzer, an additional power supply, and/or an additional 8960.

To create a script that controls an instrument not configured in the Interactive Functional Test Software you must, for each script, utilize the object members available in the Agilent.ModelN5970A reference to:

  1. Instantiate the instrument

  2. Initialize the instrument (For more information, see the Agilent VISA Help topic called viOpen. This can be accessed by right-clicking on the Agilent IO Control icon in the taskbar.)

  3. Close the instrument.

Note: A snippet exists that allows you to automatically instantiate and initialize the instrument. To use this snippet, right-click and select Insert Snippet > N5970A > General Purpose Instrument > New Instrument.

The following example shows how to control an additional GPIB instrument via GPIB. If you have a need to pass instrument information between scripts, see Example 3 in the Global Holders section.

Example: Controlling an additional GPIB Instrument

If you control a second test set, TestSet2, you might put the following lines of code into the ScriptEntry subroutine. Again, you could use the snippet mentioned above to instantiate and initialize the instrument.

Setting the socket address

Certain instruments may require a socket address to be set when controlled via TCPIP. If this is the case, it is specified in following format "TCPIP0::1.2.3.4::999::SOCKET" (where 1.2.3.4 is the IP address and 999 is the port number). For more information on this or specifying the address in any other format such as LAN or USB, see the Agilent VISA Help topic called viOpen. This can be accessed by right-clicking on the Agilent IO Control icon in the taskbar.

Serial port control through the scripting tool

There are a couple different ways to customize the commands that are used to control a wireless device. One way is to add/modify the commands directly into the source code of the Interactive Functional Test software (see How to Add or Customize an Interface type). Another way is to use the scripting tool.

The scripting tool can be used for full control of the serial port.

Note: By controlling the serial port through the scripting tool, the changes to the settings are not reflected on the Diagnostic tab interface.

Example: AT command control through the scripting tool

The following is an example script that demonstrates how you can send and automate serial port serial commands to a wireless device. This example assumes that the com port has already been assigned and opened in the Diagnostic tab.

Global Holders

The Interactive Functional Test software's scripting tool has five Global Holders so that information can be shared between script files. Note: You must run the files in the correct order to ensure that the global parameters are set before they are used.

Example1: Using a Global Holder

The figure below shows a simple example of using one of the allocated global holders. Global Holder 1 is set by running File 1, then it is used when File 2 is run. The result of running File 1, then File 2 is shown in the Text Results tab.

Example 2: Creating a structure to assign multiple items to a Global Holder

The figure below shows an example of creating a structure inside a class to allocate more than one variable in a Global Holder. Again, File 1 must be run in order to set the Global Holder, then File 2 is run to call the values in the Global Holder.

The results of running File1, then File 2 are shown in the Text Results tab.

Example 3: Sharing subroutines across script files

In addition to defining Global Holders, you can also share subroutines. Subroutines that are referenced outside the original file, must be added to the class definition (must be editing view). You can add as many subroutines here as needed. In the example below, the subroutine is called from within the file and the results are the first line shown in the text results tab ("Me" puts the whole class into the Global Holder). Then another script file is created that calls the subroutine that is in the Global Holder 2 , and the results of this file are shown on the second line of the Text Results tab.

Note: Intellisense does not carry across script files, so you must remember the exact names.

Example 4: Sharing instrument GPIB information between script files

The Interactive Functional Test Software can be used to control external instruments via GPIB (see GPIB control of multiple instruments). Snippets are available to help create code to control these instruments by right-clicking and selecting N5970A > General Purpose Instrument. This example provides example code from one script file that initializes the code and example code from another script file that references the GPIB information that was placed in the Global Holder.

Activity Event Handlers

Each activity that occurs raises an event. The event structure snippet allows you to easily subscribe to the desired events. Event handler snippets are available in N5970A > Activity Events > Add Event Structure. The snippet creates a separate region, so it must be placed outside any functions or subroutines.

The following is an example of an event handler snippet with all the case statements except the FTP download case removed. This example displays all the results of an FTP download if the activity occurs. Note that no limits have been defined for this example. Defining limits is shown in subsequent examples (see Compared Results).

Example Event Handler Script

Note: For optimal program readability, it is recommended that you remove any unwanted case statements.

Compared Results

The scripting tool allows you to the capability of quickly setting up pass/fail information for activity results.

This section contains two examples. The first illustrates how to set pass/fail limits for a particular result parameter of an activity. The second examples shows how to set a dictionary of pass/fail limits for all the result parameters of an activity. Both examples use the event handler snippet described in the Activity Event Handler section.

The example below shows an approach to setting pass/fail limits for the "File Download Time" of the FTP Download activity. First, the Activity Event Handler snippet was inserted and then all the case statements except the FTP Download were removed. For the case of the FTP Download activity, the following script gets the result (value and unit) and then compares the value of the result to the defined values for the upper and lower limit. The Compared Results tab of the scripting tool displays the results. Note that the test title "File Download Time" must be named exactly the way it is shown in the FTP results in the interactive mode results screen.

Example 1: Setting limits for a particular FTP download result

#Region " Activity Event Handler "

Public Sub StartUp

' Called at the start of running a script file

AddHandler agtActivityEvents.ActivityAction, AddressOf ActivityEvents

End Sub

Public Sub CleanUp

' Called after the ScriptEntry has been completed

RemoveHandler agtActivityEvents.ActivityAction, AddressOf ActivityEvents

End Sub

Private Sub ActivityEvents(ByVal Activity As clsScriptActivityEvents.enumActivityEvent, ByVal Information As Dictionary(Of String,String))

' Called by an activity when that activity has information to provide to the scripter

Select Case Activity

Case clsScriptActivityEvents.enumActivityEvent.FTPDownLoad

Dim LowerLimit1 As Double = 0

Dim UpperLimit1 As Double = 10

Dim Units As String

Dim MeasuredResult As String

agtTestData.GetResultValue(information,"File Download Time",MeasuredResult ,Units)

agtTestData.NumbericResults("download Time", CDbl(MeasuredResult), LowerLimit1, UpperLimit1,Units)

End Select

End Sub

#end region

Results

This next example illustrates how to get all the FTP download results and quickly create pass/fail limits. The main difference with this example and the one above is that each result parameter is added to the lower and upper limit dictionaries.

Example 2: Setting limits for all the FTP download results

#Region " Activity Event Handler "

Public Sub StartUp

' Called at the start of running a script file

AddHandler agtActivityEvents.ActivityAction, AddressOf ActivityEvents

End Sub

Public Sub CleanUp

' Called after the ScriptEntry has been completed

RemoveHandler agtActivityEvents.ActivityAction, AddressOf ActivityEvents

End Sub

Private Sub ActivityEvents(ByVal Activity As clsScriptActivityEvents.enumActivityEvent, ByVal Information As Dictionary(Of String,String))

' Called by an activity when that activity has information to provide to the scripter

Select Case Activity

Case clsScriptActivityEvents.enumActivityEvent.FTPDownLoad

'add the test title with the lower limit and upper limit compare value as a pair

'the test title must match the parameter shown on the interactive mode results

LowerLimit.Add("File Name", 0)

UpperLimit.Add("File Name", 10)

LowerLimit.Add("Download Rate", 10)

UpperLimit.Add("Download Rate", 20)

LowerLimit.Add("File Download Time", 0)

UpperLimit.Add("File Download Time", 5)

LowerLimit.Add("OTA Tx Pk", 10)

UpperLimit.Add("OTA Tx Pk", 20)

LowerLimit.Add("OTA Rx Pk", 300)

UpperLimit.Add("OTA Rx Pk", 400)

LowerLimit.Add("IP Tx Pk", 0)

UpperLimit.Add("IP Tx Pk", 10)

LowerLimit.Add("IP Rx Pk", 300)

UpperLimit.Add("IP Rx Pk", 400)

agtTestData.NumbericResults(Information, LowerLimit, UpperLimit)

End Select

End Sub

#end region

Results

Removing result parameters

In the above example, all of the result parameters were listed in the Compared Results tab. If you do not want to show some of the result parameters, you can remove them from the Information dictionary they are stored in.

Example:

To remove File Name from the results from the above FTP download example, you would comment or remove the lower and upper limits you defined and then insert the following line of code:

Information.remove("File Name")

Setting only a lower or upper limit

If you want to set only an upper limit or lower limit for a parameter, you must assign it as either positive or negative infinity, respectively. The Activity Event Handler automatically assigns a NoLowerLimit and a NoUpperLimit variable.

Dim NoLowerLimit As Double = Double.NegativeInfinity

Dim NoUpperLimit As Double = Double.PositiveInfinity

Example: Setting either a lower or upper limit

The following is a simple example of only setting the a value for an upper limit.

Important things to consider

  • Test steps that are created in the scripting tool are done in the Script Code tab. The other tabs, Text Results and Image Results, and Compared Results tabs display results of the script code.

  • When you create an instance inside a subroutine, that instance is only visible to that subroutine. Whereas, if it is declared above the subroutines, it is visible to all subroutines. Example: Dim TestSet2 As New clsGPInstrument in the above figure could instead be declared above the subroutine as Private TestSet2 As New clsGPInstrument for other subroutines to refer to.

  • Each script that controls instruments external those configured in the Interactive Functional Test Software must first initiate the resource. That is, an instance created in one script does not carry over to subsequent scripts.

  • The scripting tool is case sensitive and therefore will only accept parameters exactly as they are defined. For example, if a parameters settings in the Test set control tab show "On" and "Off", then those are the only two settings that the scripting tool accepts. If you drag the parameter from the test set control tab to the scripting tool, the scripting tool will automatically generate code to set the parameter to the currently selected setting. However, where you must be careful is when you decide to change this parameter setting once you dragged the parameter to the scripting tool.


How to Debug Scripting Tool Files

This topic discusses the following:

  • Compatible debugging tools for the Interactive Functional Test software

  • How to open a script in debug mode

  • How to use the debugger

  • Operating Considerations

  • Debugging Example

Compatible debugging tools for the Interactive Functional Test software

The Interactive Functional Test software's scripting tool allows you to choose a debugging tool to use to troubleshoot scripts. If you choose to use a debugging tool, the debugging tool that you use must be compatible with a Visual Basic .NET 2005 programming environment, which is the programming environment used by the scripting tool. Currently, there are two Visual Basic .NET 2005 compatible debugging tools;

Compatible Visual Basic .NET 2005 debugging tools

  1. Microsoft Visual Studio 2005 (Standard, Professional, or Enterprise) (available for purchase)
    Note: Microsoft Visual Studio 2005 Express does not include a debugging tool.

  2. .NET Framework 2.0 Software Development Kit (SDK) (x86) (free download from Microsoft's download website)
    Note: During installation, the .NET Framework 2.0 Software Development Kit wizard provides several installation options. The minimum installation options that are required to work correctly as a debugging tool for the Interactive Functional Test software is the "Tools and Debugger" option.

To open a script in debug mode

  1. Click the Run with debugger icon ( [image]). Note: The Run with debugger icon is grayed out if there are no compatible debuggers to choose from when the Interactive Functional Test software is started. To use a debugger, you must first install one of the tools listed above. (See Compatible Visual Basic .NET 2005 debugging tools)

    If you wish to run the script without using a debugger, click the Run button (see How to use the Scripting Tool).

  2. If a debugging tool is not already open, you will be prompted to select a debugger. Choose a Microsoft CLR Debugger 2005. The Interactive Functional Test software will then use the selected debugger (if compatible) to open the currently selected script file in debug mode.

  3. If a debugger is already open, the Interactive Functional Test software will then use the debugger (if compatible) to open the currently selected script file in debug mode.

  4. Read the Operation Considerations for tips on how to expect the debugger to behave.

How to use the debugger

This topic provides instructions for:

  • How to insert and remove a breakpoint

  • How to run to a breakpoint

  • How to step through a script

  • Closing the Debugger

How to insert and remove a breakpoint

When the script execution reaches a breakpoint, the debugger pauses to allow you to inspect the state of your script.

  • To insert a breakpoint click in the gray area in the left margin of the command statement that you want to be the last statement that is executed before pausing (breaking).

  • Right click on an existing breakpoint to set properties, disable, or delete the breakpoint.

How to run to a breakpoint

To run to the next breakpoint, click the Continue icon ( [image]). This will continue from the next statement that is to be executed, to the next breakpoint in the script.

How to step through a script (Step Into, Step Over, and Step Out)

Once you pause the script execution, you have the ability to step through your script (that is, execute one statement at a time). The figure below shows the icons for stepping into, over, and out of subroutines.

If you are currently in break mode on a line of code that contains a method call, the Step Into command will enter the method and break again on the first line of code inside the method. In contrast, the Step Over command will execute the entire method call and break on the next line of code in the current method. Therefore, you should use Step Into if you want to see what happens inside a method call, and use Step Over if you only want to execute the entire method and continue in the current code block.

The debug menu also contains a Step Out command, which you can use when you want to execute the rest of the current method and return to the calling method. Step Out will break execution at the return point in the calling function.

Closing the Debugger

When you close the debugger, you will be prompted if you want to save the N5971.dln item. Select No.

Operating Considerations

Keep in mind the following considerations while using a debugging tool to troubleshoot your script files:

  • Once the script file is opened in debug mode (see How to open a script in debug mode), you can then do typical debugging operations such as inserting breakpoints, step through code, and watching variables.

  • You cannot make changes to a script within the debugging tool.

  • When you open the script file in debugging mode, the debugger automatically names the debug file. There is no way to manually name this file.

  • Each time you click the Run with debugger icon, all the breakpoints that you have set are removed.

  • When the debugger reaches the end of the script, the Continue icon is grayed out. To run the script again in debug mode, you must click the Run with debugger icon from the scripting tool screen.

  • The first time the debugger is launched when Run with debugger is clicked, the script will break at System.Diagnositcs.Debugger.Launch. All subsequent times that Run with debugger is clicked (while the debugger is launched), the first break is a System.Diagnostics.Debugger.Break. The is illustrated in the figure below.

    *It is recommended that you set your debugger to reuse the document window rather than opening a new window each time. To do this, click Tools>>Options...>>Environment>>Documents and then select "Reuse current document window, if saved".

Debugging Example

The figure below is an example of a script file that has been opened in debug mode. The red circles show the breakpoints that have been inserted. The green arrow, or continue icon, (under the File menu item), was clicked to execute the script statements up to the first breakpoint. The yellow arrow indicates the next statement that will be executed if continue is clicked again. This arrow can be moved to different locations within the script. You can also see what the local variables are currently set to and set up any other variables to be watched.

For more information on using the debugger, refer to its associated help files and forums.


How to Display Graphical Results Using the Scripting Tool

The Graphical Results tab within the scripting tool can be used to display graphs and charts based on any supplied data. The graphs/charts can be displayed in following forms:

  • Lines

  • Lines with points

  • Points

  • Bar

  • Pie chart

Multiple graphs can be displayed at the same time and each graph has independent controls for colors, style, saving and clearing the data. It is also possible to have several traces on a single graph, allowing different sources of data to be compared easily.

The graphs are displayed in a grid format, so can be referenced through the row, column co-ordinates when necessary.

API Methods for Displaying Graphical Results

There are several methods included in the standard API for the Graphical Results functionality. Each of these is described as follows

Method: AddData (plus 7 overloads)

This method adds new data to a graph. The data can be provided as individual X and Y values, or as an array of Y values. In addition individual graphs and traces can be specified.

Method: BackgroundColor (plus 1 overload)

This method changes the background color of a particular graph. The color must be supplied. The X and Y co-ordinates of the graph to apply the color change are optional.

Method: ClearGraphData (plus 1 overload)

This method clears the data from a particular graph. If the X and Y co-ordinates of the graph to clear are not provided, the graph at 0, 0 will be cleared.

Method: GraphStyle (plus 1 overload)

This method sets the style of a particular graph. The style must also be supplied. If the X and Y co-ordinates of the graph to change the style of are not provided, the graph at 0, 0 will be altered.

Method: GraphLegend (plus 1 overload)

This method is used to show or hide a given graph legend. The show/hide Boolean parameter must always be provided. If the X and Y co-ordinates of the graph on which the legend is to be shown/hidden are not provided, the graph at 0, 0 will be used.

Method: NewGraph (plus 4 overloads)

This method adds a new graph to the grid. Each graph must be a title along with X- and Y-axis titles. Optionally, they can also be supplied with the number of traces to display, an array of names for the traces and X and Y co-ordinates for the graph location on the grid.

Method: RemoveGraph (pus 1 overload)

This method removes a graph from the grid. If called with no parameters, the graph at point 0, 0 will be removed. Otherwise the X and Y co-ordinates of the graph to be removed should be provided

Method: RemoveAllGraphs

This method removes every graph from the grid.

Method: ResizeColumn

This method resizes the supplied column to the given percentage of the grid space.

Method: ResizeRow

This method resizes the supplied row to a given percentage of the grid space.

Method: Save (plus 3 overloads)

This method saves a graph to a file. This method must be given the location of where to save the graph along with the file type to use (‘.ten’ or ‘.jpeg’)

Method: SaveAll

This method saves every visible graph on the grid. Each graph is saved to a separate file. This method must be given the location of where to save the graph. It can optionally be provided with a filename to use along with the X and Y co-ordinates of the graph to save. If no co-ordinates are given, the graph at point 0, 0 will be saved. Also, if no filename is given, a default filename of graph title plus time and data stamps will be used.

Method: TraceColor

This method sets the color of a particular trace. The trace number must be supplied along with the color to use. Optionally, the X and Y co-ordinates of the graph to which the trace belongs can be provided. If not provided, the graph at 0, 0 will be used.


How to Customize Instrument Startup Settings

There are setup files for the power supply and each application in the test set that the Interactive Functional Test Software supports. This topic discusses how to access these files and the kind of information they contain. These are XML files located in C:\Program Files\Agilent\N5970A\Application Client\TestData\InstrumentSettings\. It is recommended that these files be viewed and modified using Microsoft XML Notepad.

More specifically, this topic contains instructions on:

  • How to customize test set startup settings for a particular format

  • How to customize the power supply startup settings

To customize test set startup settings for a particular format:

The default settings for the each format are obtained from their corresponding XML file. Therefore changing an XML file for a particular format permanently changes the defaults for that format.

  1. Open the desired xml file in the directory mentioned above. It is recommended that you use XML NotePad to open and view these XML files. Here you can change the settings that apply to a particular format, power supply, or test set control.

    "GSMGPRS.xml" applies to the GSM, GPRS, and EGPRS formats.
    "WCDMA.xml" applies to WCDMA, WCDMA + HSDPA, and WCDMA + HSPA.
    "PowerSupplyCommandStrings.xml" applies to the power supply startup settings as mentioned in the next section.

    Example:
    To add a new application name and revision that has the highest priority in the LAs supported list, click on TestSetSettingData >> ApplicationBS1 within the XML file for the desired format. Then, enter the application name (as it appears on SYSTEM CONFIG screen of the test set) followed by a comma and then the minimum revision for that application. Insert a semi-colon to separate the lab applications and revisions listed.

    TestSetSettingData     >> InstDefaultSettingsBS1 is where the Startup SCPI settings are defined.

  2. Save the file.

  3. Restart the Interactive Functional Test Software and select the desired format as the Current format to apply the new startup settings.

To customize the power supply startup settings:

Connecting a power supply to the Interactive Functional Test Software is required to perform the batter profile activity. If one is connected, it utilizes the XML file with power supply commands for the initial conditions. This file also contains a list of all the supported power supply models. It is located in the directory mentioned at the beginning of this topic (with the format XML files) and is named PowerSupplyCommandStrings.xml. Follow the instructions in the above section to change the power supply startup settings.


How to Add a Robot

This topic contains information on how to add a robot to the Interactive Functional Test Software.

Description

The Robot Interfaces selection for Interface type is configured to control a Yamaha YK-X series robot. Interface type refers to the method by which a wireless device is controlled. If your wireless device is controlled via a robot that is not a Yamaha YK-X series robot, you must add your robot. To do so requires code changes and new code written for the DUT Interface Project that the Interactive Functional Test Software references. It is recommended that only an experienced software developer that has experience with Visual BASIC ™ add an interface type.

Visual BASIC is a trademark of the Microsoft corporation.

To add a robot:

This section details how to add your robot so that when Robot Interfaces is selected as the Interface type for your wireless device, you can communicate with your robot. Interface type is located on the Configuration tab>>Configure DUT.

Note: The Interactive Functional Test Software must be closed while a new robot is added so that the changes are correctly applied when the project is rebuilt.

  1. Click Start>>Programs>>Agilent Interactive Functional Test>>N5970A>>Applications>>DUT Interface Project and open the DUT Interface Project. This project is organized into several class modules as shown in the Solution Explorer.

  2. Display the Task List and notice there are two types of TODO's: "TODO DUT Interface", and "TODO Robot". Locate all the "TODO Robot" tasks and insert the appropriate code. These tasks are located in clsMain.vb and clsRobotInterfaces.vb.

  3. Build the project.

  4. Open the Interactive Functional Test Software and add a new wireless device with Robot Interfaces selected as the Interface type. Calibrate your robot and verify that the new robot works performing an interactive test such as SMS from DUT.

You can also control any robot through the scripting tool using the agtDUTControl.DUTRobotInterface object. This is done much the same way that you would add/modify AT commands to be set to a wireless device. See serial port control through the scripting tool for more information.


How to Use the Charts Tab

This topic only applies to activity screens that contain a Charts tab. The data plotted in the Charts tab is different for each activity. For example, for UDP Upload and Download the Charts tab plots the peak throughput rates, which are measured using the test set's Data Throughput Monitor. For other activities, such as FTP Download and Application Web Browser, the download time is plotted. See the axis labels to determine what data is plotted based on the activity that is being performed.

  • Chart control

  • Chart viewer

  • Zooming in, Zooming out, and Panning

    • To zoom in on the plot

    • To zoom back out to the original display

    • To pan any direction on the plot

Chart control

Chart control allows you to Save the chart as one of several file formats, Print the chart, and/or Copy the chart to the clipboard.

The following parameters are also available in the Chart control area of the Charts tab:

  • Chart type - This parameter controls how the data is displayed.
    There are three options: 1) Line (lines are drawn between data points), 2) Points (a small square is placed at each point), 3) Lines with Points (lines are drawn between each small square).

  • Markers on- This parameter controls whether the plot will display the X and Y coordinates of any data point that the cursor hovers over. This parameter only applies when Chart type is set Points to or Lines with Points.

The Figure 1 below shows the OTA RX plot for the example described in the UDP Download Flood example. The marker for the point the cursor is hovering over is displayed as well.

To obtain the following plot, the Chart download throughput results box and the Clear throughput monitor graph at start of packet download box were checked in the attributes shown in Figure 1. To set up the plot, Lines with Points was chosen as the Chart type and Markers on was checked.

Figure 1: Example Chart

Chart viewer

Any Charts tab can be sent to a separate window call a chart viewer. This is useful because it allows you to watch several windows simultaneously. The figure below is a figure of FTP results and the battery profile. You can have multiple chart viewers open at once.

Figure 2: Viewing FTP Results tab and Battery Profile Chart Viewer

Zooming in, Zooming out, and Panning:

Zooming in on the plot is an easy way to analyze data points more closely.

To zoom in on the chart:

      1. Move the cursor near the top left of the window you want to zoom on.

      2. Click and hold the left mouse key.

      3. Drag down and to the right to create a box around the points of interest.

      4. Release the left mouse button and the display will zoom to the selected area. Continue zooming in until you have reached the necessary view.

Figure 3: Zoom In

To zoom back out to the original display:

      1. Click somewhere in the lower right of the screen.

      2. Click and hold the left mouse button.

      3. Drag up and to the left.

      4. Release the mouse button.

To pan any direction on the chart:

      1. You can pan by clicking and holding the right mouse key and moving any direction on the grid. Note that the coordinates will update with each movement.

      2. To return to the original display, you would follow the same steps as you would to zoom back out to the original display.
        To pan any direction on the chart:

        If you pan in on the chart and then save it, the Interactive Functional Test software, the data that is saved is only that which appears in the window.


How to Use the Throughput Monitor Control

The test set's Data Throughput Monitor is a useful tool for analyzing data transfer rates under various RF and call processing conditions. The Interactive Functional Test Software allows you to control and view the test set's Data Throughput Monitor via the Throughput Monitor Control tab.

This topic describes how:

  • To use the Throughput Monitor Control.

  • To access the Data Throughput Monitor from the test set.

To use the Throughput Monitor Control:

There are several options in the Throughput Monitor Control. These are explained below and illustrated in the figure below. To use the Throughput Monitor Control, first configure the Setup Options and then use the appropriate Graph Options buttons.

Setup Options

Time span (sec) - controls the x-axis on the graph, which is the time interval the graph will display the wireless device's data throughput.

Start data rate (kbps) - controls minimum data rate to display (y-axis on the graph). This value should be set less than or equal to the minimum expected data rate of your device.

Stop data rate (kbps) - controls the maximum data rate to display (y-axis on the graph). This value should be set greater than or equal to the maximum expected data rate of your device.

Select trace(s) to display: - traces refer to lines that are shown on the Data Throughput Monitor graph. Each line represents a different type of information.

There are four trace options:

      • OTA TX and OTA RX - OTA (Over the Air) throughput counts the data transmitted and received by the test set's protocol stack. The location of the measurement point in the protocol stack is dependent upon system type; this data could be a byte stream from RLP (Radio Link Protocol) or RLC (Radio Link Control) or PPP (point to point protocol). OTA throughput does not count physical layer overhead such as mid-amble, guard, or tail bits, or bits added by the encoding process.

      • IP TX and IP RX - IP (Internet Protocol) throughput counts the data transmitted and received by the test set. It measures the IP data transferred between the external LAN connector and the protocol stack. It provides a measure of the IP data packets being transferred to/from the wireless device.

Graph Options

Download Graph - downloads the image from the test set and displays it in the Throughput Monitor Control window. Note: Clicking on the image of the Data Throughput Monitor graph will update the image by downloading the image from the 8960 via the LAN connection. Therefore, it does not affect the throughput rates of the modem connection. You can save the downloaded Data Throughput Monitor graph by right-clicking on the image and selecting which format to save it in (GIF,JPEG, PNG, or BMP). The Data Throughput Monitor image can also be saved in the scripting tool.

Show Graph on 8960 - this brings up the Data Throughput Monitor on the 8960 test set.

Freeze Graph - this button stops the graph. This is useful when you have certain areas that you want to analyze more closely before they fall off the graph. Data is still being graphed in the background.

Resume Graph - this returns the real time display of the graph.

Clear Graph - clears all the data plotted on the graph.

Setup Graph - button not active, the scripting tool arrow creates a macro of the Time span, Start data rate, Stop data rate, and the selected traces to display.

Figure 1: Throughput Monitor Control Example

To access the Data Throughput Monitor from the test set:

To bring up the Data Throughput Monitor from the test set's front panel, press the Instrument selection button and choose Data Throughput Monitor. This will bring up the data transfer graph. Time is displayed on one axis and the data transfer rate in kbps on the other. Axis control can be changed by pressing the Axis Control (F1) button and Trace Control (F2) allows for precise measurements at specific locations on the graph. The display shows a plot of the data transfer rate over the time span.

The current, average, and peak transfer rates (in bps) and the total number of bytes transferred are shown directly below the graph.


How to Use the Data Rate Monitor

The Data Rate Monitor is a useful tool for analyzing data transfer rates under various RF and call processing conditions.

This topic describes how:

  • To use the Data Rate Monitor

  • Zooming in, Zooming out, and Panning

To use the Data Rate Monitor

Control of the Data Rate Monitor is done through the menu bar icons that are in the Data Rate Monitor screen. These icons are explained below in the order the icons are laid out (from left to right).

The Data Rate Monitor measures data throughput through modem cable and therefore a DUT connection must be established to capture data throughput results. For this reason, the Start monitor icon will be grayed out if there is no DUT connection established.

Start monitor - starts the Data Rate Monitor to display the throughput rate of the data that is selected to be displayed. To capture real time throughput of data that is being received, sent, or both, click the Start monitor icon.

Stop monitor - stops the Data Rate Monitor.

Clear data - clears any data currently plotted on the Data Rate Monitor.

Reset graph zoom and pan - resets the chart back to the default display resolution.

Save chart - saves the Data Rate Monitor. Here you have several options for the type and format of what you want to save the file as. The available types are shown in the different tabs in the save window, these are: Picture, Native, and Data. For whichever type you wish to save the chart as select the options on that tab and click Save.... Alternatively, you can select Copy to put the chart image on the clipboard. Note: Any chart that has been saved as a Native file can be re-opened in the Data Rate Monitor.

Load Data Rate Monitor that has previously been saved - Opens any Native chart file or any file that has been saved from the Data Rate Monitor.

Measurement time - Set the update interval for the Data Rate Monitor.

Select data to be displayed - Allows you to view the Sent Data, Received Data, both sent and received data, or neither.

Chart line type - Allows you to select the type of line used to plot the data. Options include: Line, Points, or Line with Points.

Show/hide drag to script controls - Toggles the scripting tool arrows. The script controls are the blue scripting tool arrows that allow you to drag and drop the function of the icon to the script environment. Showing the scripting tool arrows places the corresponding arrow above the icon.

Data Rate Monitor Example

The following figure shows an example of a Data Rate Monitor capture while both an FTP Download and FTP Upload activity were being performed. The activities were set up and then started. Then the Data Rate Monitor was started and then stopped with the Start monitor and Stop monitor icons, respectively.

Zooming in, Zooming out, and Panning

Zooming in on the plot is an easy way to analyze data points more closely.

To zoom in on the chart:

      1. Move the cursor near the top left of the window you want to zoom on.

      2. Click and hold the left mouse key.

      3. Drag down and to the right to create a box around the points of interest.

      4. Release the left mouse button and the display will zoom to the selected area. Continue zooming in until you have reached the necessary view.

Figure 3: Zoom In

To zoom back out to the original display:

      1. Click somewhere in the lower right of the screen.

      2. Click and hold the left mouse button.

      3. Drag up and to the left.

      4. Release the mouse button.

      5. The "Reset graph zoom and pan" icon also zooms back to the original display.

To pan any direction on the chart:

      1. You can pan by clicking and holding the right mouse key and moving any direction on the grid. Note that the coordinates will update with each movement.

      2. To return to the original display, you would follow the same steps as you would to zoom back out to the original display.

        If you pan in on the chart and then save it, the Interactive Functional Test software, the data that is saved is only that which appears in the window. In the Data Rate Monitor, a message box will appear if you attempt to save a panned in chart, asking you if you wish to pan out first.


How to Use Test Set Control

How to Use the Test Set Control

Test set control allows you to change many of the settings in the test set via the Interactive Functional Test Software. This topic describes how to use the Test Set Control tab when you are doing interactive testing.

To use test set control:

Most of the test set parameters that you can control are accessed in the Test set settings list. Related parameters are grouped together and may be in a different menu structure than in the test set.

  1. Firstly, decide whether you want to change parameters for the Active Cell or Neighbor Cell, then select the appropriate tab.

  2. Select the format for the parameters you wish to change. The Test set settings list is specific to the Current format setting.

  3. Set the SCPI timeout value ( [image]).

  4. Expand the menu structure for the currently selected format to find the parameter you wish to configure.

    If you are unsure of which menu the parameter you are looking for is located, click the Find icon ( [image]). This will allow you to search for all or part of the parameter name. Any menu items that have parameters that match the search criteria are highlighted with blue font and underlined.

    Not all the settings may be in the test set settings. However, the Interactive Functional Test Software's flexibility allows you to add new settings to the list.
    You can also use the SCPI Pass-Through node to set parameters that are not yet available in other nodes of the Test Set Control tab. The SCPI Pass-Through node allows you to enter any of the test set's GPIB commands into the SCPI commands window.

  5. To see the instrument start-up information for the Current format, click the Instrument startup information from xml file icon ( [image]). Clicking this icon displays the LAs supported by the Interactive Functional Test Software and the Startup SCPI settings in the right hand side window of the Test Set Control tab.

    LAs supported     - This contains a prioritized list of all the test set Lab Application (LA) names and revisions that the Interactive Functional Test Software will switch to (if Use Current LA is not checked).

    Startup SCPI settings     - This contains a list of SCPI commands that are associated with the Current format and are sent to the test set via GPIB whenever the Interactive Functional Test Software is opened or the Current DUT or Current format is changed.

    To change either of the above settings or add settings that are not yet available in the Interactive Functional Test Software, see How to Customize Settings.

  6. You can return the test set to the defaults used for each parameter in the current format by clicking the Restore Defaults.

  7. To find other parameters, it may be easiest to navigate to it by collapsing all menus back to their root level ( [image]). and repeating steps 2 through 4.

Things to consider:

  • The Data Throughput Monitor settings are available in the Throughput Monitor Control tab and therefore are not duplicated here.

  • If a setting is changed on the test set, it is not updated in the Interactive Functional Test Software.

  • If the parameter you are looking for is not yet available via the Test Set Control tab, it is possible to add a parameter by configuring the instrument settings XML file for the applicable format. For more information, see To customize test set startup settings (for a particular format).

  • Changes to test set parameters in the Interactive Functional Test Software do not occur until you right-click and select send now.

  • The right-click menu contains also contains Help (opens the 8960 online user's guide where you can find help on any 8960 parameter), Properties (displays the properties for the specific parameter), and Restore Defaults (restores all values to their default).


How to Use Dial/Hang-up

This topic only applies if you intend to use your phone as a modem to establish packet data connections and to the following activities: UDP Download Flood, UDP Upload Flood, FTP Upload, FTP Download, and Application Web Browser.

The Interactive Functional Test Software's Dial/Hang-up feature provides a way for you to establish, and terminate, a data connection between your wireless device and the test set.

To establish a data connection:

This procedure assumes that you have already configured your wireless device (see DUT Configuration).

  1. Make sure the Current DUT and Current Format are correct. The Dial/Hang-up tab shows the Modem connection script that is to be used for the wireless device that Current DUT is set to.

  2. Click the Connect button in the Dial/Hang-up tab. This runs the connection script that is displayed in the upper portion of the Dial/Hang-up window. The lower portion of the Dial/Hang-up window shows the progress of the Modem connection script. The instrument status window should display PDP Active when the Modem connection script is complete and the modem connection status window should update with the current connection.

  3. To end the connection, click Hangup. The Hang-up button only applies to Connection Method Script type of modem connection scripts. Therefore, if your modem connection script is a Connection Method Program type of script (one that opens a data connection management program for your wireless device) and you click the Hang-up button, the program is not affected.

The following parameters require that the Instrument status monitor is enabled in order to work properly:

Wait for Connect - provides code that commands the script to wait until the wireless device is connected before continuing on.

Wait for Hang-up - provides the code that commands the script to wait until the wireless device connection has ended before continuing on.


How to Use the WPA Control

The Wireless Protocol Advisor (WPA) is a tool that captures protocol messages that are exchanged between the wireless device and the test set. It is often used to interpret wireless protocol messaging, verify functionality, and isolate and resolve protocol problems when developing new wireless products or applications. The Interactive Functional Test Software allows you to control WPA so that you can capture protocol logs at the same time that you are controlling the wireless device. This topic describes how to control WPA via the Interactive Functional Test Software.

WPA should not be opened while the Interactive Functional Test Software is open.

This topic includes information on:

  • WPA Activities

  • WPA Settings

  • How to capture a WPA log

WPA Activities

The following buttons are available within the WPA Control tab of the applicable Interactive Testing activity screens. Each button below is an activity that WPA must perform, and a script can be generated for each button (and any button that has the blue arrow next to it) using the scripting tool to create a stress test step to add to a test plan.

  • Launch WPA - Launches an instance of WPA that can only be controlled via the Interactive Functional Test Software. If an instance of WPA is already open, the Interactive Functional Test Software closes WPA and then re-opens it.

  • Connect Test Set - Instructs WPA to connect to the test set with the IP address that matches Test Set 1 address that is listed in the Configuration tab.

  • Start Logging - Initiates data capture. Pressing this button will start a new logging session if no logging session is currently active. While this button launches WPA and then connects to the test set if it had not been done already, it is recommended that you press Launch WPA and then Connect Test Set before attempting to capture a protocol message log. This ensures that WPA is in a ready state to immediately start logging.

  • Stop Logging - Terminates the logging session. You must stop a logging session before you can save it. No action is performed if there is not a currently active log session when you press this button.

  • Save Log File - Saves the file in the specified WPA log file path. The file name is a time stamp of when the file was saved in the following format: "mm_dd_yyyy_hh_mm_ss.tol". For example, a file saved at 8:01:00 AM on June 15, 2007 is assigned the file name of "06_15_2007_08_01_00.tol". You can only save a log file after it is captured. Also, logging must be stopped before you can save the log file.

  • Disconnect Test Set - This button is useful if you need to disconnect WPA from the test set for any reason such as if you need to connect to a different test set. No action is performed if WPA is not already connected to the test set.

  • Close WPA - Closes the instance of WPA that is being controlled by the Interactive Functional Test Software. Note: It is important that you click Close WPA before attempting to launch WPA outside of the Interactive Functional Test Software to ensure that WPA closes properly.

  • Refresh WPA Status - The status of WPA controls are displayed in the lower-right portion of the WPA Control tab. The ability to refresh the status is useful because the status can change often and for many reasons. Therefore, what you see as the last status message may be different from what is shown on the screen. For example, if a trigger point is reached then the WPA status changes, but it is not necessarily updated on the WPA Control screen. Another example is that you simply want to verify that WPA is still logging after some time has past since you pressed Start Logging.

WPA Activities Status Window

The lower right portion of the WPA Control tab displays the a WPA activities status window that displays the results of the above activities. This status window can be sent to the clipboard (right-click and select Copy to Clipboard).

WPA Settings

The following settings are available within the WPA Control tab of the applicable Interactive Testing activity screens.

The first three radio buttons are stop criteria that you can set instead of importing a trigger and/or log filter file. These (a) have no logging limit or timeout (b) allow you to stop logging after a number of messages or (c) stop logging after a certain amount of time. Note that you cannot choose both (b) and (c).

Trigger and Filter files - Triggers and Filters are used to control which events and messages are captured and displayed. You can have any mixture of triggers and filters. The Interactive Functional Test Software allows you to control these settings by importing the appropriate trigger (*.trg) and filter (*.flt) configuration files. To select the appropriate file, simply click Browse... and navigate to the location of the file. These files must be created in WPA. Note that you cannot import a trigger file if you have selected Stop logging after number of messages or Stop logging after amount of time.

WPA log file path - This is the location of where to save the log file. To change the path, click Browse... and navigate to the location of the file.

Test set filters- Test set filters can be created to control which messages are actually sent from the test set to the Wireless Protocol Advisor (WPA). They are essentially a pre-filter to the WPA and its other filters and triggers. Test set filters limit the amount of information sent over the LAN by passing only the messages for selected protocol layers. The filter setup dialog boxes identify which test set the settings apply to in the title of the dialog box. The Interactive Functional Test Software lists any test set filters it acquires. You can select any combination of the filters listed. Click Select All if you want the Interactive Functional Test Software to apply all the filters in the list. Click Refresh to update the list. The Display Stack button will display the protocol stack of the selected format. This is useful for determining what filters you should apply. WPA must be connected to the test set before it can acquire any test set filter settings.

To capture a WPA log:

This procedure details how to capture a WPA log of any of the supported Interactive Testing activities.

  1. Open the WPA program by clicking Launch WPA in the WPA Control tab. The WPA Control tab is available in all of the Interactive Testing activity screens except Battery Profile, 14565B Battery Profile, and Network Impairments.

  2. Next, click Connect Test Set.

  3. Before starting the activity you want to capture a WPA log for, configure the WPA settings. The WPA control status window indicates whether or not the WPA control event was successful.

  4. Configure the activity that you would like to capture a WPA log of. Once it is configured and ready to start, first click Start Logging and then start the activity.

  5. When the activity has completed, click Stop Logging. The WPA control status window will display the number of messages that are in the WPA log file.

  6. To keep the file, click Save Log File. To recapture the WPA log file without saving the current file, repeat steps 1 through 5.

  7. When you are finished capturing WPA log files, click Disconnect Test Set, then click Close WPA.

Details of the existing WPA log files can be viewed in the View WPA Log tab.

Additional information can be found in the WPA user's guide that is accessible via WPA.


How to Use Script Encryption

When scripts are developed within Interactive Functional Test Software it is possible to mark them as encrypted. This prevents the script from being viewed or edited. The encrypted script can still be loaded into the IFT scripting tool and run like any other script but its contents are not displayed in the editor.

In addition to this encryption, it is also possible to mark a script as encrypted with edit capabilities. This restricts the editing of the script to within the IFT scripting tool. it is not viewable in other applications (for example word processing applications such as WordPad).

Once a script has been developed with encryption it can not be recovered for viewing. Therefore, it is important that you use caution with the encryption functionality during the development of scripts.

The encryption key takes the form of an additional file. This file contains the encryption password (and the edit password if set). The IFT scripting tool needs access to this file to enable it to decrypt the file, regardless of whether the decryption is to allow editing or running.

Although it is possible to edit the key file after its original creation, this is not recommended as any changes cannot be undone and may result in a corrupted, unusable script.

It is possible to enable encryption on an existing test script. Once the Encrypt option has been enabled, the Encryption tab becomes active. On this tab are entries for the key file name and an encrypt password along with the option to allow editing and another password for the edit encryption.

When an encrypted file is loaded, if edit is enabled on the encrypted file, these fields are still accessible and can be changed or updated. If edit is disabled on the encrypted script, it is not possible to modify the encryption fields.

To enable Script Encryption:

  1. Select the Encrypt File option on the Control panel of the scripting tool.

  2. The options on the Encryption tab become active, allowing you to configure the encryption settings.


How to Use Activity Logging for Interactive Testing

Description

Activity logging is controlled differently for Interactive Testing and Stress Testing. This topic describes how activity logging behaves and is controlled for Interactive Testing.

Activity Logging allows you to log the sequence of events in which activities happen. Interactive tests are said to be "activities" that the Interactive Functional Test Software performs. The Interactive Functional Test Software displays any current or pending activities in the bottom portion of the screen. The item then disappears when the activity is complete. These activities can be saved to a file to view and analyze after the activity log is stopped.

  • To capture an activity log (when working in the Interactive Test screen), you must turn on Activity Logging. This is done by clicking the Activity Logging icon ( [image], when activity logging is idle), or selecting On from the Activity Logging menu. When Activity Logging is turned on, you are prompted for the name you wish to assign the Activity Log file before it begins logging. The Interactive Functional Test Software continues to log until Activity Logging is turned off.

  • To turn off Activity Logging (when working in the Interactive Test screen), press the Activity logging icon (to indicate that there is an activity logging session in progress, the activity logging icon is changed to ) or select Off from the Activity Logging menu. The Interactive Functional Test Software provides details such as the time and type of activity for each activity that is captured.

When you click Run Test Plan in the Stress Testing tab or Run from the Scripting Tool, any activity log currently running is stopped.

Details of the existing activity log files can be viewed in the View Activity Log tab.


How to Use Activity Logging for Stress Testing (and the Scripting Tool)

Last Updated: 2011-06-02

Interactive tests are also said to be "activities" that the Interactive Functional Test Software performs. The Interactive Functional Test Software displays any current or pending activities in the bottom portion of the screen. The item then disappears when the activity is complete. These activities can be saved to a file to view and analyze after the activity log is stopped.

Activity Logging allows you to log the sequence of events in which activities happen. Activity logging is controlled differently for Interactive Testing and Stress Testing or while running scripts. This topic describes how activity logging is controlled as well as some considerations for Stress Testing or while running scripts in the Scripting Tool.

To capture an activity log during for a script or a test plan:

To capture an activity log while running a test plan (in the Stress Testing screen), you must select Turn on stress activity logging. See figure one below.

Capturing an activity log while running a script in the Scripting Tool is similar to capturing a log while running a test plan; you must select Turn on script activity logging.

When you click Run Test Plan in the Stress Testing tab or Run from the Scripting Tool, any activity log currently running is stopped.

Figure 1: Logging the Test Plan Activities

Other Considerations:

The following are things to keep in mind when you wish to capture an activity log during stress testing. For more information on the activity logging parameters available during stress testing, see Activity_logging_parameters_available_for_Stress_Testing.

  • The name that is given to the activity log file depends on the Auto generate log file name checkbox. If it is checked, the Interactive Functional Test Software automatically generates a time-stamped file name. If it is not checked, the Interactive Functional Test Software uses the file name that is specified in the Log file name field.

  • If there is anything in the Log comments field, these contents, up to 10 lines, constitute the first message in the activity log that is captured during the stress test. Any text in the tenth or greater line in the Log comments field is ignored. If the Log comments field is blank, the first message is simply the first activity.

  • Activity Logging is automatically stopped once the test plan is complete.

The Interactive Functional Test Software provides details such as the time and type of activity for each activity that is captured. Details of the existing activity log files can be viewed in the View Activity Log tab.


How to Change a Test Set in the System

How to Change a Test Set in the Interactive Functional Test System

Last Updated: 2011-06-02

This topic discusses how to change the test set that is used in the Interactive Functional Test system.

The Interactive Functional Test system requires an 8960 to emulate a base station for your device. If for some reason you need to change which 8960 is part of the system, you can easily do so by following the instructions below.

Note: These instructions assume that the wizard has been successfully completed and that your Interactive Functional Test system is working properly with the current 8960.

  1. On the Client PC, close the Interaction Functional Test software program

  2. Disconnect all the connections to the 8960 (GPIB cable, RF cable, LAN cable(s), power cord) and move the 8960 out of the way.

  3. Put the replacement 8960 where the original 8960 was and reconnect the cables.

    • If the original 8960 did not have a LAN 2 port on the rear panel and the replacement one does, you will need an additional LAN cable. Connect one end of this additional LAN cable to the LAN 2 port on the 8960 and the other end to the router.

    • If the original 8960 does have a LAN 2 port on the rear panel and the replacement one does not, you will no longer need there LAN cable that was connected to the original 8960's LAN 2 port.

  4. Power on the 8960.

  5. Once the 8960 has completed its boot-up cycle, on the Client PC start the Interactive Functional Test software. The software will automatically set the 8960's IP address(es) and you can verify the Connections Integrity are all okay and begin testing using the Interactive Functional Test software.

    Note: The Interactive Functional Test software is only supported on certain revisions of the 8960 Lab Applications. The software will automatically attempt to switch the currently running lab application on the 8960. If you do not want to switch which lab application is active, in the Configuration >> Instrument Control, check the Use current LA parameter.


How to Add a Second Test Set to the System

If yo configure only one test set during the Wizard and decide later that you want to add a second test set to your test system, you must do the following to configure the additional test set:

  1. Connect the GPIB and connect the LAN connections to the second test set.

  2. Start IFT.

  3. Click the Configuration tab and select Instrument Control.

  4. Set the GPIB configuration for the second test set.

  5. Close IFT.

  6. Start IFT (This is necessary for IFT to configure the LAN connections on the second test set.)

  7. Click the Configuration tab and select Connections Integrity to verify that the second test set is passing all of the integrity checks.


MMS Setup

When configuring your device to be tested for the first time, there are several things parameters that must be set up in order for your device to perform certain activities. Instructions for which parameters to set up (in addition to those specified in this topic) are referred to in the How to Add a DUT topic.

When setting up your phone to be able to communicate with the MMSC (which is in the NowSMS gateway on the server PC), follow these steps:

1) Set the Phone MMSC Settings

2) Set the Phone MMS Proxy Settings

3) Set the Phone Network Connection (Access Point) Settings

4) Direct the MMS Messages to the Network Connection (Access Point)

1) Set the Phone MMSC Settings

To communicate with the NowSMS MMSC, a phone must be configured with the MMSC settings. The procedure for configuring MMSC settings varies widely between different phones. Finding the MMSC server URL location in the phone is the key. In some phones you may find this setting located in the MMS settings. In others, this may be located in the access point settings. For example, on a Nokia N93 phone it is called "Home Page" and is found under an access point settings in the connections. On an LGE U8330C phone it is called "MMSC URL" and is found in the multi-media message center. On other phones it may be called "MMSC Message Server URL" or "Relay Server URL".

Once you have found the MMSC server URL field in the phone, you need to define the URL and enter it. The format of the URL will be as follows:

http://IPAddress:Port/mm1/username=password (Note: 1 is the number one.)

Where:

IPAddress - is the IP address of the MMSC Server PC. In the Interactive Functional Test software, this is the server IP address which is 192.168.1.230.

Port - is the HTTP port number assigned to the MMSC. In the Interactive Functional Test software,this is set to 8804 in NowSMS.

mm1 - setting directs the MMSC to store the MMS message in a directory. In the Interactive Functional Test software this is mm1.

username - and password - is the username and password defined in the MMSC. In the Interactive Functional Test software the username is "aaa" and the password is "ddd".

In the Interactive Functional Test software the URL is: http://192.168.1.230:8804/mm1/aaa=ddd

Other settings that need to be configured in order for the phone to communicate with the MMSC are phone MMS proxy, network connection, and MMS message connection. These are usually found in the same location as the MMSC Server URL.

2) Set the Phone MMS Proxy Settings

In a normal network, the phone usually reaches the MMSC server through a WAP proxy server. However, with most new phones it is not necessary to use the WAP proxy server to reach the MMSC when using a test set such as the Agilent 8960. The Interactive Functional Test software does not use the WAP Proxy server, so you must configure the phone to communicate directly with the MMSC server. The phone MMS proxy settings are usually found in the same location as the MMSC server URL.

Set the MMS proxy to the IP address (for the Interactive Functional Test software, this should be 192.168.1.230) and the port of the MMSC server (for the Interactive Functional Test software, this should be 8804). This will be the same IP address and port used for the MMSC server URL. Note: Some phones will have the proxy server and port in the same field in the format: IPAddress:Port (i.e. 192.169.1.230:8804) others will have separate fields for IP Address (i.e. 192.168.1.230) and port (i.e. 8804).

3) Set the Phone Network Connection (Access Point) Settings

You must create a network connection in the phone to reach the Interactive Functional Test software's private LAN network. This is usually done by setting up an access point in the phone. Depending on your phone, the MMSC settings above may have been located in the access point. In some phones, all the MMSC settings may be independent of the access point. Most phones allow you to set up multiple access points.

One phone access point must be configured. The access point setup is usually in the "Connections" menu of the phone. There are normally two fields to set up in the access point. One is the connection name, or connection title, and the other is the data bearer. The connection name can be anything you would like, such as "8960 MMS Connection". The data bearer will be phone dependant. Set the Data bearer to match that which you are using in the test set (8960), as it is functioning as the network connection.

4) Direct the MMS Messages to the Network Connection (Access Point)

Once the access point is set up, go to the MMS settings and direct the MMS message connection to the access point you just set up. In the MMS settings you should find a field for the access point to use for MMS messages. In some phones this may be the same place where you set up the MMSC server URL and in other phones it may be under the MMS settings. The access point field should provide a list of the access points that are set up in your phone. Select the access point you configured for the MMS connection (i.e. 8960 MMS connection).

This completes the required settings in the phone to send and receive MMS messages. There may be other MMS settings in your phone that you may want to set such as automatic retrieve of the MMS message or message length. Scan your MMS settings menus to see if there are any other settings of interest. The phone is now configured for evaluating MMS message to enable MMS activity testing from the Interactive Functional Test Software.


Mobile Phone Setup

This topic contains generic instructions on how to install your mobile phone's drivers and other settings required to enable you to use the mobile phone as a modem.

Follow the instructions below to properly setup your mobile phone's modem. These instructions assume that you have successfully completed the LAN Topology Setup Wizard in the Interactive Functional Test Software.

Since each wireless device is different and may require additional or different settings, these instructions should be treated only as a generic guide to setting up your workstation PC to work with your device. For more setup information, including how to configure the settings necessary in your device to be successful with WAP push, MMS and other activities, please refer to the "How to add a DUT" topic and the "How To...">>"Setup" section of this Help File.

Note: If your DUT is a Network Interface Card, follow the instructions in the Network Card Setup topic.

Mobile Phone Driver Installation and Modem Setup.

These instructions apply to devices that will be listed in the Dial-up portion of the Control Panel>>Network Connections window of the client workstation.

Note: If the device you wish to add is a network card and will be listed as a LAN or High-Speed Internet connections in the Control Panel>> Network Connections window of the client workstation, see the Network Card Setup topic.

  1. Install the wireless device modem drivers:

  1. Insert the driver CD into your workstation and close applications that automatically run off the CD.

  2. Connect the powered-on wireless device via the data cable to the workstation.

  3. When the Found New Hardware Wizard displays:

  1. Do not let Windows search for the right software, instead click "No, not this time". Then click Next.

  2. Click Install the software automatically (Recommended), and click Next. Click Continue Anyway if the software you are installing does not pass Windows Logo testing.

  3. Click Finish.
    Note: Windows may prompt you for several different driver installations. It is important that you complete each New Found Hardware wizard that appears. When all the drivers for your wireless device are installed, you can verify the modem is installed by opening the Device Manager (right-click on My Computer>>Properties, then click the Hardware tab). Here you should see the newly installed Modem. There may be more than one modem listed.

  2. Add the wireless device modem in the Internet Connections.

  1. Click Start>>Settings>>Control Panel>>Internet Options. This should open the Internet Properties window.

  2. In the Internet Properties window, select the Connections tab, then "Add...".

  3. In the New Connection Wizard:

  1. Choose "Dial-up to private network", then click Next.

  2. If you are asked to select the modem, do so.

  3. Set the phone number to *99#, then click Next.

  4. Name the connection to match the name of the wireless device. It is important that the name matches the Modem connection script 'Connect Dial-up'.

  5. Click Finish. This will open the Settings window for the modem you just added. You can also get to these settings in the Internet Properties window. (To do this, go to the "Dial-up Settings and Virtual Private Network settings" area of the Connections tab, click "Settings...")

  4. Set the Automatic configuration, and Proxy server settings (including the Advanced Proxy Settings) to match the Local Area Network settings. The fields in dial-up settings should be left blank. Click OK when complete. This will take you back to the Connections tab of the Internet Properties window.

  5. In the "Dial-up Settings and Virtual Private Network settings" area of the Connections screen, select "Never dial a connection." Click OK to close the window.

  3. Set up the wireless device in the Network Connections.

  1. Click Start>>Settings>>Control Panel>>Network Connections.

  2. Right-click on the appropriate wireless device from the dial-up list and select Properties.

  3. Select the General Tab.

  1. In the "Connect Using" area: Select data modem you wish to use while connecting. (The wireless device must be on and connected to the workstation.) Take note of the COM port the modem is associated with; you will need to know it when you configure the wireless device in the N5970A program.

    Note: If you test more that one wireless device with Interactive Functional Test Software, it is important that you change this modem selection to the appropriate setting each time you change wireless devices.

  2. Verify that the phone number is *99#.

  4. Select the Options tab.

  1. In the Dialing options section, check only the "Display progress while connecting" box and uncheck all other boxes.

  5. Select the Networking tab.

  6. Highlight Internet Protocol (TCP/IP), and then select Properties.

  7. In the Internet Protocol (TCP/IP) Properties

        1. Set the IP address to the wireless device (DUT) address associated with your InteractiveFunctional Test Software test system. This can be found in the Interactive Functional Test Software Configuration tab >> Connections Integrity. In the LAN Topology section of the screen, under the Check All LANs button, look at the DUT IP address field.

        2. Leave the DNS server fields blank.

        3. Click Advanced... ,

        1. In the General tab, unselect the box "Use default gateway on remote network" and select "Use IP header compression".

        2. In the DNS tab, set the radio buttons to match the LAN network connection used to connect the Interactive Functional Test system. Leave the "DNS suffix for this connection:" blank, and unselect both "Register this connection's addresses in DNS" and "Use this connection's DNS suffix in DNS registration".

        3. In the WINS tab, set the fields on this screen the same as the WINS settings on the LAN network connection used to connect the Interactive Functional Test system. Then click OK to close the Advanced TCP/IP Settings window.

  6. All other tabs should be the Windows default.

  7. Click OK to close main properties window.

  8. If the new connection for your wireless device is now the default connection, right-click on the connection and click "Cancel as Default Connection".


Network Card Setup

When configuring your device to be tested for the first time, there are several things parameters that must be set up in order for your device to perform certain activities. Instructions for which parameters to set up (in addition to those specified in this topic) are referred to in the How to Add a DUT topic.

This topic contains information on:

  • Network Card Software Installation

  • Network Connections Settings for the Workstation running the Interactive Functional Test Software

Follow the instructions below to properly setup your network card's modem. These instructions assume that you have successfully completed the LAN Topology Setup Wizard in the Interactive Functional Test Software.

Note: If your DUT is a mobile phone, follow the instructions in the Mobile Phone Setup topic.

Network Card Software Installation

Install a PCMCIA card slot if you are using a PC. Let Windows install the drivers.

Install the the network card software which will normally install an application to interface with the network card (for example the Sierra Wireless Aircard installs the 3G Watcher application). There may be certain settings such as buffer size that may need to be changed in the application to achiever maximum data throughput rates. Additionally, settings may need changed in the registry of the Workstation running the Interactive Functional Test Software. The following settings provide an example of the settings that may need changed in order to achieve maximum throughput rates using the Sierra Wireless Aircard as a modem. These settings do not apply to all network cards.

For Sierra Wireless 3G Watcher

In the Watcher.xml file the following items must change to the settings below. Make sure you change the items for the operating system you are using.

<!-- HKLM\System\CurrentControlSet\Services\Tcpip\Parameters\Interfaces\<adapter>, TcpWindowSize -->

<uint_tcpwindowsize>103360</uint_tcpwindowsize>

<!-- HKLM\System\CurrentControlSet\Services\Tcpip\Parameters, TcpWindowSize -->

<uint_tcpwindowsizeglobal>103360</uint_tcpwindowsizeglobal>

<!-- HKLM\System\CurrentControlSet\Services\Tcpip\Parameters, GlobalMaxTcpWindowSize -->

<uint_tcpwindowsizeglobalmax>103360</uint_tcpwindowsizeglobalmax>

<!-- HKLM\System\CurrentControlSet\Services\Tcpip\Parameters, Tcp1323Opts -->

<uint_tcp1323opts>1</uint_tcp1323opts>

Workstation Registry Changes

In the registry HKEY_LOCAL_MACHINE/SYSTEM\CurrentControlSet\Services\Tcpip\Parameters set or add the following:

  • TcpWindowSize: 200020 Decimal

  • Tcp1323Opts: 1 Decimal

Must reboot PC for these to take effect

Installing the Sierra Wireless Aircard

Install the Sierra Wireless Card and Drivers

Insert the Card into the PCMCIA card slot.

The drivers should automatically load.

  1. Connect the Card RF out to the 8960.

  2. Run the Watcher application

  3. Turn the card on by selecting Tools>> Turn radio on.

  1. Select Tools>>Connections and highlight Profiles.

  2. Add a profile name of IFT (for interactive functional test).

  3. Add an APN of www.google.com

  4. Select Autoconnect radial button.

  5. Push OK.

Network Connections Settings for the Workstation running the Interactive Functional Test Software

This section contains instructions for setting up the network card in the Network Connection window of the Control Panel of the workstation that is running the Interactive Functional Test Software.

To set up the phone in the Network Connections:

  1. Insert the network data card and enable it.

  2. Go to the Control Panel.

  3. Select Network Connections.

  4. Select the phone from the LAN list.

  5. Right-click on the phone and select properties.

  6. Select the General tab.

  7. Highlight Internet Protocol (TCP/IP)

  8. Push the Properties button

  1. Set the IP address of the phone to the phone address associated with your Interactive Functional Test system.

  2. Set the Subnet mask to 255.255.255.0.

  3. Leave the Default gateway blank.

  4. Leave the DNS settings blank.

  5. Push the Advanced button.

  1. On the IP Settings tab.

    1. Unselect the box “Automatic metric”.

    2. Set the Interface metric to 4.

  2. On the DNS tab

    1. Set the radial buttons the same as the network connection used to connect to the local private network.

    2. Leave the DNS suffix for this connection blank.

    3. Uncheck the Register this connection’s addresses in DNS

  4. Uncheck the Use this connection’s DNS suffix in DNS registration.

  3. Push OK.

  6. Push OK.

  9. All other Tabs should be the windows default.

  10. Push Close.


WAP Push Device Setup

When configuring your device to be tested for the first time, there are several things parameters that must be set up in order for your device to perform certain activities. Instructions for which parameters to set up (in addition to those specified in this topic) are referred to in the How to Add a DUT topic.

This topic discusses the most common settings needed in your device to enable it to accept WAP Push messages. These include:

  • Setting up the Access Point

  • Configuring the Message Settings

  • Configuring the Browser Settings

Setting up the Access Point

  1. Navigate to the access point settings menu of your device.

  2. Edit or create an access point.

  1. Name the connection (different than the access point is created for MMS messaging, see MMS Setup).

  2. Set the radio bearer.

Configuring the Message Settings

  1. Navigate to the multi-message center of your device. (Typically this is a menu under Multimedia messages.)

  2. Edit or create a profile:

  1. Name the profile.

  2. Set the MMSC URL to http://192.168.1.230:8804/mm1/aaa=ddd

  3. Set the MMS Proxy to 192.168.1.230:8804

  4. Connection mode: TCP

  5. Access Point: (select the access point the was created for the MMS connection)

For more information on configuring MMS settings, see MMS Setup.

Configuring the Browser Settings

  1. Navigate to the Browser settings menu.

  2. Edit or create a profile and set the following parameters:

  1. Service name: (any, example: "8960")

  2. Homepage: http://192.168.1.230/wmf/Index.wml

  3. Connection mode: TCP with Proxy

  4. IP address: 192.168.1.230

  5. Proxy server port: 80

  6. Security: Not secure

  7. Timeout: 300

  8. Access Point: 8960 WAP Connection


Proxy Server Settings

When configuring your device to be tested for the first time, there are several things parameters that must be set up in order for your device to perform certain activities. Instructions for which parameters to set up (in addition to those specified in this topic) are referred to in the How to Add a DUT topic.

If your company uses a proxy server, you must now configure the Internet Settings to exclude the private network IP addresses. The following description will guide you through this process of excluding the private network IP address.

1) Open Internet Explorer.

2) On the IE "Tools" menu, select "Internet Options. . ."

3) Select the "Connections" tab on the "Internet Options" window.

4) Press the "LAN Settings..." button, on the "Connections" tab.

5) Your next step will be determined by the settings on the "Local Area Network (LAN) Settings" window.

a) If none of the active boxes are checked as is shown below, your company does not use a proxy server, proceed to step 6. Otherwise, proceed to step 5b.

b) If the "Automatically detect settings" button is NOT checked, proceed to step 5c. If the "Automatically detect settings" button is checked as is shown below, you can not use this method of accessing the proxy server when the E597X application is installed. Instead, you must obtain an automatic configuration script address and/or an address and port for your proxy server. It is possible that your company may require both an automatic configuration script address and an address and port to access the proxy server. You should have obtained this information from our IT department during the Pre-Configuration Tasks.

Once you have the proxy server information, un-check the "Automatically detect settings" box and do one following tasks:

i) If your IT department gave you both an automatic configuration script address and an address and port for your proxy server, check the "Use automatic configuration script" box and enter the configuration script address in the "Address" box. Also, check the "Use a proxy server for your LAN" box, and enter the proxy address in the "Address:" box and the proxy port in the "Port:" box.

ii) If your IT department only gave you an automatic configuration script address, check the "Use automatic configuration script" box and enter the configuration script address in the "Address" box.

iii) If you only have an address and port for your proxy server, check the "Use a proxy server for your LAN" box. Enter the proxy address in the "Address:" box and the proxy port in the "Port:" box.

After you have completed one of the above tasks, proceed to step 5c.

c) If the "Use automatic configuration script" is NOT checked, proceed to step 5d. If the "Use automatic configuration script" is checked as is shown below, you will need to exclude the test system private LAN network IP addresses from the automatic configuration script.

Unless you have changed your default IP address for the Interactive Functional Test software private LAN network the ProxyExcludeAddress is 192.168.1.* To exclude your private LAN network IP addresses from the proxy server append the following to end of the configuration script address: ?noproxy=ProxyExcludeAddress. Your automatic configuration script should have the following form: http://yourproxy.script.address/?noproxy= ProxyExcludeAddress. If you already have a noproxy option on your script, then use a comma to add your private network addresses like this example: htttp://yourproxy.script.address/?noproxy=169.254.132.*, ProxyExcludeAddress. In all these examples, replace yourproxy.script.address with the proxy script obtained from your IT department. The automatic configuration script in the picture below is an example only.

After you have excluded the test system private LAN network IP addresses from the automatic configuration script, proceed to step 5d.

d) If the "Use a proxy server for your LAN” box is NOT checked, proceed to step 6. If the "Use a proxy server for your LAN” box is checked as is shown below, you will need to exclude the test system private LAN network IP addresses from the proxy server.

Your test system private LAN network IP addresses are ProxyExcludeAddress. To exclude your private LAN network IP addresses from the proxy server, press the "Advanced..." button. On the "Proxy Settings" window, exclude the entire private network IP Address range by adding the following to the "Exceptions" box: ProxyExcludeAddress. If there is already an address, use a semicolon to add the private network address range. For example 169.254.132.*; ProxyExcludeAddress. In all these examples replace yourproxy with the proxy address obtained from your IT department. The Proxy Address in the picture below is an example only. Push the OK button on "Proxy Settings" window when complete.

After you have excluded the test system private LAN network IP addresses from the proxy server,

Proceed to step 6.

6) Press the OK button on the "Local Area Network (LAN) Settings" window.

7) If you have any devices in the “Dial-up and Virtual Private Network settings”, you must make these same changes to their Automatic configuration settings and their Proxy server settings. To access these settings:

a) Highlight the device in the “Dial-up and Virtual Private Network settings” box.

b) Push the Settings button.

c) Configure the “Automatic configuration” settings and the “Proxy server” the same as you have just done for the LAN Settings following the instructions above.

d) Once you have made the changes, press the OK button on the settings window.

e) If there are other devices in the “Dial-up and Virtual Private Network settings” box, you must configure the settings for each device in the list.

8) Press the OK button on the "Internet Options" window.

9) Close Internet Explorer.

10) Press the Wizard's Next button.

Note: If only the "Use automatic configuration script" is checked or only "Use a proxy server for your LAN” box is checked. You may have trouble accessing the Internet if the router is your only Internet connection. Later in the Wizard, it will have you verify Internet accessibility. If you have trouble accessing the Internet during these checks, you will have to obtain either an automatic configuration script address or an address and port for your proxy server and add it to your LAN settings.


Troubleshooting

This topic contains troubleshooting information on common issues that are encountered while using the Interactive Functional Test Software and suggestions for troubleshooting them.

Issues

It is recommended that you check the components of your Interactive Functional Test system if you are experiencing any problems. These are easily checked via the Connections Integrity screen.

After testing with my wireless device, I click the Check All LANs button in LAN Topology area of the Configuration tab >> Connections Integrity screen and some or all of the fields show not connected.

Try either of the following:

  • Power cycle the wireless access point (bridge). That is unplug it, wait a couple of seconds, then plug it back in.

  • If the LAN Topology fields showed connected before you tested your wireless device, and you are certain all the LAN cables are still all properly connected, your device may not have properly shut down. On the PC, go to Network Connections and disable the device. Note that you must enable it again before you can establish another connection.

I am able to perform Application Web Browsing, but cannot download the Data Throughput Monitor image.

Click the Check All Servers button in the LAN Topology area of the Configuration tab >> Connections Integrity screen. If the HTTP status is not connected, and you are certain that the HTTP server is running properly, it is most likely a problem with your LAN settings. Re-check all the LAN settings. Be sure to include the correct Proxy Server Settings.

When I select "Stop logging after number of messages", why does the WPA Control tab show "WPA logging stopped, number of messages logged" equal to the number I specified plus one?

The reason for the extra message is that WPA logs the number of messages you specify and then logs the "stopped logging because trigger reached event, which increases the number of total messages in the log by one.

When trying to open an Activity log file, the following error is displayed: "Log file does not contain any information, or the information is not formatted correctly".

If you do not suspect that it is a formatting issue, this message is most likely displayed when an activity log was saved and no messages were captured.

FTP (and UDP) appears to be downloading through the LAN rather my device that I'm using as a modem.

Check the Networking Properties and make sure the "Automatically obtain an IP address" is not checked.

Web Application Browsing is not using the modem connection to download files.

It is important that the Use default gateway on remote network parameter is unchecked in your wireless device's general TCP/IP settings. Also, ensure that the LAN connection interface metric setting, accessible via the advanced properties on the TCP/IP settings is set to 5 and Automatic metric is not checked.

I cannot retrieve an MMS message.

Check to see if you can retrieve an SMS message sent via the server (change this setting in the SMS to DUT Attributes tab). Also, double check to make sure that all the MMS settings in your device are set correctly.

The dial-up connection for my DUT's modem is no longer working.

Make sure your modem is set up correctly by following the instructions according to the DUT type, see Mobile Phone Setup or Network Card Setup. If you have multiple dial-up connections, be sure the correct modem is selected under the Connect using setting.

How do I achieve maximum data throughput rates with my UMTS wireless device?

See 3.6 Mbps and 7.2 Mbps HSDPA IP Data Throughput.


Notices

© 2008 – 2011 Agilent Technologies, Inc.

No part of this Help file may be reproduced in any form or by any means (including electronic storage and retrieval or translation into a foreign language) without prior agreement and written consent from Agilent Technologies, Inc. as governed by United States and international copyright laws.

Warranty

The material contained in this document is provided “as is,” and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Agilent disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Agilent shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Agilent and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.

Technology Licenses

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as “Commercial computer software” as defined in DFAR 252.227-7014 (June 1995), or as a “commercial item” as defined in FAR 2.101(a) or as “Restricted computer software” as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Agilent Technologies’ standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.

Acknowledgements

Microsoft ® is a U.S. registered trademark of Microsoft Corporation

Windows ®, MS Windows ®, and Windows® 7 Professional are U.S. registered trademarks of Microsoft Corporation.

Adobe ® Acrobat ® are trademarks of Adobe Systems Incorporated.